2017-11-29  Jean-Louis Martineau <JMartineau@carbonite.com>
	* application-src/ampgsql.pl: Accept --target asa synonyme for
	  --directory

2017-11-28  Jean-Louis Martineau <JMartineau@carbonite.com>
	* NEWS, ReleaseNotes: 3.5.1
	* VERSION: 3.5.1

2017-11-28  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/protocol.c: Use correct macro to find if we have
	  getservbyname_r

2017-11-27  Jean-Louis Martineau <JMartineau@carbonite.com>
	Patch by Nathan Stratton Treadway <nathanst@ontko.com>
	* man/xml-source/amanda-changers.7.xml,
	  man/xml-source/amfetchdump.8.xml: Fix typo

2017-11-27  Jean-Louis Martineau <JMartineau@carbonite.com>
	Patch by Nathan Stratton Treadway <nathanst@ontko.com>
	* man/xml-source/amanda.conf.5.xml: Improve documentation

2017-11-23  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/planner.c: Do not log L_DISK if no_dump

2017-11-22  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/file.c: Remove duplicate code
	* server-src/holding.c: Do not stat before fopen
	* server-src/xfer-dest-holding.c: Do not call mkholdingdir, the
	  directory should alredy exists

2017-11-22  Jean-Louis Martineau <JMartineau@carbonite.com>
	*  server-src/planner.c: Fix compilation

2017-11-22  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Amflush.pm, server-src/driver.c: rename .tmp holding
	  files
	* server-src/planner.c: Use DUMP_LEVELS

2017-11-22  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/holding.c: Fix to take pid lock
	* server-src/holding.c (holding_get_files): Add a take_pid_lock
	  argument
	* server-src/cmdline.c, server-src/find.c: Add 0 take_pid_lock
	  argument to holding_get_files
	* server-src/holding.h (holding_get_files): Change prototype
	* installcheck/Amanda_Holding.pl, installcheck/amrestore.pl: Call
	  Amanda::Holding::files and Amanda::Holding::get_files_for_flush
	  with a 0 take_pid_lock
	* perl/Amanda/Amflush.pm: Call Amanda::Holding::get_files_for_flush
	  with a 1 take_pid_lock
	* perl/Amanda/Holding.pm: Fix to take pid lock
	* perl/Amanda/Report/human.pm, perl/Amanda/Report/json.pm: Call
	  Amanda::Holding::get_files_for_flush with a 0 take_pid_lock
	* perl/Amanda/Rest/Runs.pm: Log pid-done

2017-11-20  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Holding.pm: Lock the holding disk dir
	* server-src/holding.c: Lock the holding disk dir

2017-11-20  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Amflush.pm: Use new --no-dump argument of driver
	* server-src/driver.c: Merge nodump and --no-dump argument

2017-11-20  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amstatus.pl: Fix when no storage

2017-11-17  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amdump.pl: Fix usage message

2017-11-17  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/success-dumper-taper-vault.pl:Increase diskname length
	  to 130 character

2017-11-17  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Report.pm: Add all disks to the disklist hash, Add only
	  disk that must be dumped to the dump_disk hash
	* perl/Amanda/Report/human.pm: Do not report 'MISSING RESULT' If the
	  disk is not in the dump_disk hash
	* installcheck/Amanda_Report.pl: Setup a valid config

2017-11-17  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amdump.pl, server-src/driver.c
	  server-src/planner.c: Add --no-dump, --no-flush and --no-vault
	  argument
	* perl/Amanda/Amdump.pm: Add no_dump, no_flush and no_vault parameters
	* man/xml-source/amdump.8.xml: Document new arguments

2017-11-16  Jean-Louis Martineau <JMartineau@carbonite.com>
	Patch by Nathan Stratton Treadway <nathanst@ontko.com>
	* perl/Amanda/CheckDump.pm: Fix report of image validated

2017-11-16  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/file.c (untaint_fgets): Fix

2017-11-16  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Amanda_Recovery_Clerk.pl,
	  installcheck/Amanda_Taper_Scribe.pl, perl/Amanda/CheckDump.pm,
	  perl/Amanda/Chunker/Controller.pm, perl/Amanda/Chunker/Scribe.pm,
	  perl/Amanda/FetchDump.pm, perl/Amanda/Recovery/Clerk.pm,
	  perl/Amanda/Rest/Runs.pm, perl/Amanda/Service/Amidxtaped.pm,
	  perl/Amanda/Service/Restore.pm, perl/Amanda/Taper/Scribe.pm,
	  perl/Amanda/Taper/Worker.pm, perl/Amanda/Vault.pm,
	  server-src/amreindex.pl: s/use base/use parent -norequire,/ for
	  *::Feedback class
	* perl/Amanda/Config/FoldingHash.pm: use 'use parent -norequire' for
	  Tie::StdHash

2017-11-15  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amgetconf.pl: print an empty string if a parameter is not
	  set instead of 'no such parameter'

2017-11-15  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/conffile.c: Allow to unset some setting

2017-11-15  Jean-Louis Martineau <JMartineau@carbonite.com>
	Patch by Nathan Stratton Treadway <nathanst@ontko.com>
	* common-src/match.c (match_datastamp) Allow "*" wildcard

2017-11-15  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/dumper.c (process_dumpline): debug once error to write to
	  the state file

2017-11-14  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/conffile.c: Do not allow double quote in section name or
	  label

2017-11-13  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Config.swg (subsection_names):Add missing entry
	* common-src/amgetconf.pl: Sort the list output

2017-11-10  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/success-dumper-taper-vault.pl: Fix for any diskname

2017-11-10  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Status.pm: Fix setting dlet
	* installcheck/success-dumper-taper-vault.pl: Fix

2017-11-10  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/catalogs/vault1.cat,
	  installcheck/catalogs/vault2.cat,
	  installcheck/catalogs/vault3.cat: Fix for previous patch

2017-11-10  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/DB/Catalog.pm: s/exists/defined/g
	* perl/Amanda/Recovery/Planner.pm: Pass separate args to get_dumps
	  instead of a dumpspecs (becasue it match instead of equal)
	* perl/Amanda/Report.pm: storage_list must include vault-storage
	* perl/Amanda/Status.pm: Fix
	* perl/Amanda/Taper/Worker.pm: Pass separate args to make_plan
	  instead of a dumpspecs (becasue it match instead of equal)
	* installcheck/success-dumper-taper-vault.pl: New check
	* installcheck/Makefile.am: Add success-dumper-taper-vault.pl

2017-11-10  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/conffile.c: Do not cwgenerate error when appying override
	  until the complete configuration is read
	* common-src/conffile.h: Define CONFIG_OVERRDIDE_NO_ERROR
	* perl/Amanda/Config.swg: Define CONFIG_OVERRDIDE_NO_ERROR
	* installcheck/amgetconf.pl: Test it

2017-11-09  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Report/human.pm: Use good try
	* server-src/tapefile.c: Call find_dump with added_todo=1
	* installcheck/Makefile.am (catalogs): Add catalogs/vault3.cat
	* installcheck/amreport.pl: Check successful flush/vault
	* installcheck/catalogs/vault3.cat: New catalog

2017-11-09  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Taper/Worker.pm: Fix for one of the previous patch
	* installcheck/Makefile.am (catalogs): Add catalogs/vault2.cat
	* installcheck/amreport.pl: Check successful vault
	* installcheck/catalogs/vault2.cat: New catalog

2017-11-09  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Report/human.pm: Fix tape_rape for VAULT
	* installcheck/catalogs/vault1.cat: Fxi test

2017-11-09  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Report.pm: Fix perl warning

2017-11-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Report.pm: Improvement for vault
	* perl/Amanda/Report/human.pm: Improvement for vault
	* perl/Amanda/Taper/Worker.pm: Add VAULT keyword to FAILED line
	* server-src/driver.c: Do not log on error
	* server-src/find.c: Parse VAULT keyword
	* installcheck/Makefile.am (catalogs): Add catalogs/vault1.cat
	* installcheck/amreport.pl: Check failed amvault report
	* installcheck/catalogs/vault1.cat: New catalog

2017-11-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Recovery/Planner.pm: Undo previous patch
	* perl/Amanda/Taper/Worker.pm: Return errorif plan is empty

2017-11-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Recovery/Planner.pm (make_plan): Return an error if the
	  dump is not found
	* perl/Amanda/Taper/Worker.pm: Fail if error is set
	* perl/Amanda/Status.pm: Fix for vaulting error

2017-11-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Report.pm: Set storage and pool
	* perl/Amanda/Report/human.pm: Print timestamp and vault storage
	* installcheck/catalogs/tapers.cat: Fix check

2017-11-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* config/amanda/progs.m4: AC_DEFINE_UNQUOTED(LPR)
	* common-src/genversion.c: s/LPRCMD/LPR/, use DEFAULT_MAILER

2017-11-06  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/security-util.c (sec_tcp_conn_get): Do not reuse a
	  connection if it is in error

2017-11-01  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Report/human.pm: Report taper problem event if no dumper
	* installcheck/catalogs/tapers.cat,
	  installcheck/failure-xfer-dest-holding-file-first-close_chunk.pl,
	  installcheck/failure-xfer-dest-holding-file-second-close_chunk.pl,
	  installcheck/failure-xfer-dest-holding-shm-first-close_chunk.pl,
	  installcheck/failure-xfer-dest-holding-shm-second-close_chunk.pl:
	  Fix for error message showing in report

2017-10-30  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/conffile.c: Check ORG do not have space if it is use in
	  autolabel or meta-autolabel

2017-10-30  Jean-Louis Martineau <JMartineau@carbonite.com>
	* client-src/sendbackup-dump.c: Fix if shared memory is not used

2017-10-30  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/shm-ring.c (shm_ring_create): Take a new errmsg argument,
	  return NULL on failure
	* common-src/shm-ring.h (shm_ring_create): Change prototype
	* amandad-src/amandad.c: handle shm_ring_create return NULL;
	* device-src/xfer-dest-taper-splitter.c, server-src/dumper.c,
	  server-src/xfer-dest-holding.c,
	  xfer-src/element-glue.c: Pass a NULL errmsg to shm_ring_create

2017-10-26  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/conffile.c (read_storage_identlist): Prefer ident to
	  keyword

2017-10-23  Jean-Louis Martineau <JMartineau@carbonite.com>
	* application-src/ampgsql.pl: Fix parsing of psql version for version
	  10.0

2017-10-17  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/ammessage.c (2800235): Print the required permission
	* server-src/amcheck.c: Do not check all 'r' bit on suid binary

2017-10-12  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/failure-dumper-try-again.pl: Don't do the check if
	  FAILURE_CODE is not set

2017-10-12  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/security-util.c: Do not waitpid() if we have a
	  watch-source for it

2017-10-09  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/driver.c (handle_dumper_result): Send the TRYAGAIN mesage
	  to chunker or taper
	* file server-src/driverio.h (sched_t): Add try_again_message
	* server-src/dumper.c: Log L_FAIL on TRY-AGAIN
	* installcheck/failure-dumper-try-again.pl: New Check
	* installcheck/Makefile.am (full_tests): Add failure-dumper-try-again

2017-10-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amcheck.c: Fix compilation on Solaris

2017-10-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* man/xml-source/amanda-security.conf.5.xml

2017-10-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/security-file.c: Print better error message

2017-10-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amservice.c, server-src/amcheck.c, server-src/dumper.c,
	  server-src/planner.c: Correctly check they are not suid

2017-09-27  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/make_html.pl: Fix

2017-09-27  Jean-Louis Martineau <JMartineau@carbonite.com>
	* NEWS, ReleaseNotes: 3.5

2017-09-27  Jean-Louis Martineau <JMartineau@carbonite.com>
	* amplot/amplot.awk: Major fix

2017-09-27  Jean-Louis Martineau <JMartineau@carbonite.com>
	Patch by Nathan Stratton Treadway
	* man/xml-source/amvault.8.xml: Improve page

2017-09-26  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Report.pm: Parse server-src on SUCCESS dumper line
	* server-src/ambackupd.pl: Do not print the server-src on
	  SUCCESS dumper line

2017-09-25  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Vault.pm: Quit the taperscan only if it is defined

2017-09-22  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Vault.pm: Fix for tty output, improve usage output
	* server-src/amvault.pl: Fix for message 2500008, quiet, and always
	  quit the taperscan
	* man/xml-source/amvault.8.xml: Improve man page

2017-09-20  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/file.c (untaint_fgets): New function
	* common-src/file.h (untaint_fgets): Add prototype
	* server-src/logfile.c, server-src/server_util.c: Use untaint_fgets

2017-09-20  Jean-Louis Martineau <JMartineau@carbonite.com>
	* xfer-src/element-glue.c: Fix deadlock
	* server-src/xfer-source-holding.c: Fix deadlock

2017-09-19  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/conffile.c (conftoken_getc): Untaint the returned value
	* server-src/xfer-dest-holding.c: Check result of shm_ring_sem_wait

2017-09-19  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amutil.c (ambind): Close fds before forking ambind
	* client-src/client_util.c, client-src/selfcheck.c,
	  client-src/senddiscover.c, common-src/ammessage.c,
	  common-src/amxml.c, common-src/security-util.c,
	  server-src/amcheck.c, server-src/driver.c,
	  server-src/server_util.c,
	  server-src/xfer-dest-holding.c: Fix small memory leak
	* ndmp-src/ndml_conn.c: Comment a memory leak

2017-09-18  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amutil.c (parse_crc): Set to 0 on error
	* perl/Amanda/Restore.pm: Modify a copy of the header

2017-09-18  Jean-Louis Martineau <JMartineau@carbonite.com>
	* application-src/amsuntar.pl: Typo

2017-09-15  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/ScanInventory.pm: Call release with need_another flag.
	* perl/Amanda/Changer/single.pm (do_release): eject the tevice if
	  need_another

2017-09-15  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/ScanInventory.pm (after_poll): Set $remove_undef_state
	  if $self->{'chg'}->{'scan-require-update'}

2017-09-12  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/dumper.c:i Do not cancel the shm_ring if the dump-result
	  is 1 (STRANGE)

2017-09-11  Jean-Louis Martineau <JMartineau@carbonite.com>
	* client-src/sendsize.c: If application return '-2 -2' for the
	  size, then report -2 to the server

2017-09-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	Add timestmap in the req OPTION line
	Run script support command
	Add the --timestmap argument to scripts and applications
	* amandad-src/amandad.h (g_option_t): Add timestamp
	* amandad-src/amandad_util.c (parse_g_options): Parse timestamp in the
	  OPTION line
	* application-src/amgtar.c,
	  application-src/amlog-script.pl:Add timestamp
	* application-src/script-fail.sh: Add support command
	* client-src/client_util.c: Move backup_support_option to
	  common-src/backup_support_option.c
	* client-src/client_util.h: Move backup_support_option to
	  common-src/backup_support_option.h
	* client-src/sendbackup.c: Add --timestamp argument
	* client-src/sendsize.c: Add --timestamp argument
	* common-src/Makefile.am: Add backup_support_option.[hc]
	* common-src/amfeatures.c: Add fe_req_options_timestamp
	* common-src/amfeatures.h: Add fe_req_options_timestamp
	* common-src/backup_support_option.c: Add backup_support_option
	* common-src/backup_support_option.h: Add prototype
	* server-src/server_util.c (run_server_script, run_server_dle_scripts,
	  run_server_host_scripts, run_server_global_scripts): Add timestamp
	  argument.
	* server-src/server_util.h:Change prototype
	* server-src/amcheck.c, server-src/driver.c server-src/dumper.c
	  server-src/planner.c: Add the timestamp argument in calls

2017-09-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	Patch by Chapman Flack
	* application-src/ambsdtar.c, application-src/amgtar.c,
	  client-src/client_util.c, client-src/client_util.h,
	  client-src/selfcheck.c, client-src/sendbackup-gnutar.c,
	  client-src/sendsize.c: Add dirname argument to many include/exclude
	  functions

2017-09-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	Rename script/applciaiton DIRECTORY property to TARGET
	Rename amfetchumpd --directory argument to --target
	* amandad-src/amandad.c: Add debugging statement
	* application-src/ambsdtar.c, application-src/amgtar.c,
	  application-src/amrandom.pl, application-src/amraw.pl,
	  application-src/amsamba.pl, application-src/amstar.c,
	  application-src/amsuntar.pl,
	* application-src/amzfs-sendrecv.pl: Accept TARGET property
	* application-src/amzfs-snapshot.pl: Print TARGET property
	* perl/Amanda/Application/Zfs.pm: Use TARGET property
	* perl/Amanda/CheckDump.pm, perl/Amanda/Extract.pm,
	  perl/Amanda/FetchDump.pm, perl/Amanda/FetchDump/Application.pm,
	  perl/Amanda/FetchDump/ClientApplication.pm, perl/Amanda/Restore.pm,
	  perl/Amanda/Service/Restore.pm: s/directory/target/
	* server-src/amfetchdump.pl: --target argument
	* man/xml-source/amfetchdump.8.xml: Document --target argument

2017-09-06  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Restore.pm:i Fix Parsing properties

2017-08-25  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amutil.c: Add comment
	* common-src/local-security.c: Check result of setregid and setreuid

2017-08-25  Jean-Louis Martineau <JMartineau@carbonite.com>
	Patch by Chapman Flack
	* common-src/local-security.c: Check the hostname is local
	* man/xml-source/amanda-auth.7.xml: Document what a localhost is
	* COPYRIGHT.BSD: New copytight file
	* AUTHORS: Add Chapman Flack

2017-08-24  Jean-Louis Martineau <JMartineau@carbonite.com>
	* application-src/ampgsql.pl:Add --icremental, --remove-full-wal and
	  --remove-incremental-wal properties
	* man/xml-source/ampgsql.8.xml: Document new properties

2017-08-22  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Status.pm: Check only VERSION_MAJOR and VESION_MINOR for
	  error code 1800002

2017-08-22  Jean-Louis Martineau <JMartineau@carbonite.com>
	* config/amanda/version.m4: Correctly set VERSION_COMMENT
	* perl/Amanda/Constants.pm.in.src: Set VERSION_MAJOR, VERSION_MINOR,
	  VERSION_PATCH and VERSION_COMMENT

2017-08-22  Jean-Louis Martineau <JMartineau@carbonite.com>
	* application-src/ampgsql.pl: Add exclude-list and exclude-file to
	  backup operation

2017-08-22  Jean-Louis Martineau <JMartineau@carbonite.com>
	* application-src/ampgsql.pl: exclude postmaster.pid, postmaster.opts
	  and pg_replslot/*

2017-08-21  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Status.pm: s/vaulting/writing/

2017-08-21  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Chunker/Controller.pm (msg_ABORT): Set mesg from param

2017-08-21  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Status.pm: Add error 36, 37 and 38

2017-08-16  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amflush.pl: Use the date specified by the user

2017-08-16  Jean-Louis Martineau <JMartineau@carbonite.com>
	* amar-src/amar.c: Fix race with stop/start_read when record are
	  already read

2017-08-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amutil.c, common-src/security-util.c: Fix getservbyport_r
	  with 4 arguments

2017-08-04  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amutil.c: Call correct variant of getservbyport_r
	* common-src/krb5-security.c: Call correct variant of getservbyname_r
	* common-src/security-util.c: Call correct variant of getservbyname_r
	* common-src/ambind.c: include netinet/in.h
	* config/amanda/syshacks.m4: Do not set GETSERVBYNAME_R5 and
	  GETSERVBYPORT_R5
	* config/amanda/amanda_configure.m4: use ax_func_which_getservbyname_r
	* config/macro-archive/ax_func_which_getservbyname_r.m4: New macro to
	  detect getservbyname_r variant

2017-08-03  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/s3.c: Fix compilation

2017-08-03  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/s3.c: Print html error even on curl error

2017-08-03  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/s3-device.c: Check for S3_ERROR_NotFound

2017-07-31  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amssl.pl: Chomp openssl result

2017-07-28  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/driver.c: Fix test

2017-07-19  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Amdump.pm: Read stdout of suprocess and log them as
	  L_INFO
	* server-src/amreport.pl: When in script mode, print error to stdout
	* installcheck/amreport.pl: Fix test

2017-07-19  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/s3-device.c: Use S3_name
	* device-src/s3.c (S3_name, S3_bucket_name): Define
	* device-src/s3.h (S3_name, S3_bucket_name): Add prototype

2017-07-17  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Config/FoldingHash.pm: Fix use of Tie::StdHash

2017-07-17  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Status.pm: Fix aborted, set storage stats to
	  TERMINATED_*

2017-06-16  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/success-dumper-chunker+2taper-flush.pl,
	* installcheck/success-dumper-chunker+dumper-chunker-taper-flush.pl,
	* installcheck/success-dumper-chunker+taper-flush.pl: Set reserve = 0

2017-06-15  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Status.pm: Set 'aborted'. Always set TERMINATED* on
	  dead_run
	* installcheck/Amanda_Rest_Runs.pl: Fix

2017-06-15  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/driver.c (start_degraded_mode): Go in degraded mode if
	  there is no storage

2017-06-14  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/driver.c: dp_degraded_modemust be TRUE if nb_storage == 0

2017-06-14  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Installcheck/Rest.pm: We need WWW::Curl::Easy version
	  4.14 or newer

2017-06-13  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/s3.c: Fix for x-amz-server-side-encryption

2017-06-13  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/ambsdtar.pl, installcheck/amgtar.pl.
	  installcheck/amstar.pl: Fix for !SINGLE_USERID

2017-06-09  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/s3-device.h (_S3Device): last_byte_read,
	  next_block_to_read, next_byte_to_read must be gint64

2017-06-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/ammessage.c (3600096): Print the security_file
	* common-src/security-file.c (security_file_check_path): Add the
	  security_file to the message
	* installcheck/ambsdtar.pl, installcheck/amgtar.pl,
	  installcheck/amstar.pl: Test it

2017-06-07  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/planner.c: Fix planner looping

2017-06-06  Jean-Louis Martineau <JMartineau@carbonite.com>
	* NEWS, ReleaseNotes: 3.4.5

2017-06-06  Jean-Louis Martineau <JMartineau@carbonite.com>
	* config/amanda/amanda_configure.m4: Call AMANDA_CHECK_LIBDL
	* config/amanda/libs.m4 (AMANDA_CHECK_LIBDL): Check if libdl exists
	* device-src/Makefile.am: Use $LIBDL}

2017-06-06  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/conffile.c (read_block): Reset current_line_num after
	  processing config_overrides

2017-06-05  Jean-Louis Martineau <JMartineau@carbonite.com>
	* recover-src/extract_list.c: Fix memory leak

2017-06-05  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/xfer-dest-taper-splitter.c: Fix taper hang

2017-05-19  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Vault.pm: Set $size to -1 if it is 0. 0 means nothing,
	  -1, means everything

2017-05-18  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/s3-device.c:use_s3_multi_delete default to 1 for SWIFT-3
	* device-src/s3.c (s3_multi_delete): Handle S3_API_SWIFT_3

2017-05-16  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Chunker/Controller.pm: Send SHM_NAME or PORT only if we
	  have a header_port
	* perl/Amanda/Report.pm: Chunker without dumper is a failure
	* perl/Amanda/Report/human.pm: Chunker without dumper is a FAILED
	* server-src/driver.c: Call dumper_chunker_result if chunker failand
	  dumper not yet started
	* server-src/driverio.h (struct dumper_s): Add sent_command
	* xfer-src/element-glue.c (do_directtcp_listen): Correctly print error
	  from resolve_hostname()

2017-05-15  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amjson.c (amjson_s, parse_json_primitive,
	  json_parse_string): Move declaration to amjson.h
	* common-src/amjson.h: Add declaration
	* common-src/ammessage.c: Use amjson type and functions

2017-05-12  Jean-Louis Martineau <JMartineau@carbonite.com>
	* client-src/senddiscover.c: s/read/read/fully/

2017-05-09  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/s3.c: Parse HTML error from SWIFT_3
	* device-src/s3.h: Add NotFound error

2017-05-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amjson.c, common-src/security-util.c,
	  recover-src/extract_list.c: Fix bug found by coverity

2017-05-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/driver.c (tape_action): Use a new tape if it lost less
	  tape space
	* installcheck/tape_action.pl: Add tests

2017-05-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/driver.c (wait_children): Use smaller sleep time

2017-05-05  Jean-Louis Martineau <JMartineau@carbonite.com>
	* client-src/runtar.c: Accept --verbose argument

2017-05-04  Jean-Louis Martineau <JMartineau@carbonite.com>
	* ReleaseNotes, NEWS: Typo

2017-05-04  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/security-util.c: Fix for compiler warning

2017-05-03  Jean-Louis Martineau <JMartineau@carbonite.com>
	* NEWS, ReleaseNotes: 3.4.4

2017-05-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/match.c (make_template): Fix
	* installcheck/Amanda_Util.pl: Check fix

2017-04-26  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amservice.c (handle_result): Call
	  security_close_connection
	* common-src/security-util.c (sec_tcp_conn_put): Kill the subprocess
	* common-src/security-util.h (sec_tcp_conn_put): Remove prototype
	* server-src/amcheck.c (handle_result): Call security_close_connection

2017-04-25  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/s3.c: Get a new curl handle after a 503 error. To force
	  closing the connection and opening a new one

2017-04-25  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/Makefile.am (INSTALLPERMS_exec): Add ambind, remove
	  amservice
	* server-src/Makefile.am (INSTALLPERMS_exec): Remove amcheck, dumper
	  and planner

2017-04-20  Jean-Louis Martineau <JMartineau@carbonite.com>
	* NEWS: S3 device: openstack keystone v3 support
	* device-src/s3-device.c: PROJECT-NAME and DOMAIN-NAME device
	  properties
	* device-src/s3-device.h (struct _S3Device): Add project_name and
	  domain_name fields
	* device-src/s3.c: Get token from keystone v3
	* device-src/s3.h (s3_open): Change prototype.
	* man/xml-source/amanda-devices.7.xml: Document new device properties

2017-04-20  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amjson.c: Remove debugging statement

2017-04-14  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amjson.c: New generic json parser
	* common-src/amjson.h: Add json parser prototypes
	* common-src/Makefile.am (libamanda_la_SOURCES): Add amjson.c
	* common-src/Makefile.am (noinst_HEADERS): Add amjson.h
	* device-src/s3.c (get_openstack_swift_api_v2_setting):Send json
	  requestand parse json result

2017-04-06  Jean-Louis Martineau <JMartineau@carbonite.com>
	Patch by Nathan Stratton Treadway
	* perl/Amanda/Interactivity/email.pm: Improve Interactivity

2017-04-06  Jean-Louis Martineau <JMartineau@carbonite.com>
	Patch by Nathan Stratton Treadway
	* perl/Amanda/Interactivity/tty_email.pm: Fix NAME description

2017-04-06  Jean-Louis Martineau <JMartineau@carbonite.com>
	Patch by Nathan Stratton Treadway
	* man/xml-source/amadmin.8.xml: Add config command
	* man/xml-source/amanda.conf.5.xml (seealso): Add ref to amadmin
	* man/xml-source/amgetconf.8.xml (seealso): Add ref to amadmin

2017-03-31  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/ndmp-device.c (write_from_connection_impl,
	  read_to_connection_impl): Do not overflow length

2017-03-16  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Label.pm: Check if label match labelstr
	* installcheck/amlabel.pl: Fix

2017-03-16  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Tapelist.swg: Fix not adding label to tapleist file when
	  creating it

2017-03-16  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/file.c: Fix crash if read return -1

2017-03-16  Jean-Louis Martineau <JMartineau@carbonite.com>
	* VERSION: 3.5

2017-03-15  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/amgetconf.pl: Fix for visible/hidden
	* perl/Amanda/Service/Amidxtaped.pm: Wait to load the config before
	  doing some setting
	* server-src/logfile.c: Abort on ENOENT error

2017-03-15  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Curinfo/Info.pm: Fix writting the stats line

2017-03-15  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/conffile.c: Correctly initialize the visible property
	  field
	* installcheck/Amanda_Config.pl: Check visible field

2017-03-14  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/conffile.c: Parse hidden|visible on dumptype property
	* common-src/conffile.h (property_t) : Add visible field
	* man/xml-source/amanda.conf.5.xml: Document the new hidden|visible
	  keyword
	* perl/Amanda/Config.swg: Add the visible field
	* perl/amglue/ghashtable.c: Add the visible field
	* server-src/diskfile.c: Do not add hidden dumptype property to the
	  xml string

2017-03-14  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/ambackupd.pl: Do incremental backup

2017-03-14  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Cleanup.pm: Improvement

2017-03-10  Jean-Louis Martineau <JMartineau@carbonite.com>
	* recover-src/extract_list.c: Check result of fcntl

2017-03-10  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/bsd-security.c: Add bsd_stream_pause and bsd_stream_resume
	* common-src/bsdtcp-security.c, common-src/bsdudp-security.c,
	  common-src/krb5-security.c, common-src/local-security.c,
	  common-src/rsh-security.c, common-src/ssh-security.c,
	  common-src/ssl-security.c: Add tcpm_stream_pause and
	  tcpm_stream_resume to declaration
	* common-src/security-util.c (tcpm_stream_pause, tcpm_stream_resume):
	  Add function
	* common-src/security-util.h (tcpm_stream_pause, tcpm_stream_resume):
	  Add prototype
	* common-src/security.h (security_stream_pause,
	  security_stream_resume): Add macro
	* recover-src/extract_list.c (read_amidxtaped_data): Call
	  security_stream_pause if can't write to the pipe, add a EV_WRITEFD
	  to call write_data_to_app
	* recover-src/extract_list.c (write_data_to_app): New function that
	  write data to the pipe if allowed, call security_stream_resume
	  when the block is completely written

2017-03-10  Jean-Louis Martineau <JMartineau@carbonite.com>
	* packaging/rpm/amanda.spec.src: Fix (add fi)

2017-03-10  Jean-Louis Martineau <JMartineau@carbonite.com>
	* packaging/rpm/amanda.spec.src:Add CentOs 6 and RedHat 7

2017-03-10  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/ambackupd.pl: Remove bogus check

2017-03-09  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/CheckDump.pm (local_message): Add message 2700008,
	  2700009, 2700010, 2700018, 2700019 and 2700020
	* perl/Amanda/CheckDump.pm (new): Set message_filename and
	  message_pathname
	* perl/Amanda/CheckDump.pm (run): Print message 2700006, 2700007,
	  2700008, 2700009 and 2700010
	* perl/Amanda/FetchDump.pm (new): Set message_filename and
	  message_pathname
	* perl/Amanda/Rest/Runs.pm (checkump): Use message_filename
	* perl/Amanda/Restore.pm: Count image_restored and image_failed
	* perl/Amanda/Service/Amidxtaped.pm (new): Set message_filename and
	  message_pathname
	* server-src/amcheckdump.pl: Do not printmessage 2700006 and 2700007

2017-03-09  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Chunker/Controller.pm (msg_PORT_WRITE): Call dump_db
	  instead of cance_dump on failure
	* perl/Amanda/Chunker/Scribe.pm: Do not call dump_cb if it is not
	  defined

2017-03-09  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amdumpd.pl: Do not check if amanda is busy

2017-03-07  Jean-Louis Martineau <JMartineau@carbonite.com>
	* config/automake/scripts.am: Check libConfig.so instead of
	  libCmdline.so because it is always compiled
	* installcheck/Amanda_Xfer.pl: Load a config if without server

2017-03-07  Jean-Louis Martineau <JMartineau@carbonite.com>
	* config/amanda/net.m4: Define LOW_TCPPORTRANGE_MIN,
	  LOW_TCPPORTRANGE_MAX, TCPPORTRANGE_MIN, TCPPORTRANGE_MAX,
	  UDPPORTRANGE_MIN and UDPPORTRANGE_MAX
	* common-src/security-file.c: Use configured portrange is not set in
	  the security-file

2017-03-07  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Makefile.am, rest-server/Makefile.am, server-src/Makefile.am:
	  fix 'make dist' when compiled with --wothout-server or
	  --without-client

2017-03-07  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/amstar.pl: Check first line of errors

2017-03-07  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Service/Restore.pm: Remove unused code

2017-03-06  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/diskflat-device.c (diskflat_clear_and_prepare_label):
	  result of ftruncate

2017-03-06  Jean-Louis Martineau <JMartineau@carbonite.com>
	* application-src/ambsdtar.c: Typo
	* application-src/amstar.c (amstar_restore, amstar_validate): filter
	  stdout and stderr

2017-03-06  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/diskflat-device.c (diskflat_clear_and_prepare_label):
	  ftruncate the file

2017-03-06  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/CheckDump.pm (run): Set all_copy=1 to restore()
	* perl/Amanda/Restore.pm (restore): Pass all_copy to make_plan()

2017-03-01  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Recovery/Clerk.pm: Typo
	* perl/make_html.pl: Fix man pages

2017-03-01  Jean-Louis Martineau <JMartineau@carbonite.com>
	* NEWS, ReleaseNotes: 3.4.3

2017-02-28  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Tapelist.swg (remove_tapelabel): Call C_remove_tapelabel
	* server-src/tapefile.c (add_tapelabel): Verify the label is not
	  already in the tapelist
	* installcheck/Amanda_Tapelist.pl: Fix/add check

2017-02-27  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/tapefile.c (tape_overwrite, nb_tape_in_storage): Take
	  storage as argument, Check NULL storage name and labelstr
	* server-src/tapefile.h (tape_overwrite, nb_tape_in_storage): New
	  prototypes
	* server-src/planner.c (when_overwrite): Pass the storage argument
	  to tape_overwrite and nb_tape_in_storage

2017-02-24  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amutil.c, common-src/security-file.c,
	  common-src/stream.c: Fix bug found by coverity

2017-02-24  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/ndmp-device.c (read_to_connection_impl):Correctlycompute
	  the offset

2017-02-23  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amcleanupdisk.pl: Fix renaming tmp holding file

2017-02-22  Jean-Louis Martineau <JMartineau@carbonite.com>
	Patch by Charles Curley
	* common-src/ammessage.c: Fix message
	* man/xml-source/amanda.8.xml: Fix documentation

2017-02-21  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/tapefile.c (nb_tape_in_storage): Fix for older glib2

2017-02-21  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/ambind.c: Print 'WARNING:' prefix if we should retry on
	  a different port
	* common-src/amutil.c: Parse 'WARNING:' prefix
	* common-src/stream.c, common-src/dgram.c: Handle retry
	* common-src/security-file.c (security_allow_bind): Check the port
	  have no name

2017-02-21  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/tapefile.c (nb_tape_in_storage): Use g_strcmp0

2017-02-20  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amtape.pl: Add a drive argument to 'amtape slot'
	* perl/Amanda/Changer/robot.pm (load_unlocked): Use the drive argument
	* man/xml-source/amtape.8.xml: Document it
	* NEWS: Document it

2017-02-20  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/security-file.c: Parse tcp_port_range and udp_port_range
	* common-src/security-file.c (security_allow_bind): New function to
	  verify if the port is in tcp_port_range and udp_port_range
	* common-src/security-file.h (security_allow_bind): Add prototype
	* common-src/make_security_file.c: Add tcp_port_range and
	  udp_port_range in the default amanda-security.conf file
	* common-src/dgram.c (dgram_bind): Add bind_msg argument
	* common-src/dgram.h (dgram_bind): New prototype
	* common-src/stream.c (stream_client_addr, stream_client_privileged,
	  stream_client): Add stream_msg argument
	* common-src/stream.h (stream_client_addr, stream_client_privileged,
	  stream_client): New prototype
	* common-src/amutil.c (connect_portrange): Add stream_msg argument
	* common-src/amutil.c (bind_portrange): Add bind_msg argument
	* common-src/amutil.c (ambind): Parse stderr of ambind
	* common-src/amutil.h (connect_portrange): New prototype
	* common-src/amutil.h (bind_portrange): New prototype
	* common-src/ambind.c: Call security_allow_bind, print error on stderr
	* client-src/sendbackup.c, common-src/bsd-security.c,
	  common-src/bsdtcp-security.c, common-src/bsdudp-security.c,
	  common-src/krb5-security.c, common-src/security-util.c,
	  common-src/ssl-security.c, oldrecover-src/amrecover.c,
	  oldrecover-src/extract_list.c, server-src/dumper.c,
	  xfer-src/element-glue.c: Use new API
	* man/xml-source/amanda-security.conf.5.xml: Document tcp_port_range
	  and udp_port_range
	* NEWS: Document it

2017-02-17  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/local-security.c: Fix setregid call

2017-02-17  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Changer/diskflat.pm: Add info_setup

2017-02-15  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/diskfile.c: Fix for older glib2

2017-02-14  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/s3-device.c (catalog_open): Typo

2017-02-14  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/shm-ring.c (shm_ring_sem_wait): Remove duplicated code
	* client-src/sendbackup.c: Close file descriptor
	* common-src/file.c: Fix memory leak
	* common-src/protocol.c: Fix memory leak
	* server-src/amtrmidx.c: Fix memory leak
	* server-src/amtrmlog.c: Fix memory leak
	* server-src/diskfile.c: Fix memory leak

2017-02-10  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amadmin.c (tape): Do not free the list_new_tapes result

2017-02-10  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/tape-device.c (tape_device_eject): Close the device if we
	  open it

2017-02-10  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/ScanInventory.pm: Make sure restart_scan is not run
	  twice in parallel

2017-02-10  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/conffile.c, server-src/find.c,
	  server-src/tapefile.c: Fix memory leak.

2017-02-10  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/shm-ring.c: NetBSD limit to 14 characters the shm name

2017-02-07  Jean-Louis Martineau <JMartineau@carbonite.com>
	Allow compilation with libressl
	* config/amanda/amanda_configure.m4: Change order
	* device-src/Makefile.am (libamdevice_la_LDFLAGS): Add -ldl
	* common-src/glib-util.c, device-src/s3-util.c, device-src/s3.c:
	  check for LIBRESSL_VERSION_NUMBER

2017-02-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/failure-server-custom-compress-no-exec.pl: Call
	  check_amreport with skip_size

2017-02-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* client-src/calcsize.c: amflock(2,"size");
	* client-src/sendsize.c: Add amflock(1,"size");

2017-02-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* config/amanda/syshacks.m4: Set BROKEN_SENDMSG on *-apple-darwin*
	* common-src/amutil.c: Do not use ambinf if BROKEN_SENDMSG

2017-02-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* config/amanda/amanda_configure.m4: Detect if we have getservbyport_r
	* common-src/amutil.c: use getservbyport if getservbyport_r is not
	  available
	* common-src/protocol.c: Use tread if HAVE_GETSERVBYNAME_R and
	  HAVE_GETSERVBYPORT_R

2017-02-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* application-src/ambsdtar.c: 'copyfile unpack (./.) failed' is normal
	  on restore

2017-02-01  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amutil.c (get_sse42): Add default function

2017-01-31  Jean-Louis Martineau <JMartineau@carbonite.com>
	* NEWS, ReleaseNotes: 3.4.2

2017-01-30  Jean-Louis Martineau <JMartineau@carbonite.com>
	Patch by Jason L Tibbitts III
	* server-src/amcheck.c: Remove spurious printf

2017-01-30  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/krb5-security.c (krb5_accept): Check result of setreuid

2017-01-24  Jean-Louis Martineau <JMartineau@carbonite.com>
	* application-src/ambsdtar.c: Add a SPARSE property, default to YES
	* man/xml-source/ambsdtar.8.xml: Document it.

2017-01-20  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Report/human.pm: Fix output

2017-01-19  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Script_App.pm: Use config_init_with_global

2017-01-18  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amgetconf.pl: Add build.amperldir
	* perl/Amanda/Paths.pm.in: Export $amperldir

2017-01-18  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/ammessage.c: Add storage to message
	* server-src/amtape.pl: Use storage AUTOLABEL
	* server-src/amcheck-device.pl: Use storage AUTOLABEL
	* server-src/amcheck.c: Use storage RUNTAPES and policy
	  retention-tapes
	* server-src/driverio.c: Use storage tapetype

2017-01-18  Jean-Louis Martineau <JMartineau@carbonite.com>
	* packaging/deb/amanda-backup-client.dirs,
	  packaging/deb/amanda-backup-client.install,
	  packaging/deb/amanda-backup-server.install:
	  s#usr/libexec/amanda#usr/lib/x86_64-linux-gnu/amanda#
	* packaging/deb/rules:
	  Set LIBDIR to $(PREFIX)/lib/$(triplet) on x86_64-linux-gnu
	  Set LIBEXECDIR to $(LIBDIR)

2017-01-17  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/s3.c: Fix for '/' in prefix, fix for port in S3-HOST

2017-01-17  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/dumper.c (startup_dump): Fix reversed test

2017-01-17  Jean-Louis Martineau <JMartineau@carbonite.com>
	Patch by Jason L Tibbitts <tibbs@math.uh.edu>
	* server-src/diskfile.c (optionstr): Make sure options string
	  begins with a semicolon

2017-01-13  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/failure-server-custom-compress-not-found.pl: Call
	  check_amreport with skip_size

2017-01-13  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/bsdtcp-security.c (bsdtcp_accept): Send early error
	  message to the socket

2017-01-12  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/driverio.h (sched_t): remove nb_flush
	* server-src/driver.c (read_flush): Add a different sched_t for each
	  storage
	* installcheck/success-dumper-chunker+2taper-flush.pl: fix

2017-01-12  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/conffile.c: Parse 'active-storage' setting
	* common-src/conffile.h: Add CNF_ACTIVE_STORAGE
	* server-src/driver.c: Use active-storage
	* man/xml-source/amanda.conf.5.xml: Document active-storage
	* installcheck/Installcheck/Run.pm (is_sort_array): new function
	* installcheck/Makefile.am: Add success-dumper-chunker+2taper-flush
	* installcheck/success-dumper-chunker+2taper-flush.pl: New file

2017-01-09  Jean-Louis Martineau <JMartineau@carbonite.com>
	* application-src/amsamba.pl: Set LC_CTYPE to en_US.UTF-8 before
	  executing smbclient

2017-01-09  Jean-Louis Martineau <JMartineau@carbonite.com>
	By Jose M Calhariz and Jon LaBadie
	* man/xml-source/amanda-auth.7.xml
	* man/xml-source/amanda-changers.7.xml
	* file man/xml-source/amanda-devices.7.xml: Documentation fix

2017-01-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* client-src/sendbackup.c (start_index): Remove unused ptr and
	  bytes_written variables

2017-01-06  Jean-Louis Martineau <JMartineau@carbonite.com>
	* man/xml-source/amanda.conf.5.xml: Add a &nbsp; to force a space

2017-01-05  Jean-Louis Martineau <JMartineau@carbonite.com>
	Patch by Eric Schnoebelen <eric@cirr.com>
	* config/amanda/defaults.m4: Install amanda-security.conf in
	  $sysconfdir

2017-01-05  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Paths.pm.in: export SECURITY_FILE and AMANDATES_FILE
	* common-src/amgetconf.pl: Add build.amdatadir, build.security_file
	  and build.amandates_file
	* installcheck/amgetconf.pl: Test them

2017-01-05  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/failure-server-encrypt-end.pl,
	  installcheck/failure-server-encrypt-no-exec.pl.
	  installcheck/failure-server-encrypt-not-found.pl: Call
	  check_amreport with skip_size

2017-01-04  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/failure-server-encrypt.pl: Call check_amreport with
	  skip_size

2017-01-04  Jean-Louis Martineau <JMartineau@carbonite.com>
	* config/amanda/flags.m4: Detect clang compiler
	* common-src/ammessage.c: Fix warning found by clang compiler
	* common-src/amutil.c: Fix warning found by clang compiler
	* common-src/conffile.c: Fix warning found by clang compiler
	* common-src/crc32-test.c: Fix warning found by clang compiler
	* common-src/security-util.c: Fix warning found by clang compiler
	* device-src/ndmp-device.c: Fix warning found by clang compiler

2017-01-04  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/Makefile.am: crc32-test.o: AM_CFLAGS += $(SSE42_CFLAGS)
	* common-src/amcrc32chw.c: Use __SSE4_2__, set compiled_with_sse4_2
	* common-src/amcrc32chw.h: Declare compiled_with_sse4_2
	* common-src/amutil.c: Use __SSE4_2__, check compiled_with_sse4_2
	* common-src/crc32-test.c: Use __SSE4_2__

2017-01-03  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Changer/robot.pm: Add 'use Carp;' in
	  Amanda::Changer::robot::Interface::MTX package

2017-01-03  Jean-Louis Martineau <JMartineau@carbonite.com>
	Initial patch by Eric Schnoebelen <eric@cirr.com>
	* common-src/ammessage.c: Check bound on err_code array

2017-01-03  Jean-Louis Martineau <JMartineau@carbonite.com>
	Patch by Eric Schnoebelen <eric@cirr.com>
	* common-src/security-file.c: use of autoconf defined feature macro
	  instead of hardcoded path

2017-01-03  Jean-Louis Martineau <JMartineau@carbonite.com>
	Patch by Eric Schnoebelen <eric@cirr.com>
	* config/macro-archive/xsltproc.m4: Fix shell portability problem

2017-01-03  Jean-Louis Martineau <JMartineau@carbonite.com>
	Patch by Eric Schnoebelen <eric@cirr.com>
	* config/amanda/libs.m4: bash-ism's in the autoconf macros.  autoconf
	  should be written in POSIX sh

2017-01-03  Jean-Louis Martineau <JMartineau@carbonite.com>
	Patch by Eric Schnoebelen <eric@cirr.com>
	* common-src/glib-util.c: Make sure to use the feature test macro for
	  LIBCURL before trying to use either the GNUTLS or OPENSSL feature
	  test macros

2017-01-03  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/conffile.c: Print warning if autolabel is set to the
	  "MATCH-AUTOLABEL" string

2016-12-30  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amcheck-device.pl: Fix printing error

2016-12-21  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Paths.pm.in: Add $libdir
	* common-src/amgetconf.pl: Add build.libdir and build.amlibdir

2016-12-21  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Label.pm: Fix for force (-f in amlabel)

2016-12-19  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amtoc.pl: Fix for new log file format

2016-12-16  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Report.pm: Fix exit_status for some error

2016-12-13  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Debug.swg (_my_warn): Fix for array argument

2016-12-05  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/tapefile.c (lookup_last_reusable_tape): correctly check
	  pool and label

2016-12-05  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/make_security_file.c: Fix comment in amanda-security.conf

2016-12-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/planner.c (when_overwrite): Use default storage if the
	  tle have no storage

2016-12-01  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amutil.c: typo

2016-12-01  Jean-Louis Martineau <JMartineau@carbonite.com>
	* config/amanda/syshacks.m4: Define GETSERVBYPORT_R5 on solaris2
	* common-src/amutil.c: Use solaris 5 arguments for getservbyport_r

2016-11-29  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Installcheck/Run.pm (check_amreport): skip_size default
	  to 1
	* installcheck/failure-client-custom-compress-end.pl,
	  installcheck/failure-client-custom-compress-no-exec.pl,
	  installcheck/failure-client-custom-compress-not-found.pl,
	  installcheck/failure-client-custom-compress.pl,
	  installcheck/failure-client-encrypt-end.pl,
	  installcheck/failure-client-encrypt-no-exec.pl,
	  installcheck/failure-client-encrypt-not-found.pl,
	  installcheck/failure-client-encrypt.pl,
	  installcheck/failure-server-custom-compress-end.pl,
	  installcheck/failure-server-encrypt-end.pl:
	  Remove 'sendbackup: size' lines

2016-11-29  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Changer.pm (show): Print if the label do not match
	  the labelstr
	* perl/Amanda/Rest/Storages.pm: Set label_match
	* server-src/amtape.pl (inventory): Print if the label do not match
	  the labelstr
	* installcheck/Amanda_Rest_Storages.pl, installcheck/amtape.pl: Fix

2016-11-28  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amutil.c: Workaround if SOCK_NONBLOCK is not defined

2016-11-25  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amxml.c, device-src/vfs-device.c,
	  perl/Amanda/Config.swg: Fix warning found by clang

2016-11-25  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Amanda_Changer_aggregate.pl: Set the aggregate
	  state-filename property

2016-11-25  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Amanda_Rest_Storages.pl: Set the aggregate state_filename

2016-11-25  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Amanda_Rest_Storages.pl: Typo

2016-11-25  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Changer.pm: s/NO-STORAGE/ by the config_name
	* perl/Amanda/Changer/aggregate.pm: Various fix
	* server-src/driverio.c: Add comments
	* installcheck/Amanda_Changer_disk.pl: Fix comment
	* installcheck/Amanda_Rest_Storages.pl: Test chg-aggregate
	* installcheck/Installcheck/Changer.pm: Improve error message
	* installcheck/Installcheck/Rest.pm: Start starman with the
	'--workers 1' argument
	* installcheck/Amanda_Changer_aggregate.pl: New script to test
	  chg-aggregate
	* installcheck/Makefile.am (server_tests): Add
	  Amanda_Changer_aggregate

2016-11-24  Jean-Louis Martineau <JMartineau@carbonite.com>
	New setuid ambind binary to bind a socket to a priviledge port
	planner, dumper, amcheck and amservice are no longer setuid
	Use one thread by client for the connect call

	* common-src/Makefile.am (amlibexec_PROGRAMS): Add ambind
	* common-src/amanda.h (sockaddr_union): remove typedef
	* common-src/sockaddr-util.h (sockaddr_union): copied from amanda.h
	* common-src/ambind.c: New program to bind a socket to a privilege port
	* common-src/ammessage.c: Add message 2800235
	* common-src/amservice.c: Check is not suid root
	* common-src/amutil.c (priv_mutex): declare
	* common-src/amutil.c (connect_port, connect_portrane, bind_portrange):
	  New priv argument
	* common-src/amutil.c (ambind): New function to execute ambind
	* common-src/amutil.c (connect_port, bind_portrange): Call ambind if a
	  privilege port is required
	* common-src/amutil.h (priv_mutex): declare extern
	* common-src/amutil.h (connect_portrange, connect_portrange): New priv
	  argument
	* common-src/bsd-security.c: Do not take root privilege
	* common-src/bsdtcp-security.c: Do not take root privilege,
	  take security_mutex
	* common-src/bsdudp-security.c: Do not take root privilege
	* common-src/dgram.c (dgram_bind): Add priv to argument, use new
	  bind_portrange return socket
	* common-src/dgram.h (dgram_bind): Add priv to argument
	* common-src/glib-util.c: create priv_mutex an security_mutex
	* common-src/krb5-security.c Do not take root privilege,
	  take security_mutex
	* common-src/local-security.c: take security_mutex
	* common-src/protocol.c: Call security_connect in a new thread if
	  allowed
	* common-src/security-util.c: take security_mutex
	* common-src/security.c (security_mutex): Declare
	* common-src/security.h (security_mutex): Declare extern
	* common-src/ssh-security.c: take security_mutex
	* common-src/ssl-security.c: take security_mutex
	* common-src/stream.c (stream_server): use new bind_portrange return
	  socket
	* packaging/deb/rules: Set new suid bit
	* packaging/rpm/amanda.spec.src: Set new suid bit
	* server-src/amcheck.c: Check is not suid root
	* server-src/dumper.c: Check is not suid root
	* server-src/planner.c: Check is not suid root

2016-11-23  Jean-Louis Martineau <JMartineau@carbonite.com>
	Fix race when using event_register in thread, the callback can be
	calback can before event_register return
	* */*.c : Use event_create and event_activate instead of
	  event_register

2016-11-22  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/dumper.c (retimeout): New function that change the
	  timeout_time but do create create the event
	* installcheck/Installcheck/Run.pm (check_amreport): Add an option to
	  skip the 'sendbackup: size' line
	* installcheck/failure-server-custom-compress.pl: Call check_amreport
	  with the skip_size bit set.

2016-11-21  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amfetchdump.pl, server-src/amreport.pl: Do not add to
	  cfgerr_level

2016-11-21  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Amanda_Rest_Storages.pl: Fix check

2016-11-21  Jean-Louis Martineau <JMartineau@carbonite.com>
	* NEWS, ReleaseNotes: 3.4.1

2016-11-18  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/find.c (find_dump, search_holding_disk, search_logfile):
	  add added_todo argument
	* server-src/find.h (find_dump, search_holding_disk, search_logfile):
	  add added_todo argument
	* server-src/amadmin.c: Call find_dump with added_todo=1
	* server-src/amindexd.c: Call find_dump with added_todo=1
	* server-src/amtrmidx.c: Call find_dump with added_todo=1
	* server-src/driver.c: Call search_holding_disk with added_todo=1
	* server-src/planner.c: Use a dp with a todo bit set
	* server-src/server_util.c: Use a dp with a todo bit set
	* server-src/tapefile.c: Call find_dump with added_todo=0
	* perl/Amanda/Logfile.swg (search_logfile, search_holding_disk): Add
	  added_todo argument
	* perl/Amanda/DB/Catalog.pm: Call search_logfile with added_todo=1
	* perl/Amanda/Disklist.swg: Call search_holding_disk with added_todo=1
	* installcheck/Amanda_Logfile.pl: Call search_logfile with
	  added_todo=1

2016-11-16  Jean-Louis Martineau <JMartineau@carbonite.com>
	* application-src/amrandom.pl: Fix perl warning
	* device-src/amtapetype.pl: Fix perl warning
	* installcheck/success-dumper-chunker-2taper-by-level.pl: Fix test
	* perl/Amanda/Report.pm: Fix perl warning
	* perl/Amanda/Report/human.pm: Fix perl warning
	* server-src/amadmin_perl.pl: Fix perl warning
	* server-src/amstatus.pl: Fix perl warning

2016-11-15  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amstatus.pl: Fix warning, do not print useless (:)
	* installcheck/failure-*.pl, installcheck/success-dumper-*.pl: fix

2016-11-15  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/conffile.c: Add tapedev in storage section
	* common-src/conffile.h: Add STORAGE_TAPEDEV
	* device-src/xfer-dest-taper-splitter.c: Fix to use mem_ring value
	* man/xml-source/amanda.conf.5.xml: Document tapedev in storage section
	* perl/Amanda/Changer.pm: Improve message 1150003
	* perl/Amanda/Config.swg: Add STORAGE_TAPEDEV
	* perl/Amanda/Rest/Storages.pm: Set status to 404 if create fail
	* perl/Amanda/Storage.pm: Use tapedev if tpchanger is not set
	* installcheck/Amanda_Rest_Storages.pl: Fix check
	* installcheck/taper.pl: Fix check

2016-11-14  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/planner.c: Set dp->todo to 0 if the dle is not skipped

2016-11-14  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/amtapetype.pl: Correctly check result of property_set

2016-11-11  Jean-Louis Martineau <JMartineau@carbonite.com>
	* config/amanda/components.m4 (AMANDA_WITHOUT_REST_SERVER): New
	  --without-rest-server option
	* Makefile.am: Do not build rest-server if --without-rest-server
	* config/amanda/libs.m4: Fix typo
	* man/Makefile.am: Do not build amanda-rest-server.8 if
	  --without-rest-server
	* perl/Makefile.am: Do not build Amanda::Rest modules if
	  --without-rest-server
	* server-src/Makefile.am: Do not build amanda-rest-server if
	  --without-rest-server

2016-11-11  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/s3.c: Correctly handle Region not found
	* device-src/s3.h: Add S3_ERROR_Region_Not_Found

2016-11-09  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/s3.c: Verify a publicURL is found

2016-11-09  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/s3.c: publicURl and region can be unordered

2016-11-04  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/s3.c: Use the publicURL from the good region

2016-11-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amcheck.c: Fix

2016-11-01  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Status.pm: Set $dlet->{'wsize'} to $dlet->{'taped_size'}
	  if it is bigger
	* perl/Amanda/Taper/Scribe.pm (get_bytes_written): Do not set oldsize
	  to size if size==0
	* perl/Amanda/Taper/Worker.pm: Delete the statefile later

2016-11-01  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/xfer-dest-taper-splitter.c: ring buffer might never be
	  full

2016-10-31  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amcheck.c: Print message 2800016 to mainfd

2016-10-31  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Service/Amidxtaped.pm: Do not send mesage 4900000 and
	  4900012 to client
	* recover-src/extract_list.c: Print size on EOF

2016-10-26  Jean-Louis Martineau <JMartineau@carbonite.com>
	* packaging/rpm/amanda.spec.src: Remove perl(Dancer2) from the Requires

2016-10-25  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/DB.pm: package Amanda::DB;
	* perl/Amanda/Recovery.pm: package Amanda::Recovery;
	* perl/Amanda/Service.pm: package Amanda::Service;

2016-10-24  Jean-Louis Martineau <JMartineau@carbonite.com>
	* config/amanda/dvdrw-device.m4, config/amanda/ndmp-device.m4,
	  config/amanda/s3-device.m4: Do not include the device if compiled
	  --without-server

2016-10-19  Jean-Louis Martineau <JMartineau@carbonite.com>
	* config/amanda/libs.m4: Do not link with libcurl if no se device or
	  no server
	* config/amanda/s3-device.m4: Re-order

2016-10-19  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Makefile.am: Amanda::FetchDump::*, Amanda::Recovery::* and
	  Amanda::Amservice are for client or server

2016-10-11  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Amanda_Device.pl: Reduce bucket name length

2016-10-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* config/amanda/amanda_configure.m4: Check for getservbyname_t and
	  sem_timedwait
	* common-src/security-util.c: Check HAVE_GETSERVBYNAME_R
	* common-src/shm-ring.c: Check HAVE_SEM_TIMEDWAIT
	* gnulib/regenerate/regenerate: Check configure.ac

2016-10-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* config/amanda/ssl-security.m4: Fix pkg-config argument

2016-10-04  Jean-Louis Martineau <JMartineau@carbonite.com>
	* application-src/amstar.c: Fix exclude pattern

2016-10-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* config/amanda/amanda_configure.m4: Check if clock_gettime exists
	* common-src/debug.c (msg_timestamp): Use time/ctime_r if
	  clock_gettime do not exists

2016-09-29  Jean-Louis Martineau <JMartineau@carbonite.com>
	* packaging/common/test_sh_libs.sh: Fix for time

2016-09-29  Jean-Louis Martineau <JMartineau@carbonite.com>
	* many */*.c: Add call to glib_init()

2016-09-28  Jean-Louis Martineau <JMartineau@carbonite.com>
	* amandad-src/amandad.c: Do not free as
	* recover-src/extract_list.c: Check state_filename != NULL before
	  unlink

2016-09-28  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Amanda_MainLoop.pl: Increase timeout

2016-09-27  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/driver.c (file_taper_result): Check result of
	  g_hash_table_lookup

2016-09-27  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/glib-util.c: Initialize shm_ring_mutex
	* common-src/shm-ring.c: Use a hash to manage semaphore
	* common-src/shm-ring.h: Export shm_ring_mutex
	* perl/Amanda/Status.pm: Fix for runq
	* server-src/tapefile.c: Fix for storage not set
	* installcheck/Amanda_Rest_Runs.pl: Fix
	* installcheck/success-dumper-chunker+taper-flush.pl Fix

2016-09-26  Jean-Louis Martineau <JMartineau@carbonite.com>
	* config/amanda/syshacks.m4: Define GETSERVBYNAME_R5 on solaris
	* common-src/security-util.c: Use solaris getservbyname_r if
	  GETSERVBYNAME_R5 is defined
	* common-src/shm-ring.c: Cast pid_t to int
	* server-src/tapefile.c: Cast pid_t to int

2016-09-21  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amadmin.c (find): Do not call find_log(), it is a cpu hog
	  and it print useless warning
	* server-src/tapefile.c (lookup_tapelabel): Use a hash

2016-09-21  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Report.pm: A Fail driver line must set the exit_status
	  to STATUS_FAILED
	* installcheck/Amanda_ClientService.pl: Fix test

2016-09-21  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Amanda_Device.pl: Fix a test

2016-09-20  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/planner.c (when_overwrite): Use the tapecycle
	* server-src/tapefile.c (nb_tape_in_storage): New function to compute
	  the number of tape in a storage
	* server-src/tapefile.h (nb_tape_in_storage): Add prototype
	* installcheck/success-dumper-chunker-2taper-by-level.pl: Fix test

2016-09-20  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/planner.c (when_overwrite): Fix off by 1 error
	* server-src/tapefile.c (tape_overwrite): Use tp1->retention

2016-09-20  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/ScanInventory.pm: Use storage_nme fro chg->storage
	* server-src/amadmin.c: Remove spurious print message
	* server-src/amreindex.pl: Remove spurious print message
	* server-src/dumper.c: Call g_mutex_new and g_cond_new before creating
	  the thread, this fix a race
	* server-src/infofile.c (read_txinfofile): return 0 on success
	* server-src/planner.c (when_overwrite): Use storage setting
	* server-src/tapefile.c (tape_overwrite): New function to return how
	  many tapes whould be reuse before this one
	* server-src/tapefile.h (tape_overwrite): Add prototype

2016-09-19  Jean-Louis Martineau <JMartineau@carbonite.com>
	* NEWS, ReleaseNotes: Update for 3.4

2016-09-19  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/driver.c: Do not call cleanup_shm_ring too often
	* common-src/shm-ring.c (cleanup_shm_ring): Do not remove new shm,
	  allow them the time to setup

2016-09-18  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/glib-util.c (glib_init): Call g_mutex_new after the thread
	  are initialized

2016-09-16  Jean-Louis Martineau <JMartineau@carbonite.com>
	Do not substitute $t in autolabel, meta-autolabel and pool,the value
	is not always available
	* common-src/conffile.c: Do not substitute $t in pool
	* common-src/match.c (make_template, match_labelstr_template,
	  match_labelstr):Add storage argument
	* common-src/match.h (match_labelstr_template, match_labelstr): Fix
	  prototype
	* perl/Amanda/Util.swg (match_labelstr_template, match_labelstr): Fix
	  prototype
	* perl/Amanda/Changer.pm (label_to_slot, make_new_tape_label): Do no
	  substitute $t in autolabel, meta-autolabel
	* perl/Amanda/Label.pm,  perl/Amanda/ScanInventory.pm,
	  perl/Amanda/Taper/Scan/oldest.pm,
	  perl/Amanda/Taper/Scan/traditional.pm: Add storage argument to
	  match_labelstr call
	* perl/Amanda/Taper/Scan.pm, server-src/tapefile.c: Add storage
	  argument to match_labelstr_template call
	* man/xml-source/amanda.conf.5.xml: Document the change

2016-09-16  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/file.c (areads_getbuf): Fix prototype

2016-09-16  Jean-Louis Martineau <JMartineau@carbonite.com>
	* application-src/ambsdtar.c, application-src/amgtar.c,
	  application-src/amstar.c, client-src/selfcheck.c,
	  client-src/sendsize.c: Call glib_init()
	* common-src/glib-util.c (glib_init): Initialize file_mutex.
	* common-src/file.c (areads_dataready, areads_relbuf, debug_areads):i
	  Thread safe
	* common-src/file.h (aclose): do not call areads_relbuf
	* common-src/file.h (aaclose): Same as old aclose
	* client-src/sendbackup.c, oldrecover-src/amrecover.c,
	  server-src/amtrmidx.c, server-src/driver.c: Call aaclose

2016-09-15  Jean-Louis Martineau <JMartineau@carbonite.com>
	* amandad-src/amandad.c: Send no more than one PREP by second

2016-09-14  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/security-util.c (find_port_for_service):Make it thread
	  safe

2016-09-14  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/event.c: Allow a EV_TIME to be 0, run in the next
	  iteration

2016-09-14  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/planner.c: Fix comment

2016-09-14  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/debug.c (msg_timestamp):Make it thread safe by providing
	  a buffer

2016-09-13  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/amarchiver.pl: Fix for size output
	* amar-src/amar-test.c: Fix for improved error message

2016-09-13  Jean-Louis Martineau <JMartineau@carbonite.com>
	* amar-src/amarchiver.c: Cast amar-size result ot (long long)

2016-09-13  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/FetchDump.pm: Print to STDERR
	* amar-src/amar.c: Improve error message
	* amar-src/amar.h (amar_record): New prototype
	* amar-src/amarchiver.c (do_list): Print the size of the archive
	* perl/Amanda/Archive.swg (amar_record): Swig it

2016-09-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* application-src/amrandom.pl: Do not check the device, set
	  size_level_1
	* common-src/shm-ring.c (cleanup_shm_ring, close_producer_shm_ring,
	  close_consumer_shm_ring): Close the shm memory

2016-09-06  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Restore.pm: Fix call to remove_for_restore_label and
	  remove_for_restore_holding

2016-09-01  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/shm-ring.c (cleanup_shm_ring): Use name without path

2016-09-01  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/device.c (default_device_property_set_ex): Return the
	  device error if it is set
	* device-src/s3-device.c (s3_device_set_use_subdomain_fn):
	  Improve error message
	* installcheck/Amanda_Device.pl: Test non DNS bucket name

2016-08-25  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Process.pm: Typo

2016-08-25  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/*.pl: Make sure they all log their results

2016-08-25  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Vault.pm: fix

2016-08-25  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Vault.pm: Log a 'STATS hostname' line
	* perl/Amanda/Report.pm: Parse the amvault 'STATS hostname' line
	* perl/Amanda/Report/json.pm: Always include the head section
	* installcheck/Amanda_Rest_Runs.pl: Add head section
	* installcheck/catalogs/bigestimate.cat,
	  installcheck/catalogs/doublefailure.cat,
	  installcheck/catalogs/longstrange.cat,
	  installcheck/catalogs/resultsmissing.cat,
	  installcheck/catalogs/retried-nofinish.cat,
	  installcheck/catalogs/retried.cat,
	  installcheck/catalogs/shortstrange.cat,
	  installcheck/catalogs/skipped.cat: Add 'STATS driver' and many
	  'INFO pid-done' lines

2016-08-24  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Extract.pm: Use 'eq' to compare string

2016-08-23  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Restore.pm: Do not chdir if not an absolute path

2016-08-19  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Changer.pm (make_new_tape_label): use the child slot
	* perl/Amanda/Changer/aggregate.pm: Add allow-missing-changer property

2016-08-18  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Makefile.am: Move some test to full_tests or
	  restore_tests
	* installcheck/failure-client-custom-compress-end.pl: Remove 1 test

2016-08-18  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Amanda_Device.pl: Fix test

2016-08-18  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/failure-client-custom-compress-end.pl: Remove 5 tests

2016-08-17  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/dumper.c:Fix compiler warning
	* installcheck/Installcheck/Run.pm: Improvement
	* installcheck/Makefile.am: Add new amcat* script and new test scripts
	* installcheck/amcat-error-end.pl: New script that fail on exit
	* installcheck/amcat-error-no-exec.pl: New script install without
	  execute bit
	* installcheck/amcat-error.pl: New script that fail after 65536 bytes
	* installcheck/amcat.sh: New script that do a cat
	* installcheck/failure-client-custom-compress-end.pl,
	  installcheck/failure-client-custom-compress-no-exec.pl,
	  installcheck/failure-client-custom-compress-not-found.pl,
	  installcheck/failure-client-custom-compress.pl,
	  installcheck/failure-client-encrypt-end.pl,
	  installcheck/failure-client-encrypt-no-exec.pl,
	  installcheck/failure-client-encrypt-not-found.pl,
	  installcheck/failure-client-encrypt.pl,
	  installcheck/failure-server-custom-compress-end.pl,
	  installcheck/failure-server-custom-compress-no-exec.pl,
	  installcheck/failure-server-custom-compress-not-found.pl,
	  installcheck/failure-server-custom-compress.pl,
	  installcheck/failure-server-encrypt-end.pl,
	  installcheck/failure-server-encrypt-no-exec.pl,
	  installcheck/failure-server-encrypt-not-found.pl,
	  installcheck/failure-server-encrypt.pl: New scripts to test various
	  error
	* installcheck/failure-xfer-dest-holding-file-first-close_chunk.pl,
	  installcheck/failure-xfer-dest-holding-file-open-first-header.pl,
	  installcheck/failure-xfer-dest-holding-file-open-second-header.pl,
	  installcheck/failure-xfer-dest-holding-file-second-close_chunk.pl,
	  installcheck/failure-xfer-dest-holding-file-write-first-data.pl,
	  installcheck/failure-xfer-dest-holding-file-write-first-header.pl,
	  installcheck/failure-xfer-dest-holding-file-write-second-data.pl,
	  installcheck/failure-xfer-dest-holding-file-write-second-header.pl,
	  installcheck/failure-xfer-dest-holding-shm-first-close_chunk.pl,
	  installcheck/failure-xfer-dest-holding-shm-open-first-header.pl,
	  installcheck/failure-xfer-dest-holding-shm-open-second-header.pl,
	  installcheck/failure-xfer-dest-holding-shm-second-close_chunk.pl,
	  installcheck/failure-xfer-dest-holding-shm-write-first-data.pl,
	  installcheck/failure-xfer-dest-holding-shm-write-first-header.pl,
	  installcheck/failure-xfer-dest-holding-shm-write-second-data.pl,
	  installcheck/failure-xfer-dest-holding-shm-write-second-header.pl:
	  New script to test error in xfer-dest-holding.c
	* installcheck/success-dumper-chunker+dumper-chunker-taper-flush.pl,
	  installcheck/success-dumper-chunker+taper-flush.pl,
	  installcheck/success-dumper-chunker-2taper-by-level.pl,
	  installcheck/success-dumper-chunker-2taper.pl,
	  installcheck/success-dumper-chunker-taper.pl,
	  installcheck/success-dumper-taper.pl: Update for improvement in
	  Installcheck/Run.pm

2016-08-17  Jean-Louis Martineau <JMartineau@carbonite.com>
	* amandad-src/amandad.c: Fix closing service
	* client-src/sendbackup.c (stderr_thread): Cancel the shm_ring
	* common-src/security-util.c: Do not free(rs)
	* common-src/security.c (security_seterror, security_stream_seterror):
	  Use g_strdup_vprintf
	* perl/Amanda/Report/human.pm: Do not report 'Aborted by driver' error
	* server-src/dumper.c: Take the shm_thread_mutex more often, add
	  FAILURE_CODE error
	* server-src/xfer-dest-holding.c: Add FAILURE_CODE error

2016-08-17  Jean-Louis Martineau <JMartineau@carbonite.com>
	* man/xml-source/amanda.8.xml: Add amanda-command-file.5

2016-08-17  Jean-Louis Martineau <JMartineau@carbonite.com>
	* man/Makefile.am: Add amanda-command-file.5.xml
	* man/xml-source/amanda-command-file.5.xml:Document the command-file
	  format
	* man/xml-source/amanda.conf.5.xml: Reorder entries

2016-08-10  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/s3-device.c (progress_func): Donot fail if the transfer
	  is not started

2016-08-09  Jean-Louis Martineau <JMartineau@carbonite.com>
	Add a --failure-code configure option that allow to inject error in
	the code
	* Makefile.am (DISTCHECK_CONFIGURE_FLAGS): Add --failure-code
	* common-src/alloc.c (safe_env_full): Keep all ENV if FAILURE_CODE is
	  define
	* config/amanda/amanda_configure.m4: Load AMANDA_WITH_FAILURE_CODE
	* config/amanda/failure_code.m4 (AMANDA_WITH_FAILURE_CODE): Define
	  FAILURE_CODE if --failure-code
	* perl/Amanda/Constants.pm.in.src: Add FAILURE_CODE
	* perl/Amanda/Rest/Configs.pm: Handle FAILURE parameter

2016-08-09  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/xfer-dest-holding.c (finish_chunk): Return a char *
	* server-src/xfer-server.h (finish_chunk): modify declaration
	* perl/Amanda/XferServer.swg (finish_chunk): modify declaration
	* perl/Amanda/Xfer.pod: Update documentation

2016-08-09  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/s3.c: Correctly compute the signature for AWS4 if
	  S3_SUBDOMAIN is set to OFF

2016-08-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* client-src/ambackup.pl: Wait for 'MESG END'

2016-08-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/ambackupd.pl: Fix string comparaison

2016-08-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* amandad-src/amandad.c: Wait for the child process to terminate

2016-08-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Chunker/Scribe.pm: fix bad variable name

2016-08-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Curinfo/Info.pm: Fix perl warning

2016-08-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* xfer-src/element-glue.c: Enable XFER_MECH_WRITEFD, XFER_MECH_MEM_RING
	  and XFER_MECH_WRITEFD, XFER_MECH_SHM_RING

2016-08-03  Jean-Louis Martineau <JMartineau@carbonite.com>
	* application-src/amrandom.pl: Fix perl warning

2016-08-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/ammessage.c: typo

2016-07-19  Jean-Louis Martineau <JMartineau@carbonite.com>
	* client-src/sendbackup.c: (childstr): check dumppid at last
	* client-src/sendbackup.c: (check_result):Increase the timeout to 600
	  seconds

2016-07-18  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Amdump.pm: Use POSIX::close
	* perl/Amanda/Chunker/Controller.pm, perl/Amanda/Chunker/Scribe.pm:
	  Improve error message
	* perl/Amanda/Config.swg: Add Message for code 1560000
	* perl/Amanda/Report.pm: Fix parsing of pid and fork L_INFO lines
	* perl/Amanda/Report/human.pm: Improve error message
	* perl/Amanda/Report/json.pm: Improve error message
	* perl/Amanda/Status.pm: Improve parsing
	* installcheck/Amanda_Rest_Runs.pl
	  installcheck/amstatus.pl
	  installcheck/chunker.pl
	  installcheck/pp-scripts.pl
	  installcheck/success-dumper-chunker+dumper-chunker-taper-flush.pl
	  installcheck/success-dumper-chunker+taper-flush.pl
	  installcheck/success-dumper-chunker-2taper-by-level.pl
	  installcheck/success-dumper-chunker-2taper.pl
	  installcheck/success-dumper-chunker-taper.pl
	  installcheck/success-dumper-taper.pl: Fix for changes

2016-07-14  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/dumper.c: Improve error reporting

2016-07-14  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/driver.c: Remove useless printf

2016-07-14  Jean-Louis Martineau <JMartineau@carbonite.com>
	* client-src/sendbackup.c: Read filter stderr and report them as error

2016-07-14  Jean-Louis Martineau <JMartineau@carbonite.com>
	* client-src/senddiscover.c: Do not include "pipespawn.h"

2016-07-14  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/file.c (debug_areads): Add a terminating '\n' on the
	  buffer

2016-07-14  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/event.c (event_release): Abort the main_loop is there is
	  no more event

2016-07-14  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/debug.c: Fix race in getting the thread id

2016-07-14  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/device.h (property_set_ex, device_property_set_ex):
	  Change prototype to return a (char *)
	* device-src/device.c (property_set_ex, device_property_set_ex):
	  Return a (char *) on error, NULL on success
	* perl/Amanda/Device.swg (property_set), Return a string on eror,
	  undef on success
	* device-src/amtapetype.pl, device-src/rait-device.c,
	  perl/Amanda/Changer.pm, perl/Amanda/Changer/disk.pm,
	  perl/Amanda/Changer/diskflat.pm, server-src/amadmin.c,
	  server-src/amrestore.pl: Change for new API
	* installcheck/Amanda_Device.pl: Test new API
	* installcheck/Amanda_Xfer.pl: Change for new API

2016-07-13  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/infofile.c: Make sure the infofile never have more more
	  than 100 history lines

2016-07-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Installcheck/Rest.pm (post): Set CURLOPT_POSTFIELDSIZE

2016-07-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	Add message in NO-ROOM from chunker and ABORT from driver to chunker
	* perl/Amanda/Chunker/Controller.pm: Add message
	* perl/Amanda/Chunker/Protocol.pm: Add message
	* server-src/driver.c: Add message
	* server-src/driverio.c: Send message
	* server-src/xfer-dest-holding.c: Set message
	* installcheck/chunker.pl: Check message

2016-07-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Report/human.pm: Fix dealing with try, fix line spacing
	* perl/Amanda/Report.pm: Fix setting try
	* installcheck/success-dumper-chunker+dumper-chunker-taper-flush.pl,
	  installcheck/success-dumper-chunker+taper-flush.pl,
	  installcheck/success-dumper-chunker-2taper-by-level.pl,
	  installcheck/success-dumper-chunker-2taper.pl,
	  installcheck/success-dumper-chunker-taper.pl,
	  installcheck/success-dumper-taper.pl: Check report failure_summary,
	  fix for line spacing

2016-07-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Installcheck/Catalogs.pm: Set current version in amdump
	  log file

2016-07-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Status.pm:: Return an error if not for same version
	* server-src/amstatus.pl: Handle Message return from $status->current

2016-07-06  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/dump-client-custom-compress+amfetchdump.pl,
	  installcheck/dump-client-encrypt+amfetchdump.pl,
	  installcheck/dump-server-custom-compress+amfetchdump.pl,
	  installcheck/dump-server-encrypt+amfetchdump.pl: restore in a
	  testdir, check the dump is restored

2016-07-06  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Restore.pm: srvcompprog and clntcompprog are string
	* installcheck/Makefile.am (server_tests): Add new test scripts
	* installcheck/dump-client-custom-compress+amfetchdump.pl,
	  installcheck/dump-client-encrypt+amfetchdump.pl,
	  installcheck/dump-server-custom-compress+amfetchdump.pl,
	  installcheck/dump-server-encrypt+amfetchdump.pl: New test scripts

2016-07-05  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Amanda_Rest_Configs.pl, installcheck/amgetconf.pl:
	  Change for new value of send-amreport-on

2016-07-05  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Installcheck/Config.pm (new): Set send-amreport-on to
	  never

2016-07-05  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Process.pm (load_ps_table): Skip partial line

2016-07-05  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amflock.c: Typo
	* perl/Amanda/Tapelist.swg (relaod): Take the lock before checking
	  force
	* perl/Amanda/Tapelist.swg (write): Verify we have the lock
	* perl/Amanda/Rest/Storages/Labels.pm: Take the tapelist lock
	* installcheck/Amanda_Rest_Storages_Labels.pl: Do not exit
	* installcheck/Amanda_Tapelist.pl: Reload the tapelist
	* installcheck/Amanda_Taper_Scan_lexical.pl: Reload the tapelist
	* installcheck/Amanda_Taper_Scan_oldest.pl: Reload the tapelist
	* installcheck/Amanda_Taper_Scan_traditional.pl: Reload the tapelist
	* installcheck/amlabel.pl: Reload the tapelist
	* installcheck/amreport.pl: unlink "$mail_mock.bogus"
	* installcheck/success-dumper-chunker+dumper-chunker-taper-flush.pl,
	  installcheck/success-dumper-chunker+taper-flush.pl,
	  installcheck/success-dumper-chunker-2taper-by-level.pl,
	  installcheck/success-dumper-chunker-2taper.pl,
	  installcheck/success-dumper-chunker-taper.pl,
	  installcheck/success-dumper-taper.pl: sleep before checking result

2016-07-04  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/amreport.pl: simpler error matching

2016-07-04  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/logfile.c (program_str): Add amtrmidx and amtrmlog
	* server-src/logfile.c (get_logtype_str, get_program_str): New
	  functions
	* server-src/logfile.h (program_t): Add P_AMTRMIDX and P_AMTRMLOG
	* server-src/logfile.h (get_logtype_str, get_program_str): Add
	  prototypes
	* perl/Amanda/Logfile.swg: Swig P_AMTRMIDX P_AMTRMLOG, get_logtype_str
	  and get_program_str
	* perl/Amanda/Amdump.pm (run_subprocess): Read stderr and log a
	  L_ERROR
	* perl/Amanda/Report.pm: Parse line from amreport, amtrmidx and
	  amtrmlog
	* perl/Amanda/Report/human.pm (PROGRAM_ORDER): Add amtrmidx and amtrmlog
	* server-src/amreport.pl: Print better error message
	* installcheck/amreport.pl: Check new error reporting

2016-07-04  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Installcheck/Run.pm (check_amreport): Remove double
	  space in date

2016-06-29  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Process.pm (load_ps_table): accept any process which
	  match /perl/ as a perl binary

2016-06-29  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/success-dumper-chunker+taper-flush.pl:
	  s/ 0:00:00/00:00:00/

2016-06-29  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Installcheck/Run.pm (setup_changer, setup_storage): New
	  methods
	* installcheck/Installcheck/Run.pm (check_amreport): Sort the
	  'USAGE BY TAPE' and 'NOTES' sections before comparing them
	* installcheck/Makefile.am (server_tests): Add 2 new tests
	* installcheck/success-dumper-chunker-2taper-by-level.pl: test a dump
	  where the full go to a storage and the incremental go to another
	  storage
	* installcheck/success-dumper-chunker-2taper.pl: test a dump that goto
	  2 different storages

2016-06-29  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Status.pm (show_time): Always print hours with 2 chars
	* server-src/amstatus.pl (busytime): Always print hours with 2 chars
	* installcheck/Installcheck/Run.pm (check_amstatus): Fix regex
	* installcheck/amstatus.pl: Fix
	* installcheck/success-dumper-chunker+dumper-chunker-taper-flush.pl,
	  installcheck/success-dumper-chunker+taper-flush.pl,
	  installcheck/success-dumper-chunker-taper.pl,
	  installcheck/success-dumper-taper.pl: Fix

2016-06-29  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Installcheck/Run.pm (check_amstatus): Remove not-idle
	  lines from amstatus result

2016-06-29  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Installcheck/Run.pm (check_amstatus): Remove not-idle
	  lines

2016-06-29  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Report/human.pm (get_summary_info): Do not add spurious
	  space

2016-06-29  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/conffile.c (update_derived_values): create a default CONF
	  policy

2016-06-29  Jean-Louis Martineau <JMartineau@carbonite.com>
	* application-src/amrandom.pl: Allow level 1 backup, add SIZE-LEVEL-1
	  property
	* installcheck/success-dumper-chunker+dumper-chunker-taper-flush.pl,
	  installcheck/success-dumper-chunker+taper-flush.pl,
	  installcheck/success-dumper-chunker-taper.pl,
	  installcheck/success-dumper-taper.pl: Use amrandom, it have
	  consistent size

2016-06-28  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amstatus.pl:Fix indentation
	* installcheck/Installcheck/Run.pm (check_amstatus): Do not check
	  dumper busy stat

2016-06-28  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Installcheck/Run.pm: Subtitute hostname
	* installcheck/success-dumper-chunker+dumper-chunker-taper-flush.pl,
	  installcheck/success-dumper-chunker+taper-flush.pl,
	  installcheck/success-dumper-chunker-taper.pl,
	  installcheck/success-dumper-taper.pl: Increase time length

2016-06-28  Jean-Louis Martineau <JMartineau@carbonite.com>
	* config/amanda/libs.m4: Set LIBCURL_USE_GNUTLS_NETTLE or
	  LIBCURL_USE_GNUTLS_GCRYPT depending on which crypto library
	  gnutls use
	* common-src/glib-util.c: Initialize gcrypt only if
	  LIBCURL_USE_GNUTLS_GCRYPT

2016-06-28  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/xfer-dest-taper-splitter.c: Fix error path
	* perl/Amanda/Report.pm: Fix exit_status
	* perl/Amanda/Report/human.pm: Fix line spacing
	* server-src/amstatus.pl: Add dump_time
	* server-src/driver.c: Do not log 'too many taper retry'
	* server-src/xfer-source-holding.c (cancel_impl): Set eogf_flag on
	  the mem_ring
	* xfer-src/xfer.c: Add debugging statement
	* installcheck/Makefile.am (server_tests): Add new test file
	* installcheck/Makefile.am (catalogs): Add new catalog file
	* installcheck/Amanda_Report.pl,
	  installcheck/Amanda_Rest_Runs.pl,
	  installcheck/Installcheck/Run.pm,
	  installcheck/amdump.pl,
	  installcheck/amreport.pl: Add and fix test
	* installcheck/success-dumper-chunker+dumper-chunker-taper-flush.pl
	  installcheck/success-dumper-chunker+taper-flush.pl
	  installcheck/success-dumper-chunker-taper.pl
	  installcheck/success-dumper-taper.pl: New test
	* installcheck/catalogs/dumper-chunker-taper-success.cat,
	  installcheck/catalogs/dumper-taper-success.cat: New catalog

2016-06-28  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Report.pm: Fix race by loading the ps_table early

2016-06-27  Jean-Louis Martineau <JMartineau@carbonite.com>
	* application-src/amrandom.pl: Improve debugging
	* common-src/shm-ring.c: Improve debugging

2016-06-27  Jean-Louis Martineau <JMartineau@carbonite.com>
	* config/gettext-macros/gettext.m4,
	  config/gettext-macros/po.m4: s/AM_PROG_MKDIR_P/AC_PROG_MKDIR_P/

2016-06-27  Jean-Louis Martineau <JMartineau@carbonite.com>
	* config/amanda/libs.m4 (AMANDA_CHECK_LIBCURL): Check for
	  HMAC_CTX_init or HMAC_CTX_reset
	* common-src/glib-util.c, common-src/ssl-security.c,
	  device-src/s3-util.c, device-src/s3.c: Fix for openssl 1.1

2016-06-27  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Rest/Runs.pm (list one): Do not return emtpy string

2016-06-21  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Rest/Runs.pm (list): Do not set $status

2016-06-21  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Amdump.pm (message 2000000): use logfile
	* perl/Amanda/Amdump.pm (message 2000001): use tracefile
	* perl/Amanda/Amflush.pm (message 2200000): use logfile
	* perl/Amanda/Amflush.pm (message 2200001): use tracefile
	* perl/Amanda/Report.pm: Set status to 'running', 'done' or
	  'aborted'
	* perl/Amanda/Report/json.pm: Report the status in head->status
	* perl/Amanda/Rest/Runs.pm: Use tracefile and logfile
	* perl/Amanda/Rest/Status.pm:use tracefile
	* installcheck/Amanda_Report.pl: Add pids
	* installcheck/Amanda_Rest_Runs.pl: Add pids
	* installcheck/pp-scripts.pl: use tracefile and logfile
	* installcheck/catalogs/amflush.cat,
	  installcheck/catalogs/fatal.cat,
	  installcheck/catalogs/flush-noorigsize.cat,
	  installcheck/catalogs/flush-origsize.cat,
	  installcheck/catalogs/normal.cat,
	  installcheck/catalogs/plannerfail.cat,
	  installcheck/catalogs/retried-strange.cat,
	  installcheck/catalogs/skipped.cat,
	  installcheck/catalogs/spanned.cat,
	  installcheck/catalogs/strontium.cat,
	  installcheck/catalogs/taperr.cat: Add pid lines

2016-06-17  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/ScanInventory.pm, perl/Amanda/Taper/Scan/oldest.pm: Do
	  not 'use Time::HiRes'

2016-06-17  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Changer/robot.pm: Fix perl warning
	* perl/Amanda/ScanInventory.pm: Use all slots returned by analyze
	  before calling it again
	* perl/Amanda/Taper/Scan/lexical.pm (analyze),
	  perl/Amanda/Taper/Scan/oldest.pm (analyze): Return an array of slots
	* installcheck/Amanda_Taper_Scan_lexical.pl: Fix
	* installcheck/Amanda_Taper_Scan_oldest.pl: Fix
	* installcheck/Amanda_Taper_Scan_traditional.pl: Fix
	* installcheck/Installcheck/Changer.pm: Fix

2016-06-17  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Changer.pm: Call $rv->_valide()
	* perl/Amanda/Changer/disk.pm, perl/Amanda/Changer/diskflat.pm: Do not
	  call $self->_validate()

2016-06-17  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/driver.c (start_a_flush_taper): Use
	  TAPER_STATE_TAPE_STARTED && TAPER_STATE_RESERVATION

2016-06-17  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amflock.c: Check the return status of mkdir

2016-06-17  Jean-Louis Martineau <JMartineau@carbonite.com>
	Maintain the C tapelist instead of reloading it after a write
	* device-src/diskflat-device.c (diskflat_device_seek_file): Return an
	  F_EMPTY header on DEVICE_STATUS_VOLUME_UNLABELED
	* perl/Amanda/Tapelist.swg (reset_tapelist): New method,
	  (reload): Do not call C_clear_tapelist,
	  (remove_tapelabel): Call C_remove_tapelabel,
	  (add_tapelabel): Call C_add_tapelabel,
	  (write): Do not call C_read_tapelist,
	* perl/Amanda/Taper/Scan.pm (quit): Do not quit the changer
	* server-src/tapefile.c (reset_tapelist, add_tapelabel): New function
	* server-src/tapefile.h (reset_tapelist, add_tapelabel): Add prototype
	* installcheck/Amanda_Taper_Scan_lexical.pl: Fix
	* installcheck/Amanda_Taper_Scan_oldest.pl: Fix
	* installcheck/Amanda_Taper_Scan_traditional.pl: Fix

2016-06-15  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Amanda_Taper_Scan_lexical.pl,
	  installcheck/Amanda_Taper_Scan_oldest.pl,
	  installcheck/Amanda_Taper_Scan_traditional.pl: Fix

2016-06-15  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/tapefile.c: Check result of symlink call and log error

2016-06-15  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amflock.c: Improve debugging

2016-06-15  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Tapelist.swg: Do not reload the tapelist file if we
	  already have the last state
	* server-src/tapefile.c: Create the tapelist.last_write symlink
	* installcheck/Amanda_Tapelist.pl: Fix

2016-06-15  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/debug.c (msg_timestamp): Add sub-second time precision
	  to the timestamp

2016-06-15  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/driver.c (start_a_flush_taper): Use
	  TAPER_STATE_TAPE_STARTED or TAPER_STATE_RESERVATION

2016-06-15  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Taper/Scribe.pm: Fix perl warning

2016-06-10  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/driver.c (start_some_dumps): Do not wait for chunker PORT
	  or SHM-NAME
	* server-src/driver.c (handle_chunker_result): Handle PORT and
	  SHM-NAME reply

2016-06-09  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/find.c (make_dump_hash, dump_hash_exist): Fix for
	  host_hash

2016-06-09  Jean-Louis Martineau <JMartineau@carbonite.com>
	* application-src/amsamba.pl: Fix for newer samba version

2016-06-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/ammessage.c: typo

2016-06-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Changer.pm (label_to_slot): Fix for $r and $t
	  substitution
	* perl/Amanda/Changer/disk.pm: Do not create all num-slot directories,
	  inventory return only the slot with a directory + runtapes new slots
	* perl/Amanda/Changer/diskflat.pm: inventory return only the slot with
	  a label + runtapes new slots
	* installcheck/Amanda_Rest_Storages.pl: Set auto-create-slot

2016-06-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amflock.c (common-src/amflock.c): Create the parent
	  directory

2016-06-07  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/conffile.c: Allow $t in changerfile and tpchanger from a
	  changer section
	* man/xml-source/amanda.conf.5.xml: Document it

2016-06-07  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Changer.pm: Allow $r and $t in autolabel and
	  meta-autolabel
	* man/xml-source/amanda.conf.5.xml: Document it

2016-06-07  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/conffile.c: Allow $o, $c, $r and $t in tapepool
	* man/xml-source/amanda.conf.5.xml: Document it

2016-06-03  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/xfer-dest-taper-splitter.c: Do not cancel twice
	* perl/Amanda/Taper/Worker.pm: Abort_setup on input_errors
	* server-src/dumper.c: Improve debugging

2016-06-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/ammessage.c (set_message): Fix typo in mesage 2800036

2016-06-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/shm-ring.c (cleanup_shm_ring): New function to remove
	  unused semaphore and shared memory
	* common-src/shm-ring.h (cleanup_shm_ring): Add prototype
	* server-src/driver.c: Call cleanup_shm_ring

2016-06-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/driver.c (handle_chunker_result): Set job on BOGUS

2016-06-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amadmin.c: Fix out of bound

2016-06-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amstatus.pl: Use 'dsize' if available

2016-06-01  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/mem-ring.c, common-src/shm-ring.c: Make sure the ring
	  size is at least twice the block size, otherwise the ring can hang

2016-06-01  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/security-util.c, common-src/shm-ring.c,
	  device-src/xfer-dest-taper-splitter.c,
	  server-src/xfer-source-holding.c: Allow to completely fill the ring

2016-05-31  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/shm-ring.c (shm_ring_to_security_stream),
	  device-src/xfer-dest-taper-splitter.c (device_thread_wait_for_block),
	  server-src/dumper.c (handle_shm_ring_to_fd_thread): set usable after
	  getting the semaphore
	* server-src/driver.c (handle_chunker_result): Fix for BOGUS

2016-05-31  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/conffile.c: displayunit default ot 'K' (uppercase)
	* installcheck/Amanda_Rest_Configs.pl: Fix for K uppercase
	* installcheck/Amanda_Rest_Runs.pl: Fix for K uppercase
	* xfer-src/xfer-test.c: Call config_init(0, NULL)
	* installcheck/catalogs/*.cat: Fix for K uppercase

2016-05-31  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Changer.pm (make_new_tape_label): Can take meta
	  from $self
	* perl/Amanda/Changer/diskflat.pm: Use meta from state
	* installcheck/Amanda_Changer_diskflat.pl: More meta check

2016-05-27  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/conffile.c: Check meta-autolabel, autolabel, labelstr and
	  tapepool do not conatisna space

2016-05-26  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amadmin.c (import_db): Fix version parsing
	* server-src/amadmin.c: Fix for level > 9

2016-05-25  Jean-Louis Martineau <JMartineau@carbonite.com>
	* xfer-src/element-glue.c: #include "conffile.h"

2016-05-25  Jean-Louis Martineau <JMartineau@carbonite.com>
	* xfer-src/element-glue.c (do_directtcp_accept): Use dtimeout for the
	  timeout

2016-05-24  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/driver.c: Fix fro taper failure after SHM-NAME received

2016-05-20  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/stream.h (STREAM_BUFSIZE): Set to NETWORK_BLOCK_BYTES * 4

2016-05-20  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/security-util.c (tcpm_recv_token): Fix return value

2016-05-19  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/shm-ring.c (shm_ring_sem_wait): Return -1 if the shm-ring
	  is cancelled
	* device-src/xfer-dest-taper-splitter.c: s/!!/!/

2016-05-19  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/security-util.c: Improve error message
	* common-src/shm-ring.c (shm_ring_sem_wait): Faile only if the process
	  do not exists (ESRCH)
	* device-src/xfer-dest-taper-splitter.c: Improve debugging
	* perl/Amanda/Taper/Scribe.pm: Set started_writing only when we wrote
	  a part
	* server-src/dumper.c: Improve debugging
	* xfer-src/element-glue.c: Improve debugging
	* xfer-src/xfer.c: Improve debugging

2016-05-19  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amtrmlog.c: Remove bogus g_free

2016-05-19  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/file.c (debug_pgets): Untaint the returned string
	* server-src/amtrmlog.c: Fix coverity warning

2016-05-18  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/pp-scripts.pl: Use amrandom to get consistent size

2016-05-18  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amtrmlog.c: Use free_dump_hash()
	* server-src/find.c (free_dump_hash): Put in comment because infailon
	  some machine

2016-05-18  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amrmtape.pl: Can remove multiple labels
	* man/xml-source/amrmtape.8.xml: Document new feature

2016-05-18  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/dumper.c: Fix dtimeout when using shm-ring (local auth)

2016-05-17  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/file.c (debug_pgets): New function to read a complete
	  line from a FILE*
	* common-src/file.h (debug_pgets, pgets): Add prototypes
	* common-src/amxml.c: Undo previous patch, use pgets instead of agets
	* application-src/amstar.c, client-src/client_util.c,
	  client-src/selfcheck.c, client-src/sendbackup.c,
	  client-src/senddiscover.c, client-src/sendsize.c,
	  common-src/amutil.c, common-src/krb5-security.c,
	  common-src/security-util.c, recover-src/extract_list.c,
	  server-src/amcheck.c, server-src/amindexd.c,
	  server-src/dumper.c: Use pgets instead of agets to read many files
	* installcheck/amdump.pl: Add check for '#' in dumptype property

2016-05-16  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amxml.c (amxml_format_tag): The '#' character require raw
	  format

2016-05-16  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Tapelist.swg: Keep hash by label and barcode for faster
	  lookup
	* installcheck/Amanda_Tapelist.pl: Fix for new hash

2016-05-16  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amtrmidx.c: Fix

2016-05-16  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/dumper.c (stop_dump): Call security_stream_read_cancel

2016-05-16  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/find.c: Find the find result in a hash
	* server-src/find.h (hash_find_log, make_dump_hash, free_dump_hash,
	  dump_hash_exist): Add prototypes
	* server-src/amtrmidx.c, server-src/amtrmlog.c: Use the hash

2016-05-16  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/driverio.h (chunker_t, wtaper_t): sendresult is a
	  gboolean
	* server-src/driver.c: Fix sending the result to taper twice

2016-05-12  Jean-Louis Martineau <JMartineau@carbonite.com>
	* man/xml-source/amanda-scripts.7.xml: Add notes on how to abort a
	  backup with exit status != 0

2016-05-12  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/pp-scripts.pl: Use $dbgdir

2016-05-12  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Installcheck/Rest.pm (cleanup_for_amdump): Clean
	  $body->[0]{report}{head}->{hostname}
	* installcheck/pp-scripts.pl: hostname is undef

2016-05-11  Jean-Louis Martineau <JMartineau@carbonite.com>
	* application-src/Makefile.am (applicationexec_SCRIPTS_SHELL): Add
	  script-fail
	* application-src/script-fail.sh: New script that always fail (for
	  testing)
	* installcheck/Installcheck/Rest.pm (cleanup_for_amdump): New function
	  to cleanup result for a report
	* installcheck/pp-scripts.pl: Check failing scripts

2016-05-11  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/holding.c: Accept level up to DUMP_LEVELS

2016-05-11  Jean-Louis Martineau <JMartineau@carbonite.com>
	* client-src/sendbackup.c: Fix delay in waiting for application

2016-05-11  Jean-Louis Martineau <JMartineau@carbonite.com>
	* client-src/client_util.c: Improve parsing of estimate scripts
	* client-src/sendsize.c: Fail estimate if script fail
	* server-src/planner.c: continue parsing after ERROR line

2016-05-10  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/amgtar.pl: Fix path

2016-05-10  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/amgtar.pl: Fix path
	* installcheck/amstar.pl: Add a STAR-TARDUMP property

2016-05-10  Jean-Louis Martineau <JMartineau@carbonite.com>
	* application-src/ambsdtar.c, application-src/amgtar.c
	  application-src/amstar.c: Define a AM_ERROR_RE
	* client-src/client_util.c (build_re_table): Keep DMP_ERROR
	* config/amanda/userid.m4: AC_SUBST(SINGLE_USERID)
	* perl/Amanda/Constants.pm.in.src: Add $SINGLE_USERID
	* installcheck/Installcheck/Application.pm: Parse negative size
	* installcheck/ambsdtar.pl, installcheck/amgtar.pl,
	  installcheck/amstar.pl: Resultdifer if $SINGLE_USERID is set

2016-05-09  Jean-Louis Martineau <JMartineau@carbonite.com>
	* application-src/ambsdtar.c: selfcheck output is JSON, improve error
	  reporting
	* application-src/amgtar.c: Improve error reporting
	* application-src/amstar.c: selfcheck output is JSON, improve error
	  reporting
	* client-src/client_util.c: Fix error reporting
	* client-src/sendbackup.c: Fix error reporting
	* common-src/ammessage.c: Add messages from amstar and ambsdtar
	* installcheck/Installcheck/Application.pm: Fix to get error
	* installcheck/Makefile.am (client_tests): Add amstar
	* installcheck/ambsdtar.pl: Add new checks
	* installcheck/amgtar.pl: Add new checks
	* installcheck/amstar.pl: New file to check amstar behaviour

2016-05-05  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Extract.pm (BSU): Fix for non-application
	* perl/Amanda/FetchDump.pm: Add message 3300005
	* perl/Amanda/FetchDump/Application.pm: Return a 3300005 message if it
	  don't know how to extract the dump
	* perl/Amanda/Restore.pm: Fix
	* server-src/amfetchdump.pl: Check -O and --directory are not
	  different

2016-05-05  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/s3.c: Fix AWS4 auth-string

2016-05-05  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Status.pm: Set status of failed dle to inew status
	  TERMINATED_*

2016-05-05  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/CheckDump.pm: Use Xfer::Dest::Null for destination when
	  amanda don't know how to validate the dump

2016-05-04  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Tapelist.swg: Change RETENTION_NO string to
	  'retention-no'
	* server-src/amtape.pl (inventory): Print the retention even if it is
	  RETENTION_NO
	* installcheck/Amanda_Rest_Labels.pl,
	  installcheck/Amanda_Rest_Storages.pl: Fix for 'retention-no' string

2016-05-04  Dustin J. Mitchell <dustin@mozilla.com>
	* man/xml-source/amanda-auth.7.xml: Improve doc

2016-05-04  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/security-util.c: Break after the first callback

2016-05-04  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/tapefile.c: Use g_hash_table_destroy

2016-05-03  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Amanda_Xfer.pl: Sort the crcs

2016-05-03  Jean-Louis Martineau <JMartineau@carbonite.com>
	* client-src/client_util.c (run_client_scripts): return the exit
	  status of the scripts
	* client-src/client_util.h (run_client_scripts): Change return type to
	  int
	* client-src/sendbackup.c: Do not run the application if a
	  PRE-DLE-BACKUP script failed
	* server-src/dumper.c: Fix hang

2016-05-03  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Amanda_Xfer.pl: 45 checks require the server

2016-05-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* amandad-src/amandad.c, server-src/amcheck.c, server-src/driver.c,
	  server-src/dumper.c, server-src/planner.c,
	  common-src/amservice.c: Call glib_init()

2016-05-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/security-util.h (sec_stream): Add event_id
	* common-src/security-util.c: Use event_id from sec_stream

2016-05-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/xfer-dest-taper-cacher.c, xfer-src/dest-buffer.c,
	  xfer-src/dest-null.c, xfer-src/filter-crc.c, xfer-src/filter-xor.c
	  (push_buffer_static_impl): The end is determined by either a NULL
	  buffer or a len of 0
	* xfer-src/element-glue.c (pull_and_push_static): Call
	  xfer_element_pull_buffer_static with a NULL buffer

2016-05-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* client-src/sendbackup.c: Remove duplicate g_thread_join

2016-05-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* config/amanda/amanda_configure.m4: AC_SEARCH_LIBS([shm_open], [rt])

2016-05-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* xfer-src/source-shm-ring.c: Add the file

2016-05-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Status.pm: Fix for new shm-ring in protocol

2016-05-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	client use shm-ring between sendbackup and amandad
	shm-ring is use between client and server if using the local auth
	* amandad-src/amandad.c: handle data stream in a shm-ring
	* amandad-src/amandad.h (g_option_t): Add data_shm_control_name
	* amandad-src/amandad_util.c (parse_g_options): Parse the shm-ring
	  name
	* client-src/client_util.c: Remove debugging statement
	* client-src/sendbackup-dump.c: Compute crc, send data stream to a
	  shm-ring
	* client-src/sendbackup-gnutar.c: Compute crc, send data stream to a
	  shm-ring
	* client-src/sendbackup.c: send data stream to a shm-ring
	* client-src/sendbackup.h (handle_crc_thread,
	  handle_crc_to_shm_ring_thread): Add prototypes
	* common-src/amfeatures.c: add
	  fe_sendbackup_req_options_data_shm_control_name
	* common-src/amfeatures.h: add
	  fe_sendbackup_req_options_data_shm_control_name
	* server-src/dumper.c: Can access data stream from a shm-ring

2016-05-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	server use shm-ring beteeen dumper and chunker/taper
	Add new protocol between driver and dumper/chunker/taper
	* server-src/server_util.c (cmdstr): Add "SHM-WRITE", "SHM-DUMP",
	  "SHM-NAME"
	* server-src/server_util.h (cmd_t): Add SHM_WRITE, SHM_DUMP, SHM_NAME
	* server-src/driver.c: Handle new protocol with dumper, chunker and
	  taper
	* server-src/driverio.c: Send new command
	* server-src/dumper.c: Accept SHM_DUMP command
	* server-src/driverio.h (job_s):Add do_port_write
	* perl/Amanda/Chunker/Controller.pm: Accept SHM_WRITE command
	* perl/Amanda/Chunker/Protocol.pm (SHM_WRITE): Define it
	* perl/Amanda/Taper/Controller.pm: Accept SHM_WRITE command
	* perl/Amanda/Taper/Protocol.pm (SHM_WRITE): Define it
	* perl/Amanda/Taper/Scribe.pm: Various fix
	* perl/Amanda/Taper/Worker.pm: Handle SHM_WRITE
	* perl/Amanda/Xfer.swg: Add Amanda::Xfer::Source::ShmRing
	* installcheck/tape_action.pl: use amrandom and lexical taperscan

2016-05-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	Add a security_stream_read_to_shm_ring function, it require many
	change in the internal structure of the security layer
	* common-src/bsd-security.c (bsd_stream_read_to_shm_ring_callback,
	  bsd_stream_read_to_shm_ring): New function to implement
	  security_stream_read_to_shm_ring
	* common-src/bsdtcp-security.c: Use tcpm_stream_read_to_shm_ring
	* common-src/bsdudp-security.c: Use tcpm_stream_read_to_shm_ring
	* common-src/krb5-security.c: Use tcpm_stream_read_to_shm_ring
	* common-src/local-security.c: Use tcpm_stream_read_to_shm_ring
	* common-src/rsh-security.c: Use tcpm_stream_read_to_shm_ring
	* common-src/ssh-security.c: Use tcpm_stream_read_to_shm_ring
	* common-src/ssl-security.c: Use tcpm_stream_read_to_shm_ring
	* common-src/security-util.c (tcpm_stream_read_to_shm_ring) Add
	  fucntion
	* common-src/security-util.h (tcpm_stream_read_to_shm_ring) Add
	  prototype
	* common-src/security.h (security_driver): Add stream_read_to_shm_ring

2016-05-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/xfer-dest-taper-cacher.c: Add the new push_buffer_static
	  xfer mechanism

2016-05-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/xfer-dest-taper-splitter.c: Use the new mem-ring
	  internally, Can use the new mem_ring and shm_ring as input
	* installcheck/Amanda_Xfer.pl: Fix check

2016-05-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/xfer-dest-holding.c: Use the new mem-ring internally,
	  Can use the new mem_ring and shm_ring as input

2016-05-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/xfer-source-holding.c: Can use the new mem_ring and
	  pull_buffer_static xfer mechanism

2016-05-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	Add XFER_MECH_PULL_BUFFER_STATIC, XFER_MECH_PUSH_BUFFER_STATIC,
	XFER_MECH_MEM_RING and XFER_MECH_SHM_RING as new xfer mechanism
	* xfer-src/Makefile.am (libamxfer_la_SOURCES): Add source-shm-ring.c
	* xfer-src/amxfer.h: include "mem-ring.h" and "shm-ring.h"
	* xfer-src/dest-buffer.c: Add push_buffer_static_impl
	* xfer-src/dest-null.c: Add push_buffer_static_impl
	* xfer-src/element-glue.c
	* xfer-src/filter-crc.c: Add pull_buffer_static_impl and
	  push_buffer_static_impl
	* xfer-src/filter-xor.c: Add pull_buffer_static_impl and
	  push_buffer_static_impl
	* xfer-src/source-directtcp-connect.c: typo
	* xfer-src/source-directtcp-listen.c: typo
	* xfer-src/source-fd.c: typo
	* xfer-src/source-file.c: typo
	* xfer-src/source-pattern.c: Add pull_buffer_static_impl
	* xfer-src/source-random.c: Add pull_buffer_static_impl
	* xfer-src/source-shm-ring.c: New xfer source
	* xfer-src/xfer-element.c: Add various helper function
	* xfer-src/xfer-element.h (xfer_mech): Add the new xfer mechanism
	  definition
	* xfer-src/xfer.c (xfer_mech_name): Print the new xfer name

2016-05-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	Add the number of memory allocation by block in the xfer cost metric
	* xfer-src/xfer-element.h (XFER_NALLOC): New macro
	* xfer-src/xfer.c (PAIR_COST) Compute the new cost
	* device-src/xfer-dest-device.c, device-src/xfer-dest-taper-cacher.c,
	  device-src/xfer-dest-taper-directtcp.c,
	  device-src/xfer-dest-taper-splitter.c,
	  device-src/xfer-source-device.c, device-src/xfer-source-recovery.c,
	  server-src/xfer-dest-holding.c, server-src/xfer-source-holding.c,
	  xfer-src/dest-application.c, xfer-src/dest-buffer.c,
	  xfer-src/dest-directtcp-connect.c, xfer-src/dest-directtcp-listen.c,
	  xfer-src/dest-fd.c, xfer-src/dest-null.c,
	  xfer-src/element-glue.c, xfer-src/filter-crc.c,
	  xfer-src/filter-process.c, xfer-src/filter-xor.c,
	  xfer-src/source-directtcp-connect.c,
	  xfer-src/source-directtcp-listen.c, xfer-src/source-fd.c,
	  xfer-src/source-file.c, xfer-src/source-pattern.c,
	  xfer-src/source-random.c,
	  xfer-src/xfer-test.c: Add the new cost value

2016-05-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	Add a shared memory ring
	* common-src/Makefile.am (libamanda_la_SOURCES): Add shm-ring.c
	* common-src/security.h: include "shm-ring.h"
	* common-src/shm-ring.c: New file
	* common-src/shm-ring.h: New header

2016-05-02  Jean-Louis Martineau <JMartineau@carbonite.com>
	Add a memory ring
	* common-src/Makefile.am (libamanda_la_SOURCES): Add mem-ring.c
	* common-src/mem-ring.c: New file
	* common-src/mem-ring.h: New header

2016-04-29  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/server_util.c (putresult): Print the complete line in the
	  debug file

2016-04-29  Jean-Louis Martineau <JMartineau@carbonite.com>
	* amar-src/amarchiver.c: s/error/gerror/

2016-04-29  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/ammessage.c: typo
	* device-src/s3-util.c: Fix buffer overflow

2016-04-29  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Cmdfile.swg: Remove debugging statement

2016-04-26  Jean-Louis Martineau <JMartineau@carbonite.com>
	* client-src/sendbackup.c: Call application_api_info_tapeheader before
	  closing statefd

2016-04-25  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/tape_action.pl: Fix check

2016-04-25  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/file.c (areads_dataready): Check fd < 0

2016-04-25  Jean-Louis Martineau <JMartineau@carbonite.com>
	* recover-src/extract_list.c: Remove debugging statement

2016-04-25  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/file.c (areads_dataready): Also use select to find if
	  something can be read
	* server-src/server_util.c (getcmd): Use areads instead of agets
	* server-src/server_util.c (get_pending_cmd): Call areads_dataready

2016-04-21  Jean-Louis Martineau <JMartineau@carbonite.com>
	* application-src/amrandom.pl: A new application that generate a
	  random backup, useful for testing
	* application-src/Makefile.am (SCRIPTS_PERL): Add amrandom

2016-04-19  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/pp-scripts.pl: Print more info on failure

2016-04-19  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/tape_action.pl: Open a debug file

2016-04-19  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/diskfile.c (get_disklist): New function
	* server-src/diskfile.h (get_disklist): prototype

2016-04-19  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/tapefile.c (compute_retention): Fix if a dle is not in
	  the disklist

2016-04-19  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amstatus.pl: typo

2016-04-19  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Amanda_ClientService.pl: Fix for new DATA_FD_OFFSET
	  value

2016-04-19  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amanda.h, perl/Amanda/Constants.pm.in.src:Increase
	  DATA_FD_OFFSET to 150, it allow more paralled backup with bsd or
	  bsdudp auth

2016-04-19  Jean-Louis Martineau <JMartineau@carbonite.com>
	* application-src/amgtar.c: Compare unescaped filename with the DAR
	  state file

2016-04-15  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/security-util.c (sec_tcp_conn_read_callback): do not free
	  rc

2016-04-15  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/tape_action.pl: Fix test

2016-04-14  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/planner.c (promote_highest_priority_incremental): Was not
	  promote the correct ep (possible infinite loop)

2016-04-13  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amutil.c (split_quoted_strings_for_amstatus): New
	  function to parse a line for Amanda::Status
	* common-src/amutil.h (split_quoted_strings_for_amstatus): Add
	  protoype
	* perl/Amanda/Util.swg:Swig split_quoted_strings_for_amstatus
	* perl/Amanda/Status.pm: Use split_quoted_strings_for_amstatus

2016-04-12  Jean-Louis Martineau <JMartineau@carbonite.com>
	* packaging/deb/amanda-backup-client.install,
	  packaging/deb/amanda-backup-server.install: Add etc/amanda/*

2016-04-12  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/driver.c (tape_action): Fix for parallel taper

2016-04-12  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Status.pm: Fix worker status

2016-04-12  Jean-Louis Martineau <JMartineau@carbonite.com>
	* Allow multiple connections to a client with different auth

2016-04-11  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Makefile.am: Typo

2016-04-11  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Report/human.pm: Remove multiple output line
	* server-src/driver.c: Fix after a TRY-AGAIN
	* installcheck/Makefile.am: Add catalogs/dumper-tryagain.cat
	* installcheck/amreport.pl: Add check for dumper-tryagain.cat
	* installcheck/catalogs/tapers.cat: Fix for new output
	* installcheck/catalogs/dumper-tryagain.cat: New test case

2016-04-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/amcrc32chw.c: Add fall through comment

2016-04-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/event.c (fire): Allow for NULL callback

2016-04-08  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/tape-device.c: improve error message on write fail

2016-04-07  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/planner.c: Remove for startq

2016-03-31  Jean-Louis Martineau <JMartineau@carbonite.com>
	* application-src/ambsdtar.c: use bsdtar_realpath

2016-03-31  Jean-Louis Martineau <JMartineau@carbonite.com>
	* config/amanda/syshacks.m4: accept *-apple-darwin*
	* common-src/conffile.c, common-src/conffile.h, common-src/match.c,
	  common-src/match.h, perl/Amanda/Config.swg, perl/Amanda/Util.swg,
	  server-src/amadmin.c, server-src/amcheck.c, server-src/planner.c,
	  server-src/tapefile.c: s/labeltsr_t/labelstr_s/ and
	  s/policy_t/policy_s/g because they are defined on OSX

2016-03-30  Jean-Louis Martineau <JMartineau@carbonite.com>
	* recover-src/extract_list.c: Use property from header instead of from
	  disklist

2016-03-28  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Amanda_Xfer.pl: Validate CRC and part size

2016-03-22  Jean-Louis Martineau <JMartineau@carbonite.com>
	* NEWS: Add new amadmin command and amtape inventory result

2016-03-22  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Rest/Labels.pm: Add the RentetionType in result
	* perl/Amanda/Rest/Storages.pm: Add the RentetionType in result
	* installcheck/Amanda_Rest_Labels.pl,
	  installcheck/Amanda_Rest_Storages.pl: Fix for new result

2016-03-22  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amtape.pl: Add the RetentionType in the inventory result

2016-03-22  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/amadmin.c: Add retention command
	* server-src/amadmin_perl.pl: Implement retention command
	* man/xml-source/amadmin.8.xml: Document retention command

2016-03-22  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Taper/Worker.pm: Typo

2016-03-22  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/tapefile.h (tape_t): Add the RetentionType
	* server-src/tapefile.c: Comupte the RetentionType
	* perl/Amanda/Tapelist.swg: Swig the RetentionType

2016-03-21  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Taper/Worker.pm (scribe_notif_new_tape): Check for no
	  error

2016-03-21  Jean-Louis Martineau <JMartineau@carbonite.com>
	* device-src/vfs-device.c: Return some error instead of just logging a
	  warning

2016-03-18  Jean-Louis Martineau <JMartineau@carbonite.com>
	* xfer-src/element-glue.c (do_directtcp_accept): Increase timeout to
	  840

2016-03-18  Jean-Louis Martineau <JMartineau@carbonite.com>
	Add RESTORE command in the cmdfile
	* man/xml-source/amfetchdump.8.xml: Document new --reserve-tapes and
	  --release-tapes options
	* perl/Amanda/Cmdfile.swg: Add CMD_RESTORE
	* perl/Amanda/DB/Catalog.pm: Get the pool fromthe find result
	* perl/Amanda/FetchDump.pm: Add release-tapes and reserve-tapes
	* perl/Amanda/Recovery/Planner.pm: Add the pool
	* perl/Amanda/Restore.pm: Handle release-tapes and reserve-tapes
	* server-src/amfetchdump.pl: New --release-tapes and --reserve-tapes
	  options
	* server-src/cmdfile.c: Add CMD_RESTORE
	* server-src/cmdfile.h: Add CMD_RESTORE
	* server-src/find.h (find_result_t): Add pool in the struct
	* server-src/tapefile.c: Compute retention for CMD_RESTORE command

2016-03-18  Jean-Louis Martineau <JMartineau@carbonite.com>
	Add "POOL:pool" to many taper log lines
	* perl/Amanda/DB/Catalog.pm: Parse POOL:pool
	* perl/Amanda/Logfile.swg: Add pool
	* perl/Amanda/Report.pm: Parse POOL:pool
	* perl/Amanda/Taper/Worker.pm: Add "POOL:pool" to many taper log lines
	* server-src/find.c: Parse POOL:pool
	* installcheck/Amanda_Report.pl, installcheck/Amanda_Rest_Dumps.pl,
	  installcheck/Installcheck/Catalogs.pm, installcheck/taper.pl: Fix

2016-03-18  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Changer.pm (Reservation::set_device_error): New method
	* perl/Amanda/Changer/aggregate.pm (set_device_error): New method
	* perl/Amanda/Changer/multi.pm (set_device_error): New method
	* perl/Amanda/Changer/robot.pm (set_device_error): New method
	* perl/Amanda/ScanInventory.pm: Use a global seen hash
	* perl/Amanda/Taper/Scan/lexical.pm,
	  perl/Amanda/Taper/Scan/oldest.pm: Samll fix
	* perl/Amanda/Taper/Scribe.pm: Call $reservation->set_device_error
	* installcheck/Amanda_Taper_Scan_lexical.pl,
	  installcheck/Amanda_Taper_Scan_oldest.pl,
	  installcheck/taper.pl: Fix test

2016-03-17  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Makefile.am (catalogs): Add catalogs/tapers.cat and
	  catalogs/tapers1.cat

2016-03-14  Jean-Louis Martineau <JMartineau@carbonite.com>
	* common-src/ammessage.c: Fix parsing of NULL, true or false value

2016-03-14  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/Report/human.pm: Fix compression for partial result
	* installcheck/amreport.pl: Check partial result
	* installcheck/catalogs/tapers1.cat,
	  installcheck/catalogs/tapers.cat: New catalogs to check taper
	  partial result
	* installcheck/catalogs/taperr.cat: Typo

2016-03-01  Jean-Louis Martineau <JMartineau@carbonite.com>
	* perl/Amanda/ScanInventory.pm: A no-reuse is not a new labelled tape
	* installcheck/Amanda_Taper_Scan_lexical.pl,
	  installcheck/Amanda_Taper_Scan_oldest.pl,
	  installcheck/Amanda_Taper_Scan_traditional.pl: Add check

2016-02-29  Jean-Louis Martineau <JMartineau@carbonite.com>
	* installcheck/Amanda_Rest_Runs.pl: Fix for Report/json.pm fix

2016-02-29  Jean-Louis Martineau <JMartineau@carbonite.com>
	* server-src/driver.c: fix for last dle span two tapes
	* device-src/vfs-device.c: Add a SLOW-WRITE property (for testing)
	* device-src/vfs-device.h: Add a SLOW-WRITE property (for testing)
	* installcheck/Installcheck/Config.pm (rm_param): New fucntion
	* installcheck/Installcheck/Run.pm (clean_taperoot: New function
	* installcheck/Makefile.am: Add tape_action
	* installcheck/tape_action.pl: New installcheck script to check the
	  tape_action function

2016-02-29  Jean-Louis Martineau <JMartineau@carbonite.com>
	Patch by Micheal Burk
	* perl/Amanda/Report/json.pm: fixup

2016-02-25  Jean-Louis Martineau <martineau@zmanda.com>
	* all files: Update copyright notice

2016-02-24  Jean-Louis Martineau <martineau@zmanda.com>
	* config/libtool.m4: Fix for x86_64
	* contrib/libtool-for-x86_64.diff: Copy of the patch

2016-02-22  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/amstatus.pl: Test number printing
	* installcheck/Makefile.am: Add catalogs/number.cat
	* installcheck/catalogs/number.cat: New catalog file for testing
	  number

2016-02-22  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/s3-device.c: Give and error if MAX-RECV-SPEED or
	  MAX-SEND-SPEED is below 5120
	* man/xml-source/amanda-devices.7.xml: Document the minimum value for
	  MAX-RECV-SPEED and MAX-SEND-SPEED

2016-02-22  Jean-Louis Martineau <martineau@zmanda.com>
	* man/xml-source/amanda-security.conf.5.xml: Document permissions

2016-02-17  Jean-Louis Martineau <martineau@zmanda.com>
	* amandad-src/amandad.c: Add SERVICE_AMBACKUPD
	* client-src/Makefile.am: Add ambackup
	* client-src/ambackup.pl: New client program to start a backup
	* man/Makefile.am: Add ambackup.8
	* man/xml-source/ambackup.8.xml: New man page
	* perl/Amanda/Logfile.swg: Add P_AMBACKUPD
	* perl/Amanda/Message.pm: Add message id for ambackupd
	* perl/Amanda/Report.pm: Handle ambackupd run
	* server-src/Makefile.am: Add ambackupd
	* server-src/ambackupd.pl: New server service to allow ambackup to run
	  a backup
	* server-src/amreport.pl: Handle ambackupd run
	* server-src/logfile.c: Add ambackupd
	* server-src/logfile.h: Add P_AMBACKUPD

2016-02-17  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Curinfo/Info.pm (update_dumper): New function

2016-02-17  Jean-Louis Martineau <martineau@zmanda.com>
	* amandad-src/amandad.c: Send P_NAK with ERRIR message on some error

2016-02-17  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Holding.pm (filetmp_chunks): Renamed from
	  file_tmp_chunks

2016-02-17  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Chunker/Scribe.pm: Fix pod

2016-02-17  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amindexd.c: Check recovery-limit

2016-02-17  Jean-Louis Martineau <martineau@zmanda.com>
	* recover-src/amrecover.c (server_warning): New function
	* recover-src/amrecover.h (server_warning): Add prototype
	* recover-src/set_commands.c: Use server_warning()

2016-02-17  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/sendbackup.c: Fix
	* client-src/selfcheck.c: Fix

2016-02-17  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/ssl-security.c: s/remote_port/client_port/

2016-02-17  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/amdump_client.pl: Remove printing the config
	* installcheck/amdump_client.pl: Fix

2016-02-17  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Report/human.pm: Improve output
	* installcheck/catalogs/bigestimate.cat,
	  installcheck/catalogs/doublefailure.cat,
	  installcheck/catalogs/longstrange.cat,
	  installcheck/catalogs/resultsmissing.cat,
	  installcheck/catalogs/retried-nofinish.cat,
	  installcheck/catalogs/retried.cat,
	  installcheck/catalogs/shortstrange.cat,
	  installcheck/catalogs/skipped.cat: Fix for report change

2016-02-17  Jean-Louis Martineau <martineau@zmanda.com>
	* xfer-src/source-file.c: Cleanup
	* xfer-src/xmsg.h: Fix comment

2016-02-17  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/security-util.c: Fix hang if receive partial packet from
	  network

2016-02-16  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm, perl/Amanda/Taper/Scribe.pm,
	  server-src/driver.c: s/writting/writing/g

2016-02-11  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/sendbackup-gnutar.c, client-src/sendsize.c: Init mlist
	  to NULL

2016-02-11  Jean-Louis Martineau <martineau@zmanda.com>
	* config/amanda/amanda_configure.m4 (AM_INIT_AUTOMAKE): Add
	  subdir-objects
	* amandad-src/Makefile.am, amar-src/Makefile.am,
	  application-src/Makefile.am, client-src/Makefile.am,
	  common-src/Makefile.am, device-src/Makefile.am,
	  installcheck/Makefile.am, ndmp-src/Makefile.am,
	  oldrecover-src/Makefile.am, perl/Makefile.am,
	  perl/amglue/Makefile.am, po/Makefile.am,
	  recover-src/Makefile.am, server-src/Makefile.am,
	  xfer-src/Makefile.am: Cleanup
	  s/INCLUDES/AM_CPPFLAGS/
	  s/mkdir_p/MKDIR_P/

2016-02-11  Jean-Louis Martineau <martineau@zmanda.com>
	* config/ar-lib: Add file

2016-02-11  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/ammessage.h (messagelist_t): New typedef for a GSList of
	  messages
	* common-src/ammessage.c: Add messages
	* client-src/client_util.c (build_exclude, build_include): return a
	  messagelist_t instead of printing error
	* client-src/client_util.c (build_exclude, build_include): Change
	  prototype
	* application-src/ambsdtar.c, application-src/amgtar.c,
	  client-src/selfcheck.c, client-src/sendbackup-gnutar.c,
	  client-src/sendsize.c: Print messages from build_exclude and
	  build_include
	* perl/Amanda/CheckDump.pm (); return undef on success

2016-02-11  Jean-Louis Martineau <martineau@zmanda.com>
	* gnulib/Makefile.am: Remove regenerate.swp

2016-02-11  Jean-Louis Martineau <martineau@zmanda.com>
	* config/gnulib/*, config/snipset/*, gnulib/*: Upgrade to gnulib
	  cd9ecca8812571fc443688d11148f2768ededfa4

2016-02-11  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/amgtar.c, server-src/amindexd.c: Check result of
	  fopen()

2016-02-11  Jean-Louis Martineau <martineau@zmanda.com>
	* configure.ac: Renamed from configure.in
	* configure.in: Renamed to configure.ac
	* config/amanda/i18n.m4, config/amanda/progs.m4,
	  config/compile, config/config.guess,
	  config/macro-archive/ac_prog_swig.m4, packaging/README,
	  packaging/rpm/buildpkg: s/configure.in/configure.ac/

2016-02-09  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/amgetconf.pl: s/unknown/Unknown/

2016-02-09  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/amgetconf.pl: Test the result of 'amgetconf --platform'
	  and 'amgetconf --distro' are not "unknown"

2016-02-09  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amutil.c (get_platform_and_distro, get_platform,
	  get_distro): New functions toreturn platform and distro
	* common-src/amutil.h (get_platform_and_distro, get_platform,
	  get_distro): Add prototypes
	* client-src/selfcheck.c: Use get_platform_and_distro()
	* common-src/amgetconf.pl: Add --platform and --distro arguments
	* man/xml-source/amgetconf.8.xml: Document --platform and --distro
	* perl/Amanda/Util.swg: Swig get_platform and get_distro
	* NEWS: Add new --platform and --distro argument of amgetconf

2016-02-08  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm: Fix for taper FAILED
	* perl/Amanda/Taper/Worker.pm: Wait to get the device before checking
	  if it support the requested data_path
	* server-src/driver.c: Fix reporting
	* server-src/driver.c: Use any idle wtaper
	* server-src/dumper.c: Do not send the header to the taper until some
	  data is received

2016-02-05  Jean-Louis Martineau <martineau@zmanda.com>
	* config/libtool.m4, config/ltmain.sh, config/ltoptions.m4,
	  config/ltsugar.m4, config/ltversion.m4,
	  config/lt~obsolete.m4: Upgrade lintool to 2.4.6

2016-02-05  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/ambsdtar.c, application-src/amgtar.c,
	  application-src/amstar.c (*_backup): Send message to mesgstream

2016-02-04  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/Makefile.am: s/CFLAGS/AM_CFLAGS/

2016-02-04  Jean-Louis Martineau <martineau@zmanda.com>
	* man/xml-source/amfetchdump.8.xml: Add --run-client-scripts

2016-02-04  Jean-Louis Martineau <martineau@zmanda.com>
	* config/amanda/defaults.m4: Add --with-security-file configure option
	* common-src/ammessage.c: Improve messages
	* common-src/security-file.c: Use DEFAULT_SECURITY_FILE, check the
	  path is secure
	* common-src/security-file.h (check_security_file_permission): Remove
	* NEWS, ReleaseNotes: Add --with-security-file configure option

2016-02-02  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/client_util.c: Do not use gnuish of realpath

2016-02-02  Jean-Louis Martineau <martineau@zmanda.com>
	* config/amanda/dumpers.m4: Use AM_READLINK
	* config/amanda/progs.m4: Verify that $READLINK is what we want and
	  set AM_READLINK

2016-02-02  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amstatus.pl: Fix for 32 bits perl

2016-02-02  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/ammessage.c: Fix for errno in message
	* installcheck/Amanda_Rest_Services_senddiscover_amgtar.pl,
	  installcheck/Amanda_Rest_Amcheck.pl: Fix
	* man/xml-source/amssl.8.xml: Improve documentation

2016-02-01  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amutil.c: Fix for automatic test

2016-02-01  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/client_util.c, common-src/amutil.c,
	  xfer-src/xfer-test.c: Fix bug found by coverity

2016-02-01  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/security-file.c: Fix small memory leak

2016-01-29  Jean-Louis Martineau <martineau@zmanda.com>
	* config/amanda/amanda_configure.m4: Invoke AMANDA_PROG_READLINK
	* config/amanda/dumpers.m4: use READLINK if REALPATH is not available
	* config/amanda/progs.m4: Find readlink

2016-01-29  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/make_security_file.c: Print '='

2016-01-29  Jean-Louis Martineau <martineau@zmanda.com>
	* Improve reporting of security message

2016-01-28  Jean-Louis Martineau <martineau@zmanda.com>
	* NEWS: Change in 3.3.9
	* ReleaseNotes: Change in 3.3.9

2016-01-27  Jean-Louis Martineau <martineau@zmanda.com>
	* packaging/rpm/amanda.spec.src: Use 'mkdirp -p'

2016-01-27  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/Makefile.am (EXTRA_DIST): Remove
	* recover-src/Makefile.am (EXTRA_DIST): Add uscan.c

2016-01-26  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/security-file.c: s/g_strcmp0/strcmp/
	* man/xml-source/amanda.8.xml: Add amanda-security.conf

2016-01-25  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/Makefile.am (EXTRA_DIST): Add make_security_file.c
	* common-src/make_security_file.c: Typo

2016-01-25  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/security-file.c: Fix security
	* installcheck/ambsdtar.pl, installcheck/amgtar.pl: Fix for non-root

2016-01-25  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/client_util.c: Check for SINGLE_USERID
	* common-src/Makefile.am: Install example amanda-security.conf in
	  CONFIG_DIR

2016-01-25  Jean-Louis Martineau <martineau@zmanda.com>
	* Add a /etc/amanda-security.conf file

2016-01-22  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/ambsdtar.c, application-src/amgtar.c,
	  application-src/amstar.c: Filter option from COMMAND-OPTIONS
	* common-src/ammessage.c: Add message

2016-01-22  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/client_util.c (check_exec_for_suid_message,
	  check_exec_for_suid): New functions to verify a binary is secure
	* client-src/client_util.h(check_exec_for_suid_message,
	  check_exec_for_suid): Add prototypes
	* application-src/ambsdtar.c, application-src/amgtar.c,
	  application-src/amstar.c, client-src/runtar.c: Call
	  check_exec_for_suid* before running a binary as root
	* common-src/ammessage.c: Add messages
	* installcheck/ambsdtar.pl: Fix check
	* installcheck/amgtar.pl: Fix check

2016-01-22  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/runtar.c: Filter tar arguments
	* installcheck/runtar.pl: Check runtar errorr
	* installcheck/Makefile.am: Add runtar.pl

2016-01-19  Jean-Louis Martineau <martineau@zmanda.com>
	* recover-src/set_commands.c (set_host): Correctly setdump_hostname
	  when the input is quoted with double quote

2016-01-19  Jean-Louis Martineau <martineau@zmanda.com>
	* config/set_full_version: Fix for new URL path

2016-01-19  Jean-Louis Martineau <martineau@zmanda.com>
	* NEWS: Typo
	* ReleaseNotes: Typo

2016-01-19  Jean-Louis Martineau <martineau@zmanda.com>
	* NEWS: Change in 3.3.8
	* ReleaseNotes: Change in 3.3.8

2015-12-10  Xu Han <xhan@carbonite.com>
	* packaging/common/post_inst_functions.sh: Adding the correct
	  Amanda sbin path to Solaris Amandabackup user profile file

2015-12-09  Jean-Louis Martineau <martineau@zmanda.com>
	* ndmp-src/ndma_tape.c (ndmta_read_quantum): Fix setting
	  ta->mover_state.record_num

2015-12-09  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/sendbackup.c: Fir debugging message
	* common-src/glib-util.c: Improve error message
	* perl/Amanda/Extract.pm: Fix in error path

2015-12-09  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/amlog-script.pl, application-src/ampgsql.pl,
	  application-src/amraw.pl, application-src/amsamba.pl,
	  application-src/amsuntar.pl, application-src/amzfs-sendrecv.pl,
	  application-src/amzfs-snapshot.pl,
	  application-src/script-email.pl: Log the arguments

2015-12-04  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/dumper.c: Change message

2015-12-04  Jean-Louis Martineau <martineau@zmanda.com>
	* recover-src/amrecover.c: Use the amanda-client.conf hostname setting

2015-12-04  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/conffile.c: Add amanda-client 'hostname' global setting
	* common-src/conffile.h: Add CNF_HOSTNAME
	* perl/Amanda/Config.swg: Add CNF_HOSTNAME
	* man/xml-source/amanda-client.conf.5.xml: Document hostname

2015-12-04  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/dumper.c: Use getstatefname()

2015-12-04  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amutil.c (get_fsusage): New function to the filesystem
	  usage
	* common-src/amutil.h (get_fsusage): Add prototype.
	 common-src/amxml.c: Cleanup
	* server-src/diskfile.c (xml_optionstr_disk, xml_estimate_disk,
	  xml_application_disk): New functions to return anxnl string
	* server-src/diskfile.h (xml_optionstr_disk, xml_estimate_disk,
	  xml_application_disk): Add prototypes
	* perl/Amanda/Disklist.swg (xml_optionstr_disk, xml_application_disk,
	  xml_estimate_disk): Swig these functions
	* perl/Amanda/Logfile.swg (log_start_multiline, log_end_multiline):
	  Swig these functions
	* perl/Amanda/Util.swg (amxml_format_tag, get_fsusage,
	  get_time_from_timestamp): Swig these functions

2015-12-ouis Martineau <martineau@zmanda.com>
	* common-src/amfeatures.h: Add fe_restore_prev_next_level
	* common-src/amfeatures.c: Add fe_restore_prev_next_level
	* server-src/amfetchdump.pl: Add --prev-level and --next-level
	  arguments
	* man/xml-source/amfetchdump.8.xml: Document --prev-level and
	  --next-level argument
	* perl/Amanda/Extract.pm (run_scripts): New method to run scripts
	* perl/Amanda/FetchDump.pm: Keep copy of prev-level and next-level
	* perl/Amanda/FetchDump/Application.pm: Fix race
	* perl/Amanda/FetchDump/ClientApplication.pm: Send PREV-NEXT-LEVEL to
	  client, fix race
	* perl/Amanda/Restore.pm: Call feedback run_pre_scripts and
	  run_post_scripts
	* perl/Amanda/Service/Restore.pm: Get PREV-NEXT-LEVEL from server,
	  call $extract->run_scripts() to run the scrips

2015-11-30  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amfeatures.h (fe_restore_include,
	  fe_restore_include_glob, fe_restore_exclude,
	  fe_restore_exclude_glob): New amfeature to send include/exclude to
	  the restore service
	* common-src/amfeatures.c: Add new amfeature
	* server-src/amfetchdump.pl: New arguments: --include-file,
	  --include-list, --include-list-glob, --exclude-file, --exclude-list,
	  --exclude-list-glob
	* man/xml-source/amfetchdump.8.xml: Document new arguments.
	* perl/Amanda/Extract.pm: Add the various include/exclude arguments to
	  the restore_argv
	* perl/Amanda/FetchDump.pm: Keep local copy of the include/exclude
	  arguments
	* perl/Amanda/FetchDump/Application.pm: Pass the include/exclude
	  arguments to the Extract module
	* perl/Amanda/FetchDump/ClientApplication.pm: Send include/exclude
	  arguments to the restore service
	* perl/Amanda/Service/Restore.pm: Get include/exclude from the server,
	  Pass them to the Extract module

2015-11-27  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Restore.pm: Fix typo

2015-11-27  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Restore.pm: Fix Message handling

2015-11-27  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amindex.c (getstatefname): New functionto return the name
	  of the state file
	* server-src/amindex.h (getstatefname): Add prototype
	* perl/Amanda/Logfile.swg: swig getstatefname
	* perl/Amanda/Extract.pm: Get the state file name as argument
	* perl/Amanda/FetchDump/Application.pm (transmit_state_file):
	  Uncompress de state file is required
	* perl/Amanda/FetchDump/ClientApplication.pm: Use getstatefname and
	  some fix
	* perl/Amanda/Restore.pm: Call start_read_dar after
	  notify_start_backup
	* perl/Amanda/Service/Amidxtaped.pm: Use getstatefname
	* perl/Amanda/Service/Restore.pm (transmit_dar): Fix

2015-11-26  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amanda.h: Remove define of _LARGEFILE64_SOURCE

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* config/amanda/syshacks.m4: Define _XOPEN_SOURCE and
	  _XOPEN_SOURCE_EXTENDED on solaris to get correct type for
	  'struct iovec'

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Report/human.pm: Fix crash if orig_size == 0

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Makefile.am: Install perl/Amanda/FetchDump files

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Extract.pm: Correctly check if program_path is an
	  Amanda::Message

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Service/Restore.pm: Remove unused code

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/conffile.c: Log which conffile is read

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Makefile.am: Typo

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Util.swg: swig quote_string_always

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Runs.pm: Use new FetchDump API

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Extract.pm (set_validate_argv): New function

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Disklist.swg: Add all auth option to the host class

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/ammessage.c: Add new message
	* perl/Amanda/Message.pm: Add new message

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amfeatures.c, common-src/amfeatures.h: Add new amfeatures
	  for amrecover/amidxtaped protocol change and for the new restore
	  service

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/senddiscover.c: use MSG_ERROR instead of 16

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* amandad-src/amandad.c: Add the restore service

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* man/xml-source/amservice.8.xml: Document new amservice options

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Services_senddiscover.pl,
	  installcheck/ambsdtar.pl, installcheck/amcheckdump.pl,
	  installcheck/amfetchdump.pl,
	  installcheck/amidxtaped.pl: Fix for  changes

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/planner.c: Fix for security API fix

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amfetchdump.pl: use Amanda::Fetchdump subclass
	* perl/Amanda/FetchDump.pm: Generic class
	* perl/Amanda/FetchDump/Application.pm,
	  perl/Amanda/FetchDump/ClientApplication.pm,
	  perl/Amanda/FetchDump/Local.pm: Specific module for different
	  destination, use Amanda::Restore

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/restore.pl: New client service to restore on the client
	* client-src/Makefile.am: add restore.pl
	* perl/Amanda/Service/Restore.pm: Core of service, use Amanda::Restore
	* perl/Makefile.am: Add Amanda/Service/Restore.pm

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/CheckDump.pm: Use Amanda::Restore module
	* server-src/amcheckdump.pl: Use Amanda::CheckDump

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* xfer-src/dest-fd.c, xfer-src/filter-crc.c,
	  xfer-src/filter-process.c, xfer-src/source-fd.c,
	  xfer-src/xfer-element.h: Small fix

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Service/Amidxtaped.pm: New amidxtaped perl module, it
	  use Amanda::Restore
	* server-src/amidxtaped.pl: Use Amanda::Service::Amidxtaped
	* recover-src/amrecover.c, recover-src/extract_list.c: improve
	  amrecover-amidxtaped protocol

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Restore.pm: New module to to do a recovery, all program
	  will use it.
	* perl/Makefile.am: Add Amanda/Restore.pm

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Amservice.pm: New perl module to execute amservive
	* perl/Makefile.am: Add Amanda/Amservice.pm

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amservice.c: Add --stream and --config option, use
	  security_stream_write_async

2015-11-25  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/bsd-security.c, common-src/bsdtcp-security.c,
	  common-src/bsdudp-security.c, common-src/krb5-security.c,
	  common-src/local-security.c, common-src/rsh-security.c,
	  common-src/security-util.c, common-src/security-util.h,
	  common-src/security.c, common-src/security.h,
	  common-src/ssh-security.c,
	  common-src/ssl-security.c: Fix security API and add
	  security_stream_write_async and security_stream_close_async

2015-11-20  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/DB/Catalog.pm: Filter with the status
	* perl/Amanda/Recovery/Planner.pm: Pass the status to
	  Amanda::DB::Catalog::get_dumps
	* perl/Amanda/FetchDump.pm, perl/Amanda/CheckDump.pm,
	  perl/Amanda/Taper/Worker.pm, perl/Amanda/Vault.pm,
	  server-src/amreindex.pl: Call Amanda::Recovery::Planner::make_plan
	  with a "status => 'OK'" argument

2015-11-12  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/driver.c (handle_taper_result): Set job to NULL
	* server-src/driverio.c: Improve debugging
	* file server-src/planner.c (est_dump_queue): Fix crash

2015-11-11  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amcryptsimple.pl: Use 'gpg-agent --use-standard-socket-p'
	  to find if gpg-agent must be used

2015-11-09  Orion Poplawski
	* perl/Amanda/Vault.pm: Add missing parens

2015-11-05  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Services_senddiscover.pl,
	* installcheck/Amanda_Rest_Services_senddiscover_amgtar.pl: Skip if
	  client is not compiled

2015-11-05  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/amvault.pl: Do not check the size, it varies on
	  different machines

2015-11-05  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amfetchdump.pl: Fix argument check
	* man/xml-source/amfetchdump.8.xml: Fix spacing

2015-11-05  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/amgtar.pl: Ignore SIGPIPE
	* installcheck/Installcheck/Application.pm: Do not fail on SIGPIPE if
	  allowed

2015-11-04  Orion Poplawski
	* perl/Amanda/Vault.pm: Output the size of each dump
	* installcheck/amvault.pl: Fix for new output

2015-11-04  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Services_senddiscover_amgtar.pl:
	  Workaround for File::Temp without newdir function

2015-11-03  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Taper/Scribe.pm (_volume_cb): Release the old
	  reservation when changing scribe

2015-10-29  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Label.pm: Fix severity
	* perl/Amanda/Message.pm: Fix for code 1 or 2
	* server-src/amlabel.pl: Severity of ERROR is always a failure

2015-10-29  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/amgtar.pl: Fix

2015-10-29  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/ambsdtar.c (restore): Exit with 1 if BSDTAR-PATH
	  can't be executed
	* application-src/amgtar.c (amgtar_restore): Exit code of 1 is an
	  error
	* config/amanda/dumpers.m4 (AMANDA_PROG_BSDTAR): Fix BSDTAR default
	  value
	* installcheck/Installcheck/Application.pm (restore): Return the
	  stderr of the application
	* installcheck/Makefile.am (client_tests): Add ambsdtar
	* installcheck/amgtar.pl: Add check
	* installcheck/ambsdtar.pl: New file to check ambsdtar behavior

2015-10-27  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Services_senddiscover_amgtar.pl: Fix for
	  maximumm length f a socket path.

2015-10-26  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/amgtar.c (amgtar_discover): Implement the discover
	  API.
	* client-src/senddiscover.c: Pass --device only if device is provided.
	* common-src/ammessage.c: Add message for code 3100005, 3100006,
	  3700012 and 3700013
	* perl/Amanda/Rest/Configs.pm: Improve documentation
	* perl/Amanda/Rest/Services.pm (discover): Many fixes
	* rest-server/bin/app.pl.in: discover service can be called for a
	  config
	* rest-server/lib/Amanda/Rest.pm.in: discover service can be called
	  for a config
	* installcheck/Amanda_Rest_Services_senddiscover.pl: Test the REST
	  senddiscover service
	* installcheck/Amanda_Rest_Services_senddiscover_amgtar.pl: Test the
	  amgtar REST senddiscover service
	* installcheck/Makefile.am (server_tests): Add
	  Amanda_Rest_Services_senddiscover and
	  Amanda_Rest_Services_senddiscover_amgtar

2015-10-21  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amutil.c (swap): __builtin_bswap32 is defined only for
	  GCC >= 4.3.0

2015-10-21  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amutil.c (swap): Add missing function

2015-10-21  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Changer/robot.pm (inventory_unlocked): Can returen all
	  slot (even those not in use-slot)
	* perl/Amanda/Recovery/Scan.pm (find_volume): Use only allowed slot

2015-10-20  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/conffile.c: Do not free current_block

2015-10-19  Jean-Louis Martineau <martineau@zmanda.com>
	* man/xml-source/amanda-devices.7.xml: Add STANDARD_IA storage_class

2015-10-19  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/s3.h (StorageClass): Add S3_SC_STANDARD_IA.
	* device-src/s3.c: Fix for STANDARD_IA
	* server-src/amcheck.c: Fix message argument name.

2015-10-19  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/amgtar.c Default SPARSE value is NO if tar < 1.28

2015-10-16  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/ampgsql.pl: Use '--blocking-factor 64' when creating
	  a tar file

2015-10-15  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/ammessage.c: Change message for 2800217. Allow
	  substitution in the hint field
	* common-src/amutil.c: Change the
	          "running as user \"%s\" instead of \"%s\""" message
	* server-src/amcheck.c: Fix for running user

2015-10-15  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/FetchDump.pm: Do not look for storage when recovery is
	  from a holding disk

2015-10-14  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/security-util.c: Add debugging
	* perl/Amanda/FetchDump.pm: Send the statefile earlier, trap error

2015-10-13  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/ampgsql.pl: Remember the level of the last
	  backup and use it to find the corresponding statefile

2015-10-07  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/driver.c: Fix for taper crash
	* server-src/dumper.c: Fix compatibility issue

2015-10-07  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/FetchDump.pm: Filter /trailing garbage ignored/

2015-10-02  Jean-Louis Martineau <martineau@zmanda.com>
	* xfer-src/filter-process.c: gzip exit 2 is not an error
	* installcheck/Amanda_Xfer.pl: test it

2015-09-29  Jean-Louis Martineau <martineau@zmanda.com>
	Patch by Orion Poplawski
	* man/xml-source/tapelist.5.xml: Fix duplicate word

2015-09-28  Jean-Louis Martineau <martineau@zmanda.com>
	* ndmp-src/ndmjob_main_util.c: Always quote log message.

2015-09-23  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Label.pm: Fix if the device can't be opened

2015-09-22  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/Makefile.am: Fix CFLAGS for compiling amcrc32c.c

2015-09-19  Jean-Louis Martineau <martineau@zmanda.com>
	* config/amanda/flags.m4: s/gcc/$CC/

2015-09-18  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/client_util.c: Fix compiler error

2015-09-18  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amutil.c (make_crc_table): Remove a bogus fprintf

2015-09-18  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amcrc32chw.c: Fix for 32 bits

2015-09-18  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amcrc32chw.c: Qualify crc32vc_add_hw argument as
	  G_GNUC_UNUSED
	* common-src/amutil.c: Define get_sse42 only if we use it
	* common-src/crc32-test.c: Fix if not in 64 bits mode

2015-09-18  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/client_util.c: Fix compiler warning
	* config/amanda/flags.m4: Fix egrep expresion for solaris

2015-09-18  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amutil.c: Fix asm code on i386

2015-09-17  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amutil.c: Use better asm code to detect sse4.2

2015-09-17  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amutil.c (have_sse42): Do not declare static
	* common-src/amutil.h (have_sse42): Add extern declaration
	* common-src/crc32-test.c: Do not run hardware crc32 test if the cpu
	  do not have sse4.2

2015-09-17  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/Makefile.am (noinst_HEADERS): Add amcrc32chw.h

2015-09-17  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amcrc32chw.c: New file to compute crc32c with sse4.2
	  instruction
	* common-src/amcrc32chw.h: New prototype file
	* common-src/Makefile.am: Code to build amcrc32chw
	* common-src/amanda.h: Define GCC_VERSION
	* common-src/amutil.c: Detect if processor hace sse4.2 and use it
	* common-src/crc32-test.c: Add test for hw version
	* config/amanda/amanda_configure.m4: Call AMANDA_CHECK_SSE42
	* config/amanda/flags.m4 (AMANDA_CHECK_SSE42) New macro to detext if
	  gcc have -msse4.2
	* installcheck/chunker.pl, installcheck/taper.pl: Fix for crc32c

2015-09-17  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amutil.c: Chagre the crc32 POLY to 0x82F63B78

2015-09-16  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amutil.c (crc32_add): Use software improvement on big
	  endian machine.

2015-09-15  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amutil.c: Fix compilation

2015-09-15  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amutil.c: Fix compilation

2015-09-15  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amutil.c (crc32_add_16bytes): New faster algorith to
	  compute crc 32
	* common-src/amutil.c (crc32_add): Call crc32_add_1byte or
	  crc32_add_16bytes.
	* common-src/amutil.h (crc32_add_1byte, crc32_add_16bytes): Add new
	  prototypes.
	* common-src/Makefile.am (TEST): Add crc32-test
	* common-src/crc32-test.c: New program to test crc32

2015-09-15  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/debug.c (debug_ressource_usage): New function to write
	  the system ressource utilization to the debug file
	* common-src/debug.c (debug_close): Call debug_ressource_usage

2015-09-10  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/conffile.h (no_yes_all_t, priority_t, execute_where_t):
	  New enum
	* common-src/conffile.c, server-src/amcheck.c, server-src/diskfile.c,
	  server-src/server_util.c: Use ne enum constants.
	* perl/Amanda/Config.swg: Add more function to return enum value
	* installcheck/Amanda_Config.pl: Add tests

2015-09-09  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/amglue/constants.swg (amglue_add_enum_and_string_tag_fns,
	  amglue_add_constant_and_string): New macro
	* perl/Amanda/Config.swg: Add functions to return enum value from a
	  string
	* installcheck/Amanda_Config.pl: Add tests

2015-09-09  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/driver.c (tape_action): Improvement

2015-09-09  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/dumper.c: Fix hang on failure

2015-09-03  Jean-Louis Martineau <martineau@zmanda.com>
	* ndmp-src/ndma_comm_dispatch.c: Send all LOG_MESSAGE
	* ndmp-src/ndmjob_main_util.c: Quote LOG_MESSAGE
	* perl/Amanda/Report/human.pm: Fix output

2015-09-01  Jean-Louis Martineau <martineau@zmanda.com>
	* rest-server/bin/app-dancer2.pl.in: Correctly load multiple
	  applications.
	* server-src/amanda-rest-server.pl: Always load the same Dancer2
	  script.

2015-08-31  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/FetchDump.pm: Fix perl warning
	* server-src/amcheck-device.pl: Fix
	* installcheck/Amanda_Rest_Amcheck.pl: Fix

2015-08-27  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/driver.c (tape_action): More improvement.

2015-08-27  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/planner.c: Improve message.

2015-08-24  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/amzfs-sendrecv.pl: Fix compratio parsing.

2015-08-20  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amcheck.c: Add the check_host_setting count in the
	  remote_errros when doing only the client check

2015-08-19  Jean-Louis Martineau <martineau@zmanda.com>
	* config/amanda/dumpers.m4: Default GNUTAR to /usr/bin/tar, STAR to
	  /usr/bin/star, BSDTAR to /usr/bin/bsdtar, SUNTAR to /usr/sbin/tar,
	  SAMBA_CLIENT to /usr/bin/smbclient.
	* config/amanda/progs.m4: Default SSH to /usr/bin/ssh
	* config/amanda/ssh-security.m4: Use AMANDA_PROG_SSH

2015-08-19  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/driver.c (tape_action): Fix to not send
	  TAPE_ACTION_START_A_FLUSH if we can't guarantee a tape
	* server-src/driverio.h (struct taper_s): Add sent_first_write

2015-08-17  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/device.c (device_allow_take_scribe_from): New function
	  to return the allow_take_scribe_from setting
	* device-src/device.h (struct Device): Add a gboolean
	  allow_take_scribe_from
	* device-src/device.h (device_allow_take_scribe_from): Add new
	  prototype
	* device-src/ndmp-device.c: allow_take_scribe_from is FALSE
	* perl/Amanda/Device.swg (device_allow_take_scribe_from): swig it
	* perl/Amanda/Taper/Protocol.pm (TAPER_OK): add allow_take_scribe_from
	* perl/Amanda/Taper/Scribe.pm: Pass the allow_take_scribe_from value
	  to the callback
	* perl/Amanda/Taper/Worker.pm (_scribe_started_cb): Include the
	  allow_take_scribe_from in the TAPER_OK reply
	* server-src/driver.c (handle_taper_result): Parse the
	  *-TAKE-SCRIBE-FROM in the TAPER_OK reply
	* server-src/driver.c (tape_action): Do not return TAPE_ACTION_MOVE if
	  the taper do not handle allow_take_scribe_from
	* server-src/driverio.h (struct wtaper_s): Add a gboolean
	  allow_take_scribe_from
	* installcheck/taper.pl: Fix for *-TAKE-SCRIBE-FROM in TAPER-OK reply

2015-08-17  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amutil.c (interruptible_accept): Take a timeout as
	  argument
	* common-src/amutil.h (interruptible_accept): New prototype
	* common-src/stream.c (stream_client): Call interruptible_accept with
	  the timeout argument
	* xfer-src/element-glue.c (do_directtcp_accept): Call
	  interruptible_accept with the timeout argument

2015-08-11  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Configs.pm: Allow 'expand_*' in query parameter
	* perl/Amanda/Rest/Dles.pm: Allow 'expand_*' in query parameter
	* installcheck/Amanda_Rest_Configs.pl: Fix installcheck

2015-08-11  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/ampgsql.pl: Use 'eq' instead of '==' for filename

2015-08-11  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amcryptsimple.pl, common-src/amgpgcrypt.pl: Add sleep to
	  allow gpg-agent to exit
	* server-src/amrestore.pl: Add a --continue-on-filter-error option
	* man/xml-source/amrestore.8.xml: Document --continue-on-filter-error

2015-08-11  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Configs.pm (_fields): Must not load the config.

2015-08-10  Jean-Louis Martineau <martineau@zmanda.com>
	* man/xml-source/amrestore.8.xml: Document that -r do not decrypt dump

2015-08-10  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Report/human.pm: Fix compression computation.

2015-08-10  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Report/human.pm: Fix compression computation.

2015-08-07  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Configs.pl: Take MAILER form config

2015-08-07  Jean-Louis Martineau <martineau@zmanda.com>
	* rest-server/bin/app.pl.in: Undo bad change.

2015-08-07  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Configs.pm: Typo.
	* installcheck/Amanda_Rest_Configs.pl: Fix check.

2015-08-07  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/selfcheck.c, common-src/amanda.h, common-src/match.c,
	  common-src/security-util.c, server-src/driver.c,
	  server-src/dumper.c: Coverity cleanup.

2015-08-07  Jean-Louis Martineau <martineau@zmanda.com>
	* rest-server/bin/app.pl.in, rest-server/lib/Amanda/Rest.pm.in:
	  Remove 'use Amanda::Rest::Changers;'

2015-08-07  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Makefile.am (AmandaRest_DATA): Remove Amanda/Rest/Changers.pm

2015-08-07  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/conffile.c (*_key_to_name, *getconf_human,
	  custom_escape): New function
	* common-src/conffile.h (*_key_to_name, *getconf_human,
	  custom_escape): Add prototypes
	* perl/Amanda/Config.swg: Add amglue_add_enum_list(*_key)
	* perl/Amanda/Config.swg (val_t_to_print): Function to convert a
	  val_t to a printable format for human
	* perl/Amanda/Config.swg (*_key_to_name): Add declarations
	* perl/Amanda/Config.swg (*_getconf_human): Similar to *_getconf but
	  use val_t_to_print to return a human printable structure
	* perl/Amanda/Config.swg: Add messages 1500022 to 1500058
	* perl/Amanda/Disklist.swg: Add message 1400010
	* perl/Amanda/Rest/Configs.pm: Add API to return the list of section
	  and all fields of a named section
	* perl/Amanda/Rest/Dles.pm: Add API to return the list and setting
	  of Dles
	* perl/Amanda/Rest/Changers.pm: Remove file (API moved to Configs.pm).
	* perl/Amanda/Rest/Storages.pm: Remove some API (moved to Configs.pm).
	* perl/amglue/constants.swg (amglue_add_enum_list): New macro to
	  return an array of values
	* rest-server/bin/app.pl.in: Add new API
	* rest-server/lib/Amanda/Rest.pm.in: Add new API
	* server-src/diskfile.c: Use custom_escape to create custom name.
	* installcheck/Amanda_Rest_Changers.pl: Remove file
	* installcheck/Amanda_Rest_Configs.pl: Add many checks
	* installcheck/Amanda_Rest_Storages.pl: Remove some checks
	* installcheck/Makefile.am: Remove Amanda_Rest_Changers.pl

2015-08-06  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/s3-device.c, device-src/s3-device.h: Change default value
	  for S3-MULTI-DELETE
	* man/xml-source/amanda-devices.7.xml: Document it

2015-08-03  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Amdump.pm: Improve debugging.

2015-08-03  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/ammessage.c: Add message 2800233 and 2800234
	* server-src/amcheck.c: Validate tag
	* server-src/driver.c: Validate tag

2015-07-15  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/dumper.c (process_dumpline): Use full_write instead of
	  write and check the result.

2015-07-15  Jean-Louis Martineau <martineau@zmanda.com>
	* amandad-src/amandad.c: Add krb5 to exit_on_qlength
	* application-src/amgtar.c: Improve debugging
	* perl/Amanda/FetchDump.pm: Uncompress the state file
	* server-src/amidxtaped.pl: Uncompress the state file
	* server-src/dumper.c: Compress the state file
	* xfer-src/dest-application.c: Improve XMSG
	* xfer-src/filter-process.c: Improve XMSG

2015-07-14  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/driver.c (dump_match_selection): A dle without tag must
	  go on all storages

2015-07-14  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/ampgsql.pl: chown of archive dir when restoring an
	  incr.

2015-07-13  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/driver.c: Start backup event if tape is not ready in
	  CNF_RESERVE == 0;

2015-07-13  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/ampgsql.pl: Add FULL-WAL property.
	* man/xml-source/ampgsql.8.xml: Document FULL-WAL property.

2015-07-13  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/ampgsql.pl: Add 'File shrank by \d* bytes; padding
	  with zeros' as normal message from tar.

2015-07-07  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/rait-device.c, device-src/tape-device.c,
	  device-src/vfs-device.c: Typo.

2015-06-23  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Util.swg: disable setenv_init.

2015-06-23  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/xfer-source-device.c (pull_buffer_impl): Call
	  device_read_block with a goot max_block value
	* perl/Amanda/Device.swg (verify_random_from_device): Call
	  device_read_block with a max_block of -1

2015-06-23  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/amgtar.c: Use g_ascii_strtoull.

2015-06-22  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Xfer.swg: break potential reference loop

2015-06-19  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amidxtaped.pl: Temporary fix for protocol bug.

2015-06-19  Jean-Louis Martineau <martineau@zmanda.com>
	* recover-src/extract_list.c: Fix if not an application

2015-06-19  Jean-Louis Martineau <martineau@zmanda.com>
	* ndmp-src/ndma_data.c: Undo patch.
	* recover-src/extract_list.c: Fix compilation

2015-06-18  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/dumper.c: Fix compilation

2015-06-18  Jean-Louis Martineau <martineau@zmanda.com>
	* xfer-src/source-file.c: Fix compilation

2015-06-18  Jean-Louis Martineau <martineau@zmanda.com>
	* xfer-src/dest-application.c, xfer-src/source-file.c: Add files

2015-06-18  Jean-Louis Martineau <martineau@zmanda.com>
	* Implement DAR (Direct Access Recovery)

2015-06-16  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Changer/robot.pm (verify_unlocked): Reload the state and
	  use eject_unload

2015-06-15  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/ampgsql.pl: Take another tar of ./pg_tblspc by
	  keeping the symlink.

2015-06-10  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/ndmp-device.c: On recovery, set initial window to (0, -1)
	* installcheck/Installcheck/Mock.pm: Set verbose to YES

2015-06-09  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/ndmp-device.c: Set initial window correctly on recovery

2015-06-09  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amssl.pl: SSL_VERIFY_NONE is not defined on older
	  IO::Socket::SSL

2015-06-09  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/security-util.h (struct tcp_conn): Remove meth.
	* common-src/ssl-security.c: Do not use temporary variable for the
	  method.

2015-06-09  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amcheck.c: s/check_auth/check_host_setting/g, check
	  maxdumps is the same for all DLEs of a host
	* common-src/ammessage.c: Add message 2800232

2015-06-08  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/krb5-security.c (krb5_tcpm_recv_token): Remove the fd
	  argument.

2015-06-08  Jean-Louis Martineau <martineau@zmanda.com>
	* man/Makefile.am: Typo.

2015-06-08  Jean-Louis Martineau <martineau@zmanda.com>
	Add ssl auth.
	* config/amanda/amanda_configure.m4: Load AMANDA_SSL_SECURITY
	* config/amanda/ssl-security.m4 (AMANDA_SSL_SECURITY): Add
	  --with-ssl-security
	* amandad-src/amandad.c: Add code to support ssl auth,
	* common-src/Makefile.am (libamanda_la_SOURCES): Add ssl-security.c
	* common-src/Makefile.am (sbin_SCRIPTS_PERL): Add amssl
	* common-src/amgetconf.pl: Remove useless space
	* common-src/amssl.pl: New amssl program
	* common-src/conffile.c: Add CONF_SSL_FINGERPRINT_FILE,
	  CONF_SSL_CERT_FILE, CONF_SSL_KEY_FILE, CONF_SSL_CA_CERT_FILE,
	  CONF_SSL_CIPHER_LIST, CONF_SSL_CHECK_HOST,
	  CONF_SSL_CHECK_CERTIFICATE_HOST, CONF_SSL_CHECK_FINGERPRINT and
	  CONF_SSL_DIR
	* common-src/conffile.h: Add CNF_SSL_FINGERPRINT_FILE,
	  CNF_SSL_CERT_FILE, CNF_SSL_KEY_FILE, CNF_SSL_CA_CERT_FILE,
	  CNF_SSL_CIPHER_LIST, CNF_SSL_CHECK_HOST,
	  CNF_SSL_CHECK_CERTIFICATE_HOST, CNF_SSL_DIR and
	  DUMPTYPE_SSL_FINGERPRINT_FILE, DUMPTYPE_SSL_CERT_FILE,
	  DUMPTYPE_SSL_KEY_FILE, DUMPTYPE_SSL_CA_CERT_FILE,
	  DUMPTYPE_SSL_CIPHER_LIST, DUMPTYPE_SSL_CHECK_HOST,
	  DUMPTYPE_SSL_CHECK_CERTIFICATE_HOST, DUMPTYPE_SSL_CHECK_FINGERPRINT
	* common-src/glib-util.c: Load openssl.
	* common-src/security-util.c (generic_data_write, generic_data_read):
	  New functions.
	* common-src/security-util.h (generic_data_write, generic_data_read):
	  Add prototypes.
	* common-src/security.c: Load ssl_security_driver.
	* common-src/security.h (struct security_driver): Add data_write and
	data_read method.
	* common-src/bsd-security.c, common-src/bsdtcp-security.c,
	  common-src/bsdudp-security.c, common-src/krb5-security.c,
	  common-src/local-security.c, common-src/rsh-security.c,
	  common-src/ssh-security.c: Add generic_data_write and
	  generic_data_read
	* common-src/ssl-security.c: New ssl auth code
	* man/Makefile.am (COMMON_MAN_PAGES): Add amanda-auth-ssl.7 and
	  amssl.8
	* man/xml-source/amanda-auth-ssl.7.xml: New man page
	* man/xml-source/amanda-auth.7.xml: Link to amanda-auth-ssl
	* man/xml-source/amanda.8.xml: Link to amanda-auth-ssl
	* man/xml-source/amssl.8.xml: New man page
	* perl/Amanda/Config.swg: Add CNF_SSL_FINGERPRINT_FILE,
	  CNF_SSL_CERT_FILE, CNF_SSL_KEY_FILE, CNF_SSL_CA_CERT_FILE,
	  CNF_SSL_CIPHER_LIST, CNF_SSL_CHECK_HOST,
	  CNF_SSL_CHECK_CERTIFICATE_HOST, CNF_SSL_DIR
	* server-src/diskfile.h (struct disk_s): Add ssl setting
	* server-src/diskfile.c: Load ssl setting
	* server-src/driverio.c: Pass ssl setting.
	* server-src/dumper.c: Use ssl specific setting.
	* server-src/server_util.c (amhost_get_security_conf): Add
	  ssl setting.

2015-06-08  Jean-Louis Martineau <martineau@zmanda.com>
	* example/amanda.conf.in: Fix typo.
	* common-src/amgetconf.pl, man/xml-source/amanda-auth.7.xml,
	  man/xml-source/amgetconf.8.xml, perl/Amanda/Constants.pm.in.src:
	  Remove krb4 setting.
	* perl/Amanda/Amdump.pm, perl/Amanda/Amflush.pm,
	  perl/Amanda/CheckDump.pm, perl/Amanda/Chunker/Controller.pm,
	  perl/Amanda/Chunker/Protocol.pm, perl/Amanda/FetchDump.pm,
	  perl/Amanda/Label.pm, perl/Amanda/Message.pm,
	  perl/Amanda/Taper/Controller.pm: Remove useles @PERL@ and
	  @amperldir@;

2015-06-06  Jean-Louis Martineau <martineau@zmanda.com>
	* rest-server/bin/app-dancer2.pl.in,
	  rest-server/bin/app.pl.in: Use @PERL@

2015-06-02  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Vault.pm: Time::HiRes is not available everywhere.

2015-06-02  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Report/human.pm: Set total_time to the time of amvault
	  on an amvault run.
	* perl/Amanda/Report.pm: Parse amvault FINISH line.
	* perl/Amanda/Vault.pm: Log a FINISH line.

2015-06-02  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/ammessage.c: Improve hint on message 2800231.

2015-06-01  Jean-Louis Martineau <martineau@zmanda.com>
	* oldrecover-src/extract_list.c: More fix if SAMBA_CLIENT is not
	  defined.

2015-06-01  Jean-Louis Martineau <martineau@zmanda.com>
	* recover-src/extract_list.c: More fix if SAMBA_CLIENT is not defined.

2015-06-01  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Tests.swg: #include "glib-util.h"
	* client-src/selfcheck.c, common-src/ammessage.c,
	  recover-src/extract_list.c, server-src/driver.c: Fix bug found by
	  coverity.

2015-06-01  Jean-Louis Martineau <martineau@zmanda.com>
	* ndmp-src/ndmpconnobj.c: #include "glib-util.h",
	* ndmp-src/ndmpconnobj.c (ndmp_connection_mover_connect):  return a
	  gboolean.
	* perl/Amanda/Tests.swg: #include "glib-init.h"
	* perl/Amanda/Util.swg: #include "match.h"
	* perl/Amanda/Util.swg:  rename crc32 to crc32_add.

2015-06-01  Jean-Louis Martineau <martineau@zmanda.com>
	* config/compile, config/config.guess, config/config.sub,
	  config/depcomp, config/install-sh, config/missing,
	  config/test-driver, config/ylwrap: Newer version of files.

2015-05-29  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amcheck.c: Check auth on both local and client check.

2015-05-28  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/ammessage.c: Improve message 2800231.
	* server-src/amcheck.c: message 2800231 is an MSG_ERROR.

2015-05-27  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/ndmp-device.c: Fix previous patch.

2015-05-27  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/ndmp-device.c: Call ndmp_connection_mover_read with the
	  header size as the offset.

2015-05-22  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amcheck.c: Check all dles of a host have the same auth.
	* common-src/ammessage.c: Add message 2800231.

2015-05-22  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Taper/Worker.pm: Fix $failure_from.

2015-05-21  Jean-Louis Martineau <martineau@zmanda.com>
	* rest-server/bin/app.pl.in: confdir is in amlibexecdir.

2015-05-21  Jean-Louis Martineau <martineau@zmanda.com>
	* rest-server/Makefile.am: Install the rest-server in amlibexecdir.
	* server-src/amanda-rest-server.pl, installcheck/Installcheck/Rest.pm:
	  rest-server installed in amlibexecdir.

2015-05-20  Jean-Louis Martineau <martineau@zmanda.com>
	* rest-server/Makefile.am (EXTRA_DIST): Add the *.in files

2015-05-20  Jean-Louis Martineau <martineau@zmanda.com>
	* rest-server/Makefile.am: typo.

2015-05-20  Jean-Louis Martineau <martineau@zmanda.com>
	* rest-server/Makefile.am (EXTRA_DIST): Add rest server.

2015-05-20  Jean-Louis Martineau <martineau@zmanda.com>
	* rest-server/Makefile.am: Missing \

2015-05-20  Jean-Louis Martineau <martineau@zmanda.com>
	* rest-server/Makefile.in, rest-server/Makefile,
	  rest-server/lib/Amanda/Rest.pm, rest-server/bin/app-dancer2.pl,
	  rest-server/bin/app.pl: Remove files.

2015-05-20  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Makefile.am: Fix.

2015-05-20  Jean-Louis Martineau <martineau@zmanda.com>
	* rest-server/*: Moved the rest-server
	* Makefile.am (SUBDIRS): Add rest-server
	* configure.in (AC_CONFIG_FILES): add rest-server/Makefile
	* server-src/amanda-rest-server.pl: Add --dancer and --dancer2 option.

2015-05-19  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Script_App.pm (print_to_server_and_die): Always FAILURE

2015-05-15  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/conffile.h: Add CNF_REST_SSL_CERT and CNF_REST_SSL_KEY
	* common-src/conffile.c: Parse rest-ssl-cert and rest-ssl-key
	* perl/Amanda/Config.swg: Add CNF_REST_SSL_CERT and CNF_REST_SSL_KEY
	* server-src/amanda-rest-server.pl: Start the REST server with
	  '--enable-ssl --ssl-cert $ssl_cert --ssl-key $ssl_key' if
	  CNF_REST_SSL_CERT and CNF_REST_SSL_KEY are set.
	* man/xml-so: Document the rest-api-port, rest-ssl-cert and
	  rest-ssl-key setting form /etc/amanda/amanda.conf

2015-05-13  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/FetchDump.pm: Do not pass a changer
	* perl/Amanda/Recovery/Planner.pm (make_plan): Accept storage instead
	  of changer
	* perl/Amanda/Vault.pm: Use src_storage_name and dest_storage_name
	* server-src/amvault.pl: Add --src-storage and --dest-storage
	  arguments
	* man/xml-source/amvault.8.xml: Document --src-storage and
	  --dest-storage
	* installcheck/Amanda_Recovery_Planner.pl: Fix for new api

2015-05-13  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm: Parse 'requeue write' line, set storage
	  will_retry.
	* server-src/driver.c: Write 'requeue write' line.
	* server-src/driver.c: Fix vaulting.
	* server-src/driverio.c (startup_dump_tape_process,
	  startup_vault_tape_process): New function to replace
	   startup_tape_process.
	* server-src/driverio.h (startup_dump_tape_process,
	  startup_vault_tape_process): Add prototype.
	* installcheck/Amanda_Rest_Runs.pl: Add 'will_retry' in status result.
	* installcheck/Installcheck/Dumpcache.pm: Force level when doing
	  backup.

2015-05-12  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amgetconf.pl: Do not load the disklist if a config is not
	  set.
	* common-src/conffile.c: load the cwd amanda.conf only if it exist.

2015-05-11  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Amanda/config.yml: Remove Dancer2 setting.

2015-05-11  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Makefile.am: Typo

2015-05-11  Jean-Louis Martineau <martineau@zmanda.com>
	* config/automake/scripts.am: Fix checking SCRIPTS_PERL_NO_CHECK.
	* perl/Makefile.am (SCRIPTS_PERL_NO_CHECK): Add Amanda/Rest.pm

2015-05-11  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest.pm: Remove
	* perl/Amanda/Rest.pm.in: Server for Dancer2
	* perl/Amanda/Rest/Amanda/bin/app-dancer2.pl.in: Start script for
	  using Dancer2
	* perl/Amanda/Rest/Amanda/config.yml: Add config for Dancer2
	* perl/Makefile.am: Install new files
	* server-src/amanda-rest-server.pl: Use Dancer2 if available
	* installcheck/Installcheck/Rest.pm: Use Dancer2 if available

2015-05-11  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Message.pm (TO_JSON): New method.
	* perl/Amanda/Rest/Amanda/bin/app.pl.in: Expect a status in function
	  result.
	* perl/Amanda/Rest/Amcheck.pm, perl/Amanda/Rest/Changers.pm,
	  perl/Amanda/Rest/Configs.pm, perl/Amanda/Rest/Dles.pm,
	  perl/Amanda/Rest/Dumps.pm, perl/Amanda/Rest/Labels.pm,
	  perl/Amanda/Rest/Report.pm, perl/Amanda/Rest/Runs.pm,
	  perl/Amanda/Rest/Services.pm, perl/Amanda/Rest/Status.pm,
	  perl/Amanda/Rest/Storages.pm, perl/Amanda/Rest/Storages/Labels.pm,
	  perl/Amanda/Rest/Version.pm: Function return status and array of
	  Message.

2015-05-11  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Amanda/bin/app.pl.in: Parse request body for POST
	  and DELETE request.

2015-05-11  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm: Improve worker output.

2015-05-07  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/ampgsql.pl: check ARCHIVEDIR is not inside DATADIR.

2015-05-07  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amanda-rest-server.pl: Add a --development option
	* man/xml-source/amanda-rest-server.8.xml: Document --development

2015-05-07  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm: More fix.

2015-05-06  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Runs.pl: Add retry, retry_level and
	  will_retry.

2015-05-06  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm: VAULT-WRITE must reset the retry flag.

2015-05-06  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/driver.c: Add a 'requeue' line to the amdump log file.
	* perl/Amanda/Status.pm: Better handling of retry.

2015-05-06  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/amgtar.c, client-src/rundump.c,
	  client-src/runtar.c, client-src/selfcheck.c,
	  client-src/sendbackup.c, client-src/senddiscover.c,
	  xfer-src/filter-process.c: Always free the result of safe_env.

2015-05-06  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/amandates.c, client-src/sendsize.c,
	  common-src/ammessage.c: Fix bug found by coverity.
	* device-src/ndmp-device.c (ndmp_device_eject): Call open_connection.

2015-05-05  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/sendbackup.c: Cleanup.

2015-04-30  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Cleanup.pm: Log the notes
	* perl/Amanda/Report.pm: Parse amcleanup log line
	* perl/Amanda/Report/human.pm (PROGRAM_ORDER): Add amcleanup
	* perl/Amanda/Rest/Runs.pmi (kill): Accept notes argument
	* server-src/amcleanup.pl: Add --note argument
	* server-src/logfile.h (logtype_e): Add P_AMCLEANUP
	* server-src/logfile.c (logtype_str): Add "amcleanup"
	* perl/Amanda/Logfile.swg: Add P_AMCLEANUP
	* man/xml-source/amcleanup.8.xml: Document --note argument

2015-04-29  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/s3-device.c: Fix progress_func and set timeout to 0.

2015-04-29  Jean-Louis Martineau <martineau@zmanda.com>
	* NEWS: ADD NEARLINE storage.
	* man/xml-source/amanda-devices.7.xml: Document NEARLINE storage.

2015-04-29  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/s3-device.c (progress_function): Fail on timeout.
	* device-src/s3-device.h (_S3_by_thread): Add tiemout.
	* device-src/s3.c (RESULT_HANDLING_ALWAYS_RETRY): Add
	  CURLE_ABORTED_BY_CALLBACK.

2015-04-28  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/conffile.c: Fix wrong variable.

2015-04-28  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/ampgsql.pl (backup): Create an archive directory
	  with the same permission as the data directory.

2015-04-27  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm: Fix status.

2015-04-27  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Changer.pm: Add new messages.
	* perl/Amanda/Changer/multi.pm (update): Allow 'error' for the slot
	  range.
	* perl/Amanda/Changer/robot.pm (update): Allow 'error' for the slot
	  range.
	* installcheck/Amanda_Changer_robot.pl: Fix.
	* server-src/amtape.pl: Fix for new messages.
	* man/xml-source/amanda-changers.7.xml: Add error keyword.

2015-04-27  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Changer/robot.pm (set_error_to_unknown): New function
	  that allow the tapescan to reset all slots with given error.

2015-04-27  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Vault.pm: Create timer once.

2015-04-27  Jean-Louis Martineau <martineau@zmanda.com>
	* recover-src/extract_list.c: Abort a restore if application fail.

2015-04-23  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm: Improve parsing if a line is misquoted.

2015-04-22  Xu Han <xhan@zmanda.com>
	* server-src/amanda-rest-server.pl: exit code 1 when start fails

2015-04-22  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amflock.c: Cleanup
	* server-src/cmdfile.c: Retry lock on 1.

2015-04-22  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Installcheck/Config.pm: Set inparallel to 2.
	* installcheck/Amanda_Rest_Configs.pl: Fix for inparallel value.

2015-04-21  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/s3.c: Retry on 429 or 503 error.

2015-04-21  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Report.pm: Set $dumper->{status} to 'retry' on L_RETRY

2015-04-21  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Installcheck/Dumpcache.pm: Use --no-taper

2015-04-20  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Runs.pm: use File::Glob qw( :glob );

2015-04-15  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/driver.c: Do not send CLOSE_VOLUME request if the worker
	  have no volume.

2015-04-06  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/driverio.c, server-src/planner.c: Fix bug found by
	  coverity.

2015-04-03  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Dumps.pl: Do not hardcoded path
	* installcheck/amoverview.pl: Increase --diskwidth to 200

2015-04-03  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/driver.c: Fix compilation

2015-04-03  Jean-Louis Martineau <martineau@zmanda.com>
	driver can do vault.
	* common-src/conffile.c: s/CONF_AMVAULT_STORAGE/CONF_VAULT_STORAGE/,
	  add CONF_VAULT
	* common-src/conffile.h: Add vault_list_t and CONFTYPE_VAULT_LIST
	* device-src/xfer-dest-taper-cacher.c: Improve debugging statement
	* device-src/xfer-dest-taper-directtcp.c: Improve debugging statement
	* device-src/xfer-dest-taper-splitter.c: Improve debugging statement
	* device-src/xfer-source-recovery.c: Improve debugging statement
	* server-src/xfer-dest-holding.c: Improve debugging statement
	* man/xml-source/amanda.conf.5.xml: Document storage and vault-storage
	* perl/Amanda/Amflush.pm: s/storage_dest/dst_storage/
	* perl/Amanda/Changer/disk.pm: Check $self->{'dir'} is defined
	* perl/Amanda/Changer/robot.pm: Check $info->{'state'} is defined
	* perl/Amanda/Cmdfile.swg: Change some field names.
	* perl/Amanda/Config.swg: Add CONFTYPE_VAULT_LIST.
	* perl/Amanda/DB/Catalog.pm (_load_tapelist): Always load.
	* perl/Amanda/Recovery/Clerk.pm (close_volume): New method
	* perl/Amanda/Recovery/Scan.pmA: Fix message
	* perl/Amanda/Report.pm: Fix for vault.
	* perl/Amanda/Report/human.pm: Fix for vault.
	* perl/Amanda/Status.pm: Fix for vault.
	* perl/Amanda/Taper/Controller.pm: Add msg_VAULT_WRITE and
	  msg_CLOSE_SOURCE_VOLUME
	* perl/Amanda/Taper/Protocol.pm: Add VAULT_WRITE, CLOSED_VOLUME,
	  OPENED_SOURCE_VOLUME, CLOSE_SOURCE_VOLUME, CLOSED_SOURCE_VOLUME
	* perl/Amanda/Taper/Scan.pm: Remove unused code
	* perl/Amanda/Taper/Scribe.pm (close_volume): Fix
	* perl/Amanda/Taper/Scribe.pm (close_source_volume): New method.
	* perl/Amanda/Taper/Worker.pm: Add VAULT_WRITE, CLOSE_SOURCE_VOLUME,
	  recovery_clerk_notif_open_volume, recovery_clerk_notif_close_volume.
	* perl/Amanda/Taper/Worker.pm: Add vault operation.
	* perl/Amanda/Vault.pm: Fix for multiple vault_storage.
	* server-src/amcheck-device.pl: Fix.
	* server-src/amcheck.c: s/up/status/
	* server-src/amvault.pl: Fix message.
	* server-src/cmdfile.c: Change a few names
	* server-src/cmdfile.h: Change a few names, many fixes
	* server-src/diskfile.c: Set status.
	* server-src/diskfile.h: Remove up, add status.
	* server-src/driver.c: Data struct change, handle vault command.
	* server-src/driverio.c: Add new taper commands.
	* server-src/driverio.h: Change many struct.
	* server-src/planner.c: Change many struct.
	* server-src/server_util.c: Add "VAULT-WRITE", "CLOSED-VOLUME",
	  "OPENED-SOURCE-VOLUME", "CLOSE-SOURCE-VOLUME" and
	  "CLOSED-SOURCE-VOLUME"
	* server-src/server_util.h: Add VAULT_WRITE, CLOSED_VOLUME,
	  OPENED_SOURCE_VOLUME, CLOSE_SOURCE_VOLUME, CLOSED_SOURCE_VOLUME.
	* server-src/tapefile.c: Fix retention.
	* installcheck/Amanda_Rest_Amcheck.pl: Fix
	* installcheck/Amanda_Rest_Dumps.pl: Fix sort.
	* installcheck/Installcheck/Dumpcache.pm: Force a FULL.
	* installcheck/amoverview.pl: Fix.
	* installcheck/amvault.pl: Fix.
	* installcheck/pp-scripts.pl: Fix.

2015-03-26  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Runs.pl: Check the {head}->{exit_status}

2015-03-26  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/driver.c: Send QUIT to chunker after receiving
	  ABORT-FINISHED.

2015-03-25  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Report.pm (get_exit_status): New method
	* perl/Amanda/Report/json.pm: Add {head}->{exit_status}

2015-03-25  Jean-Louis Martineau <martineau@zmanda.com>
	* config/amanda/tape.m4: Add include for bsd.
	* device-src/device.c: Improve message

2015-03-24  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Report/json.pm: Add a timestamp in the head section.
	* installcheck/Amanda_Rest_Runs.pl: Add timestamp.

2015-03-24  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm: Report all size as bytes.
	* installcheck/Amanda_Rest_Runs.pl,
	* server-src/amstatus.pl,
	  installcheck/Amanda_Rest_Runs.pl: Fix for bytes size.

2015-03-24  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Runs.pl, perl/Amanda/Status.pm,
	  server-src/amstatus.pl, server-src/driver.c:
	  s/free_kps/network_free_kps/
	  s/free_space/holding_free_space/

2015-03-23  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Makefile.am: Do not run the gnutar installcheck

2015-03-20  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm: Improve documentation.

2015-03-19  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/s3-device.c: Fix double g_mutex_unlock.

2015-03-17  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amindexd.c: Fix LISTHOST command.

2015-03-06  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/tapefile.c (compute_storage_retention): Fix retentionfor
	  retention_days.
	* installcheck/Amanda_Tapelist.pl: Add many installcheck for
	  list_retention, list_no_retention, list_new_tapes and
	  volume_is_reusable

2015-03-06  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amstatus.pl: One line by worker.

2015-03-06  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/tapefile.c (list_retention, list_no_retention): Do not
	  list datestamp==0 or not in a listed storage.

2015-03-05  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/conffile.c, perl/Amanda/Policy.pm,
	  perl/Amanda/Taper/Scan.pm,
	  server-src/tapefile.c: retention_tapes default to tapecycle-1.
	* man/xml-source/amanda.conf.5.xml: Document it.
	* installcheck/Amanda_Taper_Scan.pl,
	  installcheck/Amanda_Taper_Scan_lexical.pl,
	  installcheck/Amanda_Taper_Scan_oldest.pl,
	  installcheck/Amanda_Taper_Scan_traditional.pl: Fix.

2015-03-05  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/tapefile.c (list_retention, list_no_retention): Fix.

2015-03-05  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Config.pl: Fix: Remove append keyword.

2015-03-04  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/conffile.c: Fix parsing dump-selection (remove append).
	* man/xml-source/amanda.conf.5.xml: Document change.

2015-02-26  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/conffile.c (config_print_errors_as_message): Fix message.

2015-02-18  Jean-Louis Martineau <martineau@zmanda.com>
	* man/xml-source/amadmin.8.xml: Document tape --days.
	* server-src/amadmin.c: Fix --days intape command.

2015-02-17  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/bsdtcp-security.c, common-src/krb5-security.c,
	* common-src/local-security.c, common-src/rsh-security.c,
	* common-src/ssh-security.c: Fix bug found by coverity.

2015-02-17  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amadmin.c: Fix crash in tape command.

2015-02-15  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Xfer.swg: Fix for swig-3.0.5

2015-02-13  Jean-Louis Martineau <martineau@zmanda.com>
	* packaging/common/post_inst_functions.sh: Use 'command -v' instead of
	  which.

2015-02-13  Jean-Louis Martineau <martineau@zmanda.com>
	* packaging/common/post_inst_functions.sh: fix for gpg2 and gpg-agent

2015-02-12  Jean-Louis Martineau <martineau@zmanda.com>
	* packaging/common/common_functions.sh: Use systemctl to restart
	  xinetd.

2015-02-12  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm: Fix previous patch.

2015-02-11  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm: Fix race.

2015-02-11  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Amdump.pm: Remove amdump file older than 30 days if
	  there is no corresponding log file.
	* server-src/amtrmlog.c: Remove amdump file when removing log file.

2015-02-10  Jean-Louis Martineau <martineau@zmanda.com>
	* Makefile.am: Fix for Solaris find.

2015-02-04  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/ssh-security.c (ssh_connect): Use the name from the
	  disklist, no need to find the canonical name.

2015-02-03  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/s3-util.c: Fix memory allocation issue.

2015-02-03  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/amstar.c: Support include in backup mode.

2015-01-30  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Changer/robot.pm: Fix state file update.

2015-01-29  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/s3-device.c: Parse new AWS4 STORAGE-API.
	* device-src/s3-util.c (s3_compute_sha256_hash_ba,
	  s3_compute_sha256_hash, EncodeHMACSHA256, s3_tohex): New function.
	* device-src/s3-util.h (s3_compute_sha256_hash_ba,
	  s3_compute_sha256_hash, EncodeHMACSHA256, s3_tohex): New prototypes.
	* device-src/s3.c: Compute signature for AWS4.
	* device-src/s3.h (S3_api): Add S3_API_UNKNOWN and S3_API_AWS4.
	* man/xml-source/amanda-devices.7.xml (STORAGE_API): Document AWS4.
	* server-src/amtape.pl: Fix perl warning.

2015-01-29  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/dumper.c: Fix retry handling.

2015-01-28  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/selfcheck.c: (print_platform): Do not execute
	  /usr/bin/sw_vers if it doesn't exists.
	* common-src/amutil.c: Fix debugging statement.

2015-01-27  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Runs.pl, installcheck/amreport.pl,
	  perl/Amanda/Amdump.pm, perl/Amanda/Amflush.pm,
	  perl/Amanda/CheckDump.pm, perl/Amanda/DB/Catalog.pm,
	  perl/Amanda/FetchDump.pm, perl/Amanda/Logfile.swg,
	  perl/Amanda/Process.pm, perl/Amanda/Rest/Report.pm,
	  perl/Amanda/Rest/Runs.pm, perl/Amanda/Status.pm,
	  perl/Amanda/Vault.pm, server-src/amstatus.pl,
	  server-src/driver.c: CNF_LOGIDR can be relative.

2015-01-27  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/selfcheck.c (print_platform): Detect BSD variant.

2015-01-27  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/planner.c: Remove useless line.

2015-01-26  Jean-Louis Martineau <martineau@zmanda.com>
	* config/compile, config/config.guess,
	  config/config.sub, config/missing,
	  config/test-driver: Upgrade to automake 1.14.1

2015-01-26  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Cmdline.swg, perl/Amanda/Device.swg,
	  perl/Amanda/MainLoop.swg, perl/Amanda/NDMP.swg,
	  perl/Amanda/Util.swg: Fix linking issue.

2015-01-16  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm: Fix perl warning.

2015-01-14  Jean-Louis Martineau <martineau@zmanda.com>
	* config/amanda/components.m4: Remove AMANDA_JSON_SERVER and
	  WANT_JSON_SERVER.
	* config/amanda/json.m4: Remove file
	* perl/Amanda/JSON/*: Remove directory.
	* perl/Amanda/JSON.pm: Remove module.
	* perl/Makefile.am: Remove Amanda/JSON.pm and Amanda/JSON/*
	* server-src/Makefile.am: Remove amanda.psgi
	* server-src/amanda.psgi.pl: Remove file.

2015-01-13  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Vault.pm: Remove bogus print statement.

2015-01-13  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amvault.pl: Add --src-labelstr argument.
	* perl/Amanda/DB/Catalog.pm: Match the labelstr.
	* perl/Amanda/Recovery/Planner.pm: Match the labelstr.
	* perl/Amanda/Util.swg (match_labelstr_expr): New method.
	* perl/Amanda/Vault.pm: Match the labelstr.
	* NEWS: Add new amvault --src-labelstr argument.

2015-01-07  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amfeatures.h: Add fe_sendbackup_rep_retry.
	* common-src/amfeatures.c: Add fe_sendbackup_rep_retry.
	* server-src/dumper.c: Accept a RETRY in the REP packet.

2015-01-06  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Changer/ndmp.pm: Remove bogus confess.

2015-01-06  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/debug.c: Add the pid of the process on each line.
	* perl/Amanda/Changer/disk.pm: Print the pid of the process using the
	  drive.
	* perl/Amanda/Report/human.pm: Fix perl warning.

2015-01-05  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/conffile.c: bumpdays can be 0.

2015-01-03  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm: Fix bad status error.

2015-01-02  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Amanda/bin/app.pl.in: Die if loading an extensions
	  fail.

2014-12-22  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/cmdfile.c (cmdfile_holding_file): Check it is a CMD_FLUSH

2014-12-19  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Report/human.pm: Report all FAIL.
	* perl/Amanda/Report/postscript.pm: Fix perl warning.
	* installcheck/amreport.pl: Change message.

2014-12-18  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/dumper.c: Fix RETRY line.

2014-12-18  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Report.pm: Set dumper filed on RETRY.
	* perl/Amanda/Report/human.pm: Print RETRY line.

2014-12-18  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm: Fix perl warning.

2014-12-17  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Curinfo/Info.pm (read_infofile_perfs): Report correct
	  error if $skip_blanks fail.

2014-12-17  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Curinfo/Info.pm (read_infofile): Handle empty file.

2014-12-17  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/DB/Catalog.pm: set $dumps{$dumpkey} on partnum==1.

2014-12-16  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Vault.pm: Get interactivity.
	* server-src/amvault.pl: Add --no-interactivity
	* man/xml-source/amvault.8.xml: Document --no-interactivity argument.

2014-12-16  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Runs.pm (list): Do not fail on empty file.

2014-12-15  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm: Set $sle->{'status'} on taper eof.
	* server-src/driverio.h (taper_t): Add down field.
	* server-src/driverio.c (startup_tape_process): Set down to false.
	* server-src/driver.c (start_some_dumps): Do not use a taper if it is
	  down.
	* server-src/driver.c (handle_taper_result): Set it to down on BOGUS.

2014-12-15  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/amgtar.c (support): Output
	  "MESSAGE-SELFCHECK-JSON YES".
	* client-src/client_util.c (run_client_scripts): Output script output
	  in meesage form.
	* client-src/client_util.h (run_client_scripts): Change proptotype.
	* client-src/selfcheck.c: Add  fprint_message argument to
	  run_client_scripts.
	* common-src/amfeatures.c: Add fe_sendsize_message,
	  fe_sendbackup_message.
	* common-src/amfeatures.h: Add fe_sendsize_message,
	  fe_sendbackup_message.
	* common-src/ammessage.c: Add error code 4600000 and 4600001.
	* perl/Amanda/Message.pm: Add many code range.
	* client-src/sendbackup.c: Add NULL argument to run_client_scripts.
	* client-src/sendsize.c: Add NULL argument to run_client_scripts.
	* recover-src/extract_list.c: Add NULL argument to run_client_scripts.

2014-12-12  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/dumper.c: Print 'data in sum CRC' to debug file.

2014-12-12  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/ammessage.c: Fix memory allocation.

2014-12-11  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Vault.pm: Continue to next dump if src device fail.

2014-12-11  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/ammessage.c: Fix.
	* perl/Amanda/Logfile.swg: Include "amindex.h"

2014-12-11  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/amgtar.c: Fix message memory leak.
	* client-src/client_util.c: Fix message memory leak.
	* common-src/ammessage.c: Fix memory leak, fix for older glib2.

2014-12-11  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Dles.pm: allow set and unset command at the same
	  time.

2014-12-10  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/security-util.c: Change debuging level.

2014-12-10  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/ammessage.c: Fix for older glib2.

2014-12-10  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/senddiscover.c: fix json formating.
	* common-src/ammessage.c: Parse hash and array in message.

2014-12-09  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Process.pm (which_process_running): New method to return
	  the list of pid of the running amanda processes.
	* perl/Amanda/Cleanup.pm (message 3400002): Include the list of pid
	  running.

2014-12-09  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm: Fix status.

2014-12-08  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/senddiscover.c: Parse application stdout
	* common-src/ammessage.c: handle null in json message.

2014-12-04  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Changer/robot.pm: Use tapelist label only if the slot is
	  in SLOT_UNKNOWN state.

2014-12-04  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Taper/Scribe.pm: Keep an $self->{'oldsize'}.
	* perl/Amanda/Taper/Scribe.pm (get_bytes_written): Return
	  $self->{'oldsize'} if the xfer is done.
	* perl/Amanda/Taper/Worker.pm: Truncate the status file after writting
	  to it.

2014-12-02  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amcheck-device.pl: s/writablility/writability/.

2014-11-28  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amflock.c: Set errno.
	* perl/Amanda/Changer.pm: Print error on lock error.

2014-11-27  Jean-Louis Martineau <martineau@zmanda.com>
	* amandad-src/amandad.c: Check with getuid since we are not root
	  there.
	* common-src/krb5-security.c: Drop root privileges, fix typos.

2014-11-26  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm: fix status.

2014-11-24  Jean-Louis Martineau <martineau@zmanda.com>
	* Makefile.am: 'cp -av' => 'cp -fpR'  ,-av are not valid on solaris.

2014-11-24  Jean-Louis Martineau <martineau@zmanda.com>
	* amar-src/amar.c (amar_attr_add_data_fd_thread): Close the file
	  descriptor when there is nothing more to read from.
	* client-src/sendbackup.c (check_result): Fix a race bug. sendbackup
	  do not always report the exit status of the application.
	  Once amvmware close its socket, an immediate call to waitpid(-1,)
	  might not trap it exited.
	  The patch check all pid we forked until they exit (max 5 seconds),
	   after that they are killed.

2014-11-21  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Amanda/bin/app.pl.in: Convert request from utf-8 to
	  user locale.

2014-11-21  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Message.pm: Convert reply from user locale  to  utf-8.

2014-11-19  Jean-Louis Martineau <martineau@zmanda.com>
	* config/amanda/flags.m4: subst AMANDA_FILE_CFLAGS do that in generate
	  the basename of the file.
	* amandad-src/Makefile.am, amar-src/Makefile.am,
	  application-src/Makefile.am, client-src/Makefile.am,
	  common-src/Makefile.am, device-src/Makefile.am,
	  ndmp-src/Makefile.am, oldrecover-src/Makefile.am,
	  perl/Makefile.am, recover-src/Makefile.am,
	  server-src/Makefile.am, xfer-src/Makefile.am (AM_CFLAGS):
	  Add $(AMANDA_FILE_CFLAGS)
	* application-src/amgtar.c, client-src/client_util.c,
	  client-src/selfcheck.c, client-src/senddiscover.c,
	  common-src/conffile.c, server-src/amcheck.c: Use AMANDA_FILE in
	  build_message

2014-11-19  Jean-Louis Martineau <martineau@zmanda.com>
	* config/test-driver: New file for automake-1.14
	* config/missing, config/ylwrap, config/install-sh,
	  config/mkinstalldirs, config/depcomp, config/compile,
	  config/config.guess, config/config.sub: Update to automake-1.14

2014-11-19  Jean-Louis Martineau <martineau@zmanda.com>
	* Makefile.am: Add '-I /usr/share/aclocal' to ACLOCAL_AMFLAGS

2014-11-18  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Message.pm: Fix code number attribution.

2014-11-18  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amservice.c: Set remote_errors on "ERROR" from the
	  client. To get an exit code with error.

2014-11-18  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Services.pm: Add a waitpid of the amservice
	  process.
	* perl/Amanda/Service.pm: Add messages code.

2014-11-14  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Process.pm: '<defunct>' process are dead, process can be
	  "starman".
	* perl/Amanda/Rest/Runs.pm: Call process_alive with the $pname.

2014-11-13  Jean-Louis Martineau <martineau@zmanda.com>
	* amar-src/amar.c (amar_attr_add_data_fd): write eoa on size==0.

2014-11-12  Jean-Louis Martineau <martineau@zmanda.com>
	* autogen: Add "-I /usr/share/aclocal" to includes

2014-11-12  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Amdump.pm (run): set $self->{'pid'}
	* perl/Amanda/Amflush.pm (run): set $self->{'pid'}
	* perl/Amanda/CheckDump.pm (run): set $self->{'pid'}
	* perl/Amanda/Rest/Runs.pm: Log "fork" line.
	* perl/Amanda/Vault.pm: Small fix.
	* server-src/amflush.pl: Log "fork" line.
	* server-src/amvault.pl: s/config_name/config/g

2014-11-12  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm: Fix perl warning.

2014-11-08  Jean-Louis Martineau <martineau@zmanda.com>
	* xfer-src/filter-process.c (get_err_fd): Remove prototype.
	* xfer-src/xfer-element.h (get_err_fd): Add prototype.
	* perl/Amanda/Cmdline.swg: #include "match.h"

2014-11-08  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Changer/robot.pm: Fix BROKEN-DRIVE-LOADED-SLOT.

2014-11-08  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Script_App.pm (print_to_server): Print enssage to debug
	  file.
	* server-src/amfetchdump.pl: Add severity to messages.

2014-11-07  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Changer/robot.pm: Fix BROKEN-DRIVE-LOADED-SLOT.
	* installcheck/Amanda_Changer_robot.pl: Fix test.

2014-11-07  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Changer/robot.pm: Add a BROKEN-DRIVE-LOADED-SLOT
	  property.
	* man/xml-source/amanda-changers.7.xml: Document it.

2014-11-06  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/amrmtape.pl: Fix diskpath.

2014-11-06  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/conffile.c: Generate an error if fopen of config fail.

2014-11-06  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amtrmidx.c: Do not delete index file newer than 7 days.
	* installcheck/amrmtape.pl: Fix check.

2014-11-05  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Script_App.pm (do) : Set action with special command.

2014-11-04  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/logfile.c: Do no create the log symlink for a
	  checkdump or fetchdump run.

2014-11-04  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Report.pm: Parse checkdump and fetchdump line. new
	  return an Amanda::Message on error.
	* perl/Amanda/Rest/Report.pm: Handle Amanda::Report->new returning an
	  Amanda::Message.
	* server-src/amreport.pl: Handle Amanda::Report->new returning an
	  Amanda::Message.
	* server-src/logfile.c: Parse checkdump and fetchdump line.

2014-11-03  Jean-Louis Martineau <martineau@zmanda.com>
	* amar-src/amar.c: Fix hang on eof.
	* common-src/ammessage (ammessage_encode_json): Improve encoding.
	* perl/Amanda/Cleanup.pm: Remove trailing '\n'.
	* perl/Amanda/Rest/Runs.pm: Fix Message module
	* perl/Amanda/Status.pm: Fix.
	* server-src/amstatus.pl: Set $pwd before changing the cwd.

2014-10-31  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Cleanup.pm: Add message 34000010.
	* perl/Amanda/Process.pm: Return Message if can't open the trace_log.
	* perl/Amanda/Rest/Runs.pm: Accept multiple trace_log.

2014-10-31  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Changers.pm, perl/Amanda/Rest/Configs.pm,
	  perl/Amanda/Rest/Storages.pm: Do not accept comma in fields.
	* perl/Amanda/Rest/Storages/Labels.pm: Do not accept comma in labels.
	* installcheck/Amanda_Rest_Changers.pl,
	  installcheck/Amanda_Rest_Configs.pl,
	  installcheck/Amanda_Rest_Storages.pl: Do not use comma.

2014-10-31  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm (new): Return error if it can't open the
	  amdump_log file.
	* perl/Amanda/Rest/Status.pm, server-src/amstatus.pl: Handle error.

2014-10-31  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm: Fix perl warnings.

2014-10-31  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Changers.pm, perl/Amanda/Rest/Configs.pm,
	  perl/Amanda/Rest/Storages.pm: Parse multiple fields.

2014-10-31  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/amgtar.c: Always set argument.host

2014-10-30  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/ammessage.c: Improve JSON escaping code.

2014-10-29  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/ambsdtar.c: Handle 'x ' lines on stderr for bsdtar
	  restore.

2014-10-28  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Message.pm: Add Amanda::Extensions::Message

2014-10-28  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/FetchDump.pm: log pid-done line.
	* perl/Amanda/Rest/Runs.pm: Handle fork from rest server.
	* server-src/logfile.c: log pid line with pname.

2014-10-28  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Curinfo/Info.pm: Fix perl warning.

2014-10-28  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm: Fix perl warning.

2014-10-27  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Curinfo.pm (get_dle_info): New method.
	* perl/Amanda/Rest/Amanda/bin/app.pl.in: Add
	  get '/amanda/v1.0/configs/:CONF/dles/hosts/:HOST'
	* perl/Amanda/Rest/Dles.pm (info): New method.

2014-10-21  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amanda-rest-server.pl: Typo.
	* perl/Amanda/Status.pm: Fix.

2014-10-21  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm: Set nb_tape to 0.
	* server-src/amanda-rest-server.pl: print "Stoped the Amanda Rest
	  Server".

2014-10-17  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/FetchDump.pm: $self->{'message_file'}->autoflush,
	  Return $params{'finished_cb'}->(1);
	* perl/Amanda/Rest/Runs.pm: Add '=' to dumpspec argument.

2014-10-17  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm, server-src/amstatus.pl: Fix perl warning.

2014-10-17  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Runs.pm, perl/Amanda/CheckDump.pm,
	  perl/Amanda/Device.swg, perl/Amanda/Cleanup.pm,
	  perl/Amanda/Changer/diskflat.pm, perl/Amanda/Changer.pm,
	  perl/Amanda/Vault.pm, perl/Amanda/Index.pm,
	  perl/Amanda/Disklist.swg: Add severity to messages.

2014-10-16  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm: Set write_size, and $dle->{'dsize'}.

2014-10-16  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amcleanup.pl: Some fixes.

2014-10-16  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/selfcheck.c: Fix compilation if SAMBA_CLIENT is not
	  defined.
	* common-src/ammessage.c: Add Message 3600087.

2014-10-15  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/CheckDump.pm: Set severity on Message.

2014-10-15  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amcheck.c: Use g_strdup.

2014-10-15  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/amgtar.c: Output message for selfcheck
	* client-src/client_util.c (backup_support_option): Parse
	  "MESSAGE-JSON".
	* client-src/client_util.h (backup_support_option_s): Add message_json.
	* client-src/selfcheck.c: Parse message from application.
	* common-src/ammessage.c: Add amgtar message.
	* perl/Amanda/Extract.pm (BSU): parse message-json
	* perl/Amanda/Message.pm: Add amgtar message (3700000).
	* server-src/amcheck.c: Remove unused code, small cleanup.
	* installcheck/Installcheck/Application.pm (selfcheck_message):
	  execute application selfcheck with '--message json'.
	* installcheck/amgtar.pl: Call selfcheck_message.

2014-10-15  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/ammessage.h: #ifndef AMMESSAGE_H

2014-10-15  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/ammessage.c: Do not use g_ptr_array_new_full.
	* server-src/amcheck.c: g_ptr_array_free(message_array, TRUE);

2014-10-14  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/s3.c (rfc3339_date): Use full_write and fill_read.

2014-10-14  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amfeatures.c: Add fe_selfcheck_message.
	* common-src/amfeatures.h: Add fe_selfcheck_message.
	* client-src/client_util.c (check_access_message, check_file_message,
	  check_dir_message, check_suid_message): New function that return a
	  message_t.
	* client-src/client_util.h: Add prototype.
	* client-src/selfcheck.c: Return message to server.
	* common-src/ammessage.c: Many improvement.
	* common-src/ammessage.c (delete_message_gpointer,
	  get_quoted_message, message_get_code, message_get_severity,
	  message_get_argument, message_add_argument, parse_json_message):
	  New function.
	* common-src/ammessage.h: Add prototype.
	* common-src/amservice.c: Take a --features argument.
	* perl/Amanda/Message.pm: selfcheck message are 3600000
	* server-src/amcheck.c: Parse message from selfcheck.
	* installcheck/Amanda_Rest_Amcheck.pl: Fix message.
	* installcheck/amservice.pl: Test --features argument.

2014-10-11  Jean-Louis Martineau <martineau@zmanda.com>
	* config/amanda/device.m4: AC_SUBST(AMANDA_DEVICES)
	* perl/Amanda/Constants.pm.in.src: Add AMANDA_DEVICES.
	* installcheck/Amanda_Device.pl: Do not check dvdrw device if it is
	  not compiled in.

2014-10-10  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Installcheck/Rest.pm: Check if Dancer is installed.

2014-10-10  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Amcheck.pm, perl/Amanda/Rest/Report.pm,
	  perl/Amanda/Rest/Runs.pm, perl/Amanda/Rest/Services.pm,
	  perl/Amanda/Rest/Status.pm, perl/Amanda/Rest/Version.pm:
	* installcheck/Amanda_Rest_Amcheck.pl: Call set_pname.
	  installcheck/Amanda_Rest_Runs.pl: Fix process.

2014-10-10  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Config.swg: Fix message.

2014-10-10  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/ampgsql.pl: Tag 'File removed before we read it' as
	  GOOD.

2014-10-09  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/ammessage.c: Fix some messages.
	* perl/Amanda/CheckDump.pm: Use errnostr. Decode use base64 xml encoding
	* perl/Amanda/FetchDump.pm: Use errnostr. Decode use base64 xml encoding
	* perl/Amanda/Label.pm: Use errnostr.
	* perl/Amanda/Message.pm: Set errnostr.
	* perl/Amanda/Rest/Runs.pm: Fix open.
	* server-src/amreindex.pl: Decode use base64 xml encoding.
	* installcheck/Amanda_Rest_Configs.pl: Add errnostr.

2014-10-06  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/FetchDump.pm: Set severity on many message.
	* perl/Amanda/Rest/Runs.pm: Fix setting message_filename.

2014-10-06  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Report/human.pm: Fix perl format.

2014-10-03  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Makefile.am: Amanda_Rest_Amcheck must be run only if
	  client and sewrver are installed.

2014-10-03  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/bsdtcp-security.c: Free res.
	* common-src/bsdudp-security.c: Free res.
	* server-src/tapefile.c: Remove unused allocation.

2014-10-03  Jean-Louis Martineau <martineau@zmanda.com>
	* amar-src/amar.c: Fix loop.
	* common-src/bsdtcp-security.c: Free res.
	* common-src/bsdudp-security.c: Free res.
	* recover-src/extract_list.c: Remove duplicate code.
	* server-src/amindexd.c: Remove unused allocation.
	* server-src/dumper.c: Remove always TRUE check.
	* server-src/tapefile.c: Remove unused allocation.

2014-10-03  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Cleanup.pm: Add it.

2014-10-03  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Cleanup.pm: new perl module for amcleanup
	  functionnality.
	* perl/Makefile.am: Add Amanda/Cleanup.pm.
	* server-src/amcleanup.pl: Use Amanda::Cleanup
	* perl/Amanda/Holding.pm (_walk): Do not list 'pid' file.
	* perl/Amanda/Message.pm: Add Amanda::Cleanup::Message and
	  Amanda::Process::Message.
	* perl/Amanda/Process.pm: Send Amanda::Message.
	* perl/Amanda/Rest/Amanda/bin/app.pl.in: Add
	  DELETE /amanda/v1.0/config/:CONF/runs
	* perl/Amanda/Rest/Runs.pm: Add kill functionnality.

2014-10-02  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amcheck.c: Fix type casting.

2014-10-02  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Amcheck.pm: Fix unshift.
	* perl/Amanda/Rest/Configs.pm: Fix severity.

2014-10-02  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/sendbackup.c: Fix small bug found by coverity.
	* common-src/ammessage.c: typo.
	* server-src/amcheck.c: typo, remove unused variable.

2014-10-02  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/ammessage.c : Print severity as name.
	* perl/Amanda/Message.pm: severity constant are name.
	* installcheck/Amanda_Rest_Amcheck.pl,
	   installcheck/Amanda_Rest_Changers.pl,
	   installcheck/Amanda_Rest_Configs.pl,
	   installcheck/Amanda_Rest_Dles.pl,
	   installcheck/Amanda_Rest_Dumps.pl,
	   installcheck/Amanda_Rest_Labels.pl,
	   installcheck/Amanda_Rest_Runs.pl,
	   installcheck/Amanda_Rest_Storages.pl,
	   installcheck/Amanda_Rest_Storages_Labels.pl,
	   installcheck/Amanda_Rest_Version.pl: Use symbol for the severity.

2014-10-02  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/ammessage.h: Change severity values.
	* perl/Amanda/Message.pm: Change severity values.
	* perl/Amanda/Changer.pm, perl/Amanda/Changer/disk.pm,
	* perl/Amanda/Changer/diskflat.pm, perl/Amanda/Changer/multi.pm,
	  perl/Amanda/Changer/robot.pm, perl/Amanda/Curinfo.pm,
	  perl/Amanda/Curinfo/Info.pm, perl/Amanda/Label.pm,
	  perl/Amanda/Recovery/Scan.pm, perl/Amanda/Rest/Amcheck.pm,
	  perl/Amanda/Rest/Changers.pm, perl/Amanda/Rest/Configs.pm,
	  perl/Amanda/Rest/Dles.pm, perl/Amanda/Rest/Dumps.pm,
	  perl/Amanda/Rest/Labels.pm, perl/Amanda/Rest/Report.pm,
	  perl/Amanda/Rest/Runs.pm, perl/Amanda/Rest/Services.pm,
	  perl/Amanda/Rest/Storages.pm, perl/Amanda/Rest/Storages/Labels.pm,
	  perl/Amanda/Rest/Version.pm, perl/Amanda/Status.pm,
	  perl/Amanda/Storage.pm, perl/Amanda/Tapelist.swg,
	  perl/Amanda/Vault.pm, server-src/amcheck.c: Set severity.
	* installcheck/Amanda_Rest_Amcheck.pl,
	  installcheck/Amanda_Rest_Changers.pl,
	  installcheck/Amanda_Rest_Configs.pl,
	  installcheck/Amanda_Rest_Dles.pl,
	  installcheck/Amanda_Rest_Dumps.pl,
	  installcheck/Amanda_Rest_Labels.pl,
	  installcheck/Amanda_Rest_Runs.pl,
	  installcheck/Amanda_Rest_Storages.pl,
	  installcheck/Amanda_Rest_Storages_Labels.pl,
	  installcheck/Amanda_Rest_Version.pl: Change for new severity values.

2014-10-02  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/ammessage.c: Change API. Add all messages for amcheck.
	* common-src/ammessage.h: Change prototype.
	* server-src/amcheck.c, client-src/senddiscover.c: Use new API.
	* perl/Amanda/Message.pm: Add message code 2850000.
	* perl/Amanda/Rest/Amcheck.pm: Add a message with exit_status of
	  amcheck
	* installcheck/Amanda_Rest_Amcheck.pl: Fix for new message.

2014-10-02  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Runs.pm (/amanda/v1.0/configs/:CONF/runs/messages):
	  change from post to get method.

2014-10-02  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Amanda/bin/app.pl.in
	  (/amanda/v1.0/configs/:CONF/runs/messages): change from post to get
	  method.

2014-10-01  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm: Fix perl warning.
	* server-src/amstatus.pl: Fix perl warning.

2014-10-01  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Labels.pm, perl/Amanda/Rest/Storages/Labels.pm
	  (list): add filter on datestamp.

2014-09-30  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/file.c (debug_agets): Fix parsing of comment.

2014-09-30  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Taper/Scan/lexical.pm,
	  perl/Amanda/Taper/Scan/oldest.pm (last_use_label): Fix for empty
	  tapelist.

2014-09-29  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Dles.pl: Fix for new message format.

2014-09-29  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/ammessage.c: Set component and module.
	* common-src/amutil.c (set_pcomponent, get_pcomponent, set_pmodule,
	  get_pmodule, push_component_module, pop_component_module):
	  New functions.
	* common-src/amutil.h: Add prototype.
	* perl/Amanda/Changer.pm: Call push_component_module and
	  pop_component_module.
	* perl/Amanda/Message.pm: Set component and module.
	* server-src/amcheck.c: Set component and module.
	* application-src/ambsdtar.c, application-src/amgtar.c
	  application-src/amstar.c: Call set_pcomponent and set_pmodule,
	* perl/Amanda/Util.swg (setup_application): Call set_pcomponent and
	  set_pmodule.
	* client-src/amdump_client.pl, common-src/amgetconf.pl,
	  device-src/amdevcheck.pl, device-src/amtapetype.pl,
	  perl/Amanda/Rest/Amanda/bin/app.pl.in, perl/Amanda/Script_App.pm,
	  server-src/amadmin_perl.pl, server-src/amanda-rest-server.pl,
	  server-src/amanda.psgi.pl, server-src/amcheck-device.pl,
	  server-src/amcheckdump.pl, server-src/amcleanup.pl,
	  server-src/amcleanupdisk.pl, server-src/amdump.pl,
	  server-src/amdumpd.pl, server-src/amfetchdump.pl,
	  server-src/amflush.pl, server-src/amidxtaped.pl,
	  server-src/amlabel.pl, server-src/amlogroll.pl,
	  server-src/amreindex.pl, server-src/amreport.pl,
	  server-src/amrestore.pl, server-src/amrmtape.pl,
	  server-src/amserverconfig.pl, server-src/amstatus.pl,
	  server-src/amtape.pl, server-src/amvault.pl,
	  server-src/chunker.pl,
	  server-src/taper.pl: Call setup_application with component and module.
	* installcheck/Amanda_Rest_Amcheck.pl,
	  installcheck/Amanda_Rest_Changers.pl,
	  installcheck/Amanda_Rest_Configs.pl,
	  installcheck/Amanda_Rest_Dumps.pl,
	  installcheck/Amanda_Rest_Labels.pl,
	  installcheck/Amanda_Rest_Runs.pl,
	  installcheck/Amanda_Rest_Storages.pl,
	  installcheck/Amanda_Rest_Storages_Labels.pl,
	  installcheck/Amanda_Rest_Version.pl: Fix for new message format.


2014-09-25  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/conffile.c (get_running_on): new function.
	* common-src/conffile.h (get_running_on): add prototype.
	* perl/Amanda/Config.swg (get_running_on): swig it.
	* common-src/ammessage.c, perl/Amanda/Changer.pm,
	  perl/Amanda/Message.pm,
	  server-src/amcheck.c: Add process and running_on in message.
	* perl/Amanda/Rest/Changers.pm, perl/Amanda/Rest/Configs.pm,
	  perl/Amanda/Rest/Dles.pm, perl/Amanda/Rest/Dumps.pm,
	  perl/Amanda/Rest/Labels.pm, perl/Amanda/Rest/Runs.pm,
	  perl/Amanda/Rest/Storages.pm, perl/Amanda/Rest/Storages/Labels.pm,
	  perl/Amanda/Rest/Version.pm: call Amanda::Util::set_pname.
	* installcheck/Amanda_Rest_Amcheck.pl,
	  installcheck/Amanda_Rest_Changers.pl,
	  installcheck/Amanda_Rest_Configs.pl,
	  installcheck/Amanda_Rest_Dles.pl,
	  installcheck/Amanda_Rest_Dumps.pl,
	  installcheck/Amanda_Rest_Labels.pl,
	  installcheck/Amanda_Rest_Runs.pl,
	  installcheck/Amanda_Rest_Storages.pl,
	  installcheck/Amanda_Rest_Storages_Labels.pl,
	  installcheck/Amanda_Rest_Version.pl: Fix for new field in message.

2014-09-25  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Taper/Scan/traditional.pm: Check for
	  DEVICE_STATUS_VOLUME_UNLABELED without volume_header.

2014-09-24  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/*.pm, perl/Amanda/Rest/Storages/Labels.pm: Fix for
	  html generated pages.
	* perl/Makefile.am (html): Do not remove html-tmp.

2014-09-24  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/diskflat-device.c: Error is DEVICE_STATUS_VOLUME_UNLABELED
	  if the file do not exists.
	* device-src/vfs-device.c (vfs_device_read_label): Do not reset an
	  error when it is set.
	* installcheck/Amanda_Rest_Storages.pl: Fix fo device change.
	* perl/Amanda/Changer/diskflat.pm: Fix perl warning.
	* perl/Amanda/CheckDump.pm ,perl/Amanda/FetchDump.pm: Create a
	  log.<timestamp>.0 file can a checkdump.<timestamp> or
	  fetchdump.<timestamp>
	* perl/Amanda/Rest/Runs.pm: Do not create the checkdump.$$ or
	  fetchdump.$$. list also list checkdump and fetchdump run.

2014-09-24  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Taper/Scribe.pm: Fix perl warning.
	* perl/Amanda/Taper/Worker.pm (TAKE_SCRIBE_FROM): Set
	  scribe1->{'cancelled'} to 0.

2014-09-23  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amanda-rest-server.pl: Add '--max-requests 1' to starman
	  arguments.

2014-09-22  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/amgtar.c (amgtar_restore): Exit on error if tar fail.
	* perl/Amanda/Changer/diskflat.pm: fix.
	* perl/Amanda/FetchDump.pm: New perl module to fetch a dump.
	* perl/Amanda/Message.pm (full_message): New function.
	* perl/Amanda/Rest/Amanda/bin/app.pl.in: Add
	  post /amanda/v1.0/configs/:CONF/runs/fetchdump
	* perl/Amanda/Rest/Runs.pm (fetchdump): New function.
	* perl/Makefile.am: Add Amanda/FetchDump.pm
	* server-src/amfetchdump.pl: Use new perl Amanda::Fetchdump module.
	* server-src/amidxtaped.pl: Use new perl Amanda::Fetchdump module.
	* installcheck/amfetchdump.pl: Fix for module use.

2014-09-22  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Storages_Labels.pl: Fix.

2014-09-19  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/diskflat-device.c: Unlink file on erase.
	* perl/Amanda/Changer.pm: Add message 1100066
	* perl/Amanda/Changer/diskflat.pm: Do not create files if slot not
	  used.
	* perl/Amanda/Label.pm: Fix.
	* installcheck/Amanda_Rest_Storages.pl: Fix.
	* installcheck/Amanda_Rest_Storages_Labels.pl: Fix.

2014-09-18  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Taper/Scan/traditional.pm: Continue on invalid.

2014-09-16  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Changer.pm (verify): Failure to read the label is not an
	  error.
	* perl/Amanda/Changer.pm: Add message for code 1100065.

2014-09-16  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/security-util.c: Compute and print crc32 of each packet if
	  debug_auth >= 6.

2014-09-10  Xu Han <xhan@carbonite.com>
	* packaging/rpm/amanda.spec.src: CentOS 7 packaging.

2014-09-10  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/gnutar.pl: Fix for rhel7.

2014-09-10  Jean-Louis Martineau <martineau@zmanda.com>
	* config/amanda/amanda_configure.m4: Fix,
	  s/AMANDA_EXTENSIONS_HOOK/AMANDA_REST_EXTENSIONS/g

2014-09-10  Jean-Louis Martineau <martineau@zmanda.com>
	* config/amanda/rest-extensions.m4: Fix,
	  s/EXTENSIONS_HOOK_DIR/REST_EXTENSIONS_DIR/g

2014-09-10  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Amanda/bin/app.pl.in: Add changers URL.
	* installcheck/Amanda_Rest_Changers.pl: Typo

2014-09-10  Jean-Louis Martineau <martineau@zmanda.com>
	* config/amanda/amanda_configure.m4:
	  s/AMANDA_REST_HOOK/AMANDA_EXTENSIONS_HOOK/
	* config/amanda/rest-hook.m4: remove file
	* perl/Amanda/Constants.pm.in.src:
	  s/AMANDA_REST_HOOK/AMANDA_EXTENSIONS_HOOK/
	* perl/Amanda/Rest/Amanda/bin/app.pl.in: Use REST_EXTENSIONS_DIR
	* config/amanda/rest-extensions.m4: Copy of rest-hook.m4, rename
	  AMANDA_REST_HOOK to AMANDA_EXTENSIONS_HOOK, define REST_EXTENSIONS_DIR
	  instead of REST_HOOK_DIR.

2014-09-10  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/conffile.c (get_changer_list): New function.
	* common-src/conffile.h (get_changer_list): Add protoype.
	* perl/Amanda/Config.swg (get_changer_list) Swig it.
	* perl/Amanda/Config.swg: Add new message.
	* perl/Amanda/Changer.pm: Fix typo.
	* perl/Amanda/Rest/Storages.pm: Fix typo.
	* perl/Makefile.am: Add Amanda/Rest/Changers.pm
	* perl/Amanda/Rest/Changers.pm: Add new REST API
	* installcheck/Makefile.am: Add Amanda_Rest_Changers
	* installcheck/Amanda_Rest_Changers.pl: Test the new REST API.

2014-09-08  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Status.pm: Fix for dump to tape.
	* installcheck/Amanda_Rest_Runs.pl: Fix.

2014-09-08  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/ScanInventory.pm: Can changer set_error_to_unknown if a
	  slot previously in error succeed.
	* perl/Amanda/Taper/Scan/lexical.pm, perl/Amanda/Taper/Scan/oldest.pm:
	  Scan one slot for each error message.
	* perl/Amanda/Changer/multi.pm (set_error_to_unknown): new function to
	  mark as unknown all slot with a given error message.

2014-09-03  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/dvdrw-device.c: dvdrw_growisofs_command,
	  dvdrw_mount_command and dvdrw_umount_command property are
	  G_TYPE_STRING.
	* installcheck/Amanda_Device.pl: Test parsing dvd properties.

2014-09-03  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/s3.c (get_openstack_swift_api_v2_setting): Set
	  hdl->x_auth_token to NULL.

2014-09-02  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amcheck.c: Fix mailto allocation.

2014-09-02  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/rait-device.c: Use int value instead of pointer value.

2014-08-28  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Message.pm: 32xxxxx are for amanda-extensions.

2014-08-27  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/xfer-dest-taper-cacher.c: Cast pointer.

2014-08-27  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/security-util.c (check_user_amandahosts): Proceed to next
	  line if host and user match but not the service.

2014-08-27  Jean-Louis Martineau <martineau@zmanda.com>
	Patch by Bill Blough <devel@blough.us>
	* ndmp-src/ndmjob_args.c, device-src/tape-device.c,
	  server-src/amindexd.c, man/xml-source/amanda.conf.5.xml,
	  man/xml-source/amanda-auth.7.xml, man/xml-source/amzfs-sendrecv.8.xml,
	  man/xml-source/amanda-changers.7.xml,
	  man/xml-source/amzfs-snapshot.8.xml,
	  common-src/amutil.c: Fix typos.

2014-08-27  Jean-Louis Martineau <martineau@zmanda.com>
	* config/amanda/syshacks.m4: Define NEED_LD_LIBRARY_PATH_ENV on hpux.
	* common-src/alloc.c (safe_env_full): Add LD_LIBRARY_PATH.
	* amar-src/amar.c, common-src/ipc-binary.h, device-src/ndmp-device.c,
	  device-src/xfer-dest-device.c, device-src/xfer-dest-taper-cacher.c,
	  device-src/xfer-dest-taper-splitter.c: Change so gpointer to gchar*
	  because hpux compiler can't do arithmetic on gpointer.


2014-08-12  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/amservice.c: Print arguments to the debug file.
	* common-src/conffile.c: Add ctimeout to client config file.
	* perl/Amanda/Rest/Configs.pm: Fix parsing of config_overrides.
	* perl/Amanda/Rest/Services.pm: Pass config_overrides to amservice.

2014-08-11  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/senddiscover.c: Fix memory use.

2014-08-11  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Amanda/config.yml: Add log_path

2014-08-07  Jean-Louis Martineau <martineau@zmanda.com>
	* example/inetd.conf.amandaclient.in,
	  example/inetd.conf.amandaserver.in
	  example/xinetd.amandaclient.in,
	  example/xinetd.amandaserver.in: Add senddicover service.

2014-08-06  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Amanda/bin/app.pl.in: Set log_path to
	  "@AMANDA_DBGDIR@/amanda-rest-server-log"
	* perl/Amanda/Rest/Amanda/config.yml: Set appname to "amanda".
	* perl/Makefile.am: Do not create ../Rest/Amanda/logs

2014-08-05  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Script_App.pm (print_to_server): print CRITICAL message
	  in [].

2014-08-04  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/senddiscover.c: fllush(stdout)
	* perl/Amanda/Service.pm: Add error code 3100005.

2014-08-04  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/senddiscover.c: Add the --device argument.
	* perl/Amanda/Rest/Services.pm: Do not read a config, set diskdevice
	  and esxpass property.

2014-08-01  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Makefile.am: Remove duplicate entry.

2014-08-01  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/senddiscover.c: Fix.
	* common-src/ammessage.c: Fix json output.
	* perl/Amanda/Message.pm: Add Amanda::Service::Message.
	* perl/Amanda/Rest/Amanda/bin/app.pl.in: Add
	  /amanda/v1.0/services/discover URL
	* perl/Makefile.am: Add Amanda/Service.pm and Amanda/Rest/Services.pm
	* perl/Amanda/Service.pm: New perl module
	* perl/Amanda/Rest/Services.pm: REST API for deicover service.

2014-08-01  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Application.swg (known_commands: Add discover.
	* perl/Amanda/Message.pm: Add Amanda::Amvmware::Message.

2014-07-31  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/ammessage.c: Fix typedef.

2014-07-31  Jean-Louis Martineau <martineau@zmanda.com>
	* config/amanda/amanda_configure.m4: Call AMANDA_REST_HOOK
	* perl/Amanda/Constants.pm.in.src: Add $REST_HOOK_DIR.
	* config/amanda/rest-hook.m4 (AMANDA_REST_HOOK): --with-rest-hook
	* perl/Amanda/Rest/Amanda/bin/app.pl.in: Load rest-hook

2014-07-31  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/conffile.c, server-src/amcheck.c: Fix bug found by
	  coverity.

2014-07-31  Jean-Louis Martineau <martineau@zmanda.com>
	* amandad-src/amandad.c: Handle senddiscover service.
	* client-src/Makefile.am: Build senddiscover.
	* client-src/client_util.c: Parse DISCOVER backup support option.
	* client-src/client_util.h (backup_support_option_t): Add discover.
	* client-src/senddiscover.c: New client service.
	* common-src/Makefile.am: Add ammessage.
	* common-src/ammessage.c: Add struct and function to handle Message
	  and print them in JSON format.
	* common-src/ammessage.h: Add prototype.
	* common-src/conffile.c: Fix json indentation.
	* perl/Amanda/Message.pm: Add senddiscover.

2014-07-31  Jean-Louis Martineau <martineau@zmanda.com>
	* config/amanda/dumpers.m4: Improve error message for bsdtar.

2014-07-30  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/conffile.c (config_print_errors_as_message): New function.
	* common-src/conffile.h (config_print_errors_as_message): New
	  prototype.
	* perl/Amanda/Config.swg: Add error 1500016.
	* server-src/amanda-rest-server.pl: s/Amadna/Amanda/
	* server-src/amcheck.c: Use printf_message instead of error.

2014-07-30  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Amcheck.pm: Use '-c' for client check.

2014-07-29  Jean-Louis Martineau <martineau@zmanda.com>
	* config/amanda/bsd-security.m4: USE_AMANDAHOSTS must be defined even
	  without bsd security (for bsdudp and bsdtcp).

2014-07-29  Jean-Louis Martineau <martineau@zmanda.com>
	Patch by Nathan Stratton Treadway
	* man/xml-source/amgtar.8.xml:
	  Add ": directory is on a different filesystem; not dumped".
	* man/xml-source/amanda-devices.7.xml: Add amanda-changers man page.
	* man/xml-source/ambsdtar.8.xml: Typo.
	* man/xml-source/amanda.conf.5.xml: Typo.

2014-07-28  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amanda-rest-server.pl: Use Amanda::Paths::AMANDA_DBGDIR
	  instead of CNF_LOGDIR for the rest-api-pid file.

2014-07-24  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/security-util.c (check_security): service is
	  unused in some compilation path.

2014-07-24  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/bsd-security.c, common-src/bsdtcp-security.c,
	  common-src/bsdudp-security.c, common-src/krb5-security.c:
	  Remove "\n" in security_seterror error message.
	* server-src/amanda-rest-server.pl: Improve error detection.

2014-07-24  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/conffile.c (config_is_initialized): Fix declaration.
	* common-src/conffile.h: Comment typo.

2014-07-24  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/conffile.h (config_is_initialized): Fix prototype.

2014-07-23  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/security-util.c (check_security): Take a new service
	  argument.
	* common-src/amanda.h (check_security): Change prototype.
	* common-src/conffile.c (config_is_initialized): New functionto return
	  if the config is initialized.
	* common-src/conffile.h (config_is_initialized): New prototype.
	* common-src/debug.c: (debug_unlink_old): Return if config is not
	  initialized.
	* server-src/amidxtaped.pl: Add "amidxtaped" as argument to
	  check_bsd_security.
	* server-src/amindexd.c: Add "amindexd" as argument to check_security.
	* perl/Amanda/Util.swg (check_security_fd): Take a new service
	  argument, pass it to check_security.
	* perl/Amanda/ClientService.pm (check_bsd_security): Take a new
	  service argument, pass it to Amanda::Util::check_security.

2014-07-14  Jean-Louis Martineau <martineau@zmanda.com>
	* ndmp-src/Makefile.am: Fix for building out of tree.

2014-07-14  Jean-Louis Martineau <martineau@zmanda.com>
	* ndmp-src/Makefile.am: Fix for building out of tree.

2014-07-11  Jean-Louis Martineau <martineau@zmanda.com>
	Patch by Orion Poplawski <orion@cora.nwra.com>
	* ndmp-src/Makefile.am: Fix for building out of tree.

2014-07-10  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/script-email.pl: Remove $args.

2014-07-09  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/script-email.pl: Accept all characters in mailto.

2014-07-09  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/s3.c: Fix curl version check for
	  CURLE_SSL_CACERT_BADFILE.

2014-07-09  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Amcheck.pl: Fix for --without-client.

2014-07-09  Jean-Louis Martineau <martineau@zmanda.com>
	* amandad-src/amandad.c: Use '.
	* server-src/amcheck.c: Encode " and / in json reply.

2014-07-08  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Disklist.swg: Fix perl warning.

2014-07-08  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Runs.pl: Fix.

2014-07-08  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/*.pm: Improve html formating.

2014-07-08  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/conffile.c: s/"/'/
	* installcheck/Amanda_Config.pl: Check '.
	* installcheck/Amanda_Rest_Configs.pl: Check '.
	* installcheck/Amanda_Rest_Dles.pl: Check '.
	* installcheck/Amanda_Rest_Runs.pl: Check Amanda::Rest::Runs module.
	* installcheck/Makefile.am (server_tests): Add Amanda_Rest_Runs.
	* perl/Amanda/Amdump.pm: Small Improvement.
	* perl/Amanda/Amflush.pm: Small Improvement.
	* perl/Amanda/Rest/Runs.pm: Add list method.
	* perl/Amanda/Status.pm: Improve documentation.
	* perl/Amanda/Vault.pm: Remove debugging statement.
	* server-src/amflush.pl: log pid-done line.
	* server-src/planner.c: s/--exact_match/--exact-match/

2014-07-08  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/s3-device.c: Move some declaration to s3-device.h
	* device-src/s3-device.h: New file.
	* device-src/Makefile.am: Add s3-device.h.

2014-07-04  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Amcheck.pl: Fix.

2014-07-04  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Amanda/bin/app.pl.in: Add Amcheck module.

2014-07-03  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Message.pm: Add amcheck message.
	* perl/Amanda/Rest/Amcheck.pm: Rest API endpoint to execute amcheck.
	* perl/Makefile.am (AmandaRest_DATA): Add Amanda/Rest/Amcheck.pm.
	* server-src/diskfile.c (match_disklist): return a GPtrArray.
	* server-src/diskfile.h (match_disklist): Change prototype.
	* server-src/driver.c, server-src/dumper.c: Fix argv0.
	* server-src/amadmin.c, server-src/planner.c: Use newest
	  match_disklist function.
	* server-src/amcheck.c, server-src/amcheck-device.pl: new --message
	  argument to format the output in json.
	* installcheck/Amanda_Rest_Amcheck.pl: Check the Amcheckrest api.
	* installcheck/Makefile.am: Add Amanda_Rest_Amcheck.

2014-07-03  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/driver.c (handle_dumper_result): Call dumper_taper_result
	  if we already get the taper result.

2014-07-02  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/driverio.c (update_info_dumper): Do not update if size or
	  csize is 0.
	* server-src/server_util.c: Do not uses history if size is 0.

2014-06-26  Strong Liang <strong@zmanda.com>
	* server-src/driver.c: Updated copyright-info.
	* ChangeLog: trimed trailing spaces.

2014-06-26  Jean-Louis Martineau <martineau@zmanda.com>
	* Makefile.am: Use ${MKDIR_P}
	* device-src/Makefile.am, ndmp-src/Makefile.am, xfer-src/Makefile.am:
	  Use ${SED}

2014-06-25  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/driver.c: Remove useless space.

2014-06-19  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/Makefile.am, ndmp-src/Makefile.am,
	  xfer-src/Makefile.am: Fix install-build-dependencies.

2014-06-18  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/bsdtcp-security.c: Use bloking connect.

2014-06-17  Jean-Louis Martineau <martineau@zmanda.com>
	* Makefile.am (install-build-dependencies): Copy include and config
	  for client.

2014-06-16  Jean-Louis Martineau <martineau@zmanda.com>
	* Makefile.am: Create the directory.

2014-06-16  Jean-Louis Martineau <martineau@zmanda.com>
	* Makefile.am: Fix for client/server install-build-dependencies
	  target.

2014-06-16  Jean-Louis Martineau <martineau@zmanda.com>
	* Makefile.am, common-src/Makefile.am, device-src/Makefile.am,
	  ndmp-src/Makefile.am, xfer-src/Makefile.am: Add
	  install-build-dependencies target.

2014-06-13  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Dumps.pl: Sort dumps in reply.

2014-06-12  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/taper.pl: Accept some log lines in varying order.

2014-06-11  Jean-Louis Martineau <martineau@zmanda.com>
	* configure.in: Split in two files.
	* config/amanda/amanda_configure.m4: All global settings.
	* device-src/s3-util.h: Undef _

2014-06-09  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Installcheck/Rest.pm (): Better error if starman can't
	  be forked.
	* installcheck/Amanda_Rest_Configs.pl,
	  installcheck/Amanda_Rest_Dles.pl,
	  installcheck/Amanda_Rest_Dumps.pl,
	  installcheck/Amanda_Rest_Labels.pl,
	  installcheck/Amanda_Rest_Storages.pl,
	  installcheck/Amanda_Rest_Storages_Labels.pl,
	  installcheck/Amanda_Rest_Version.pl: Improve error message.

2014-06-09  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Installcheck/Rest.pm (remove_source_line): Function to
	  remove the source_line from all Message of a json reply.
	* installcheck/Amanda_Rest_Configs.pl,
	  installcheck/Amanda_Rest_Dles.pl,
	  installcheck/Amanda_Rest_Dumps.pl,
	  installcheck/Amanda_Rest_Labels.pl,
	  installcheck/Amanda_Rest_Storages.pl,
	  installcheck/Amanda_Rest_Storages_Labels.pl,
	  installcheck/Amanda_Rest_Version.pl: Use remove_source_line.

2014-06-09  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Installcheck/Rest.pm: Improve rest server startup.

2014-06-09  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/diskflat-device.c: Fix erase method.
	* perl/Amanda/Changer.pm: Many new Amanda::Changer::Message.
	* perl/Amanda/Label.pm: Allow to assign comment.
	* perl/Amanda/Rest/Storages/Labels.pm: Allow to assign comment.
	* installcheck/Amanda_Rest_Storages.pl: source_line change.
	* installcheck/Amanda_Rest_Storages_Labels.pl: Check The
	  storages/:STORAGE/labels endpoint.
	* installcheck/Installcheck/Rest.pm: Allow DELETE, improve rest
	  server startup.
	* installcheck/Makefile.am: Add Amanda_Rest_Storages_Labels.

2014-06-09  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Dumps.pl: More typos.

2014-06-09  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Dumps.pl,
	  installcheck/Amanda_Rest_Storages.pl: Typos.

2014-06-09  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Storages.pl,
	  installcheck/Amanda_Rest_Dumps.pl: Add files.

2014-06-06  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Dumps.pl: Check the Dumps endpoint
	* installcheck/Amanda_Rest_Storages.pl: Check the Storages endpoint
	* installcheck/Installcheck/Config.pm: Add policy and storage.
	* installcheck/Makefile.am: Add Amanda_Rest_Dumps and
	  Amanda_Rest_Storages.
	* perl/Amanda/Changer.pm, perl/Amanda/Changer/diskflat.pm,
	  perl/Amanda/Storage.pm: Change many Amanda::Changer::Error to be
	  Amanda::Message compliant.
	* perl/Amanda/Rest/Storages.pm: Pass the tapelist to the storage.

2014-06-05  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amfetchdump.pl: Pass the tapelist to the Storage.

2014-06-04  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Report.pm: Fix exit_status.
	* installcheck/Amanda_Report.pl: Add check for exit_status.
	* installcheck/amreport.pl: Fix exit_status check.

2014-06-02  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Configs.pl: Fix line number.

2014-06-02  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Configs.pl: Fix.
	* perl/Amanda/Rest/Configs.pm: Fix perl warning.
	* perl/Amanda/Rest/Labels.pm: Fix perl warning.

2014-06-02  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/amgtar.c: Add 'directory is on a different
	  filesystem; not dumped' as a normal message.

2014-05-30  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Amanda/bin/app.pl.in:
	  Remove 'use Data::Structure::Util'.

2014-05-30  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/gnutar.pl: Fix for SunOS
	* perl/Amanda/Interactivity.pm: Do not die if ->new return  undef.
	* perl/Amanda/Interactivity/stdin.pm: Add debugging if can't read
	  STDIN.

2014-05-29  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Version.pl.
	  installcheck/Amanda_Rest_Configs.pl.
	  installcheck/Amanda_Rest_Dles.pl,
	  installcheck/Amanda_Rest_Labels.pl: Typo.

2014-05-29  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Configs.pl,
	  installcheck/Amanda_Rest_Dles.pl,
	  installcheck/Amanda_Rest_Labels.pl,
	  installcheck/Amanda_Rest_Version.pl,
	  installcheck/Installcheck/Rest.pm: Use port 5001.
	* installcheck/amadmin.pl: Fix sort
	* perl/Amanda/Disklist.swg: Fix sort.

2014-05-29  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Installcheck/Rest.pm: Retrun error if can't fork
	  starman.
	* installcheck/Amanda_Rest_Configs.pl,
	  installcheck/Amanda_Rest_Dles.pl,
	  installcheck/Amanda_Rest_Labels.pl,
	  installcheck/Amanda_Rest_Version.pl: SKIP test if forking starman
	  failed.

2014-05-29  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Installcheck/Rest.pm: Fix to send starman stderr to the
	  debug file.

2014-05-29  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Configs.pl: Fix.

2014-05-28  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Changer.pm: Sort to get repeatable result.
	* perl/Amanda/Disklist.swg: Sort to get repeatable result.
	* perl/Amanda/Report.pm: Sort to get repeatable result.
	* perl/Amanda/Report/human.pm: Sort to get repeatable result.
	* installcheck/amadmin.pl: Fix for new order.
	* installcheck/catalogs/filesystemstaped.cat: Fix for new order.

2014-05-28  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/amglue/integers.swg: Fix compiler warnings.
	* installcheck/Makefile.am: Add Installcheck/Rest.pm

2014-05-28  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Configs.pl, installcheck/Amanda_Rest_Dles.pl,
	  installcheck/Amanda_Rest_Labels.pl,
	  installcheck/Amanda_Rest_Version.pl: Skip test if WWW::Curl::Easy is
	  not available.

2014-05-27  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Rest/Runs.pm: Remove Data::Structure::Util dependencies.

2014-05-27  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Rest_Configs.pl: Check Amanda::Rest::Configs
	* installcheck/Amanda_Rest_Dles.pl: Check Amanda::Rest:Dles
	* installcheck/Amanda_Rest_Labels.pl: Check Amanda::Rest::Labels
	* installcheck/Amanda_Rest_Version.pl: Check Amanda::Rest::Version
	* installcheck/Amanda_Tapelist.pl: Fix for reuse.
	* installcheck/Installcheck/Dumpcache.pm: Fix for 0_setupcache
	* installcheck/Installcheck/Rest.pm: New perl modules to start/stop
	  the Rest server.
	* installcheck/Makefile.am: Add Amanda_Rest_Configs, Amanda_Rest_Dles,
	  Amanda_Rest_Labels and Amanda_Rest_Version
	* perl/Amanda/Config.swg: Small fix.
	* perl/Amanda/Curinfo.pm: Add message code 1300030 and 1300031
	* perl/Amanda/Curinfo/Info.pm: Fix perl warning.
	* perl/Amanda/Disklist.swg: Add message code 1400009
	* perl/Amanda/Paths.pm.in: Add amperldir.
	* perl/Amanda/Rest/Dles.pm: Add check and generate message code
	  1400009, 1300030 and 1300031
	* perl/Amanda/Rest/Labels.pm: fix for defined $params.
	* perl/Amanda/Tapelist.swg: Set reuse to 0.

2014-05-26  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/CheckDump.pm: New perl module for checkdump.
	* server-src/amcheckdump.pl: Use new Amanda::Checkdump module.
	* perl/Amanda/JSON/Amdump.pm: Typo.
	* perl/Amanda/Message.pm: Add Amanda::CheckDump::Message
	* perl/Amanda/Rest/Amanda/bin/app.pl.in: Add
		/amanda/v1.0/configs/:CONF/runs/checkdump
		/amanda/v1.0/configs/:CONF/runs/messages
	* perl/Amanda/Rest/Runs.pm: Add checkdump and messages methods.
	* perl/Makefile.am: Add Amanda/CheckDump.pm

2014-05-21  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amtape.pl: Add relabeled case.

2014-05-12  Jean-Louis Martineau <martineau@zmanda.com>
	* packaging/rpm/amanda.spec.src: Add amazon.

2014-05-09  Jean-Louis Martineau <martineau@zmanda.com>
	* client-src/sendsize.c: Fix compiler warning.

2014-05-08  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Changer_diskflat.pl: Use File::Path::rmtree.

2014-05-08  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/diskflat-device.c: Check result of ftruncate.

2014-05-08  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amrmtape.pl: Add --external-copy argument.
	* man/xml-source/amrmtape.8.xml: Document --external-copy argument.
	* perl/Amanda/Label.pm: Implement external_copy argument.
	* perl/Amanda/Rest/Storages/Labels.pm: Ditto.

2014-05-08  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/diskflat-device.c (erase): Add method.
	* perl/Amanda/Changer/diskflat.pm: New chg-diskflat changer.
	* perl/Amanda/Changer.pm (label_to_slot): New method.
	* perl/Makefile.am: Add Amanda/Changer/diskflat.pm.
	* installcheck/Amanda_Changer_diskflat.pl: Test chg-diskflat.
	* installcheck/Makefile.am: Add Amanda_Changer_diskflat.
	* server-src/amreport.pl: Remove degugging.

2014-05-08  Jean-Louis Martineau <martineau@zmanda.com>
	* config/amanda/libs.m4: Search pkg-config in /opt/csw/bin.

2014-05-07  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/xfer-source-holding.c: Allow to rad s SPINT_DUMPFILE
	  from holding disk.

2014-05-07  Jean-Louis Martineau <martineau@zmanda.com>
	* packaging/sun-pkg/buildpkg: gmake is in /opt/csw/bin

2014-05-06  Jean-Louis Martineau <martineau@zmanda.com>
	* packaging/sun-pkg/buildpkg: Use /usr/csw/bin/gmake if available.

2014-05-05  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/driver.c (start_some_dumps): Fix if a disk is moved to
	  directq.

2014-05-05  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Interactivity/stdin.pm, server-src/amcheckdump.pl,
	  server-src/amfetchdump.pl, server-src/amvault.pl: Disable
	  interactivity if STDIN can't be read.

2014-05-01  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/dumper.c (xml_check_options): Set dumper_kencrypt.

2014-04-30  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/ScanInventory.pm: Reload the tapelist at every scan.

2014-04-30  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/security-util.c: Improve error message.

2014-04-29  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Changer/robot.pm: Fix lock.
	* perl/Amanda/Changer/robot.pm (_get_state): Return "failed".
	* server-src/amlabel.pl (user_msg): Fix for string.

2014-04-25  Jean-Louis Martineau <martineau@zmanda.com>
	* recover-src/uparse.y: Remove unused variable.

2014-04-25  Jean-Louis Martineau <martineau@zmanda.com>
	* amar-src/amar.c (amar_read_cb): Handle eof correctly.

2014-04-25  Jean-Louis Martineau <martineau@zmanda.com>
	* config/amanda/config.m4 (AMANDA_CONFIGURE_ARGS): New macro to set
	  CONFIGURE_ARGS.
	* configure.in: Call AMANDA_CONFIGURE_ARGS
	* common-src/genversion.c: Print CONFIGURE_ARGS.

2014-04-24  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amcheck-device.pl: Typo.

2014-04-24  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/bsdtcp-security.c: Retry all IPs on connection refused.
	* common-src/security-util.h (struct sec_handle): Add res, next_res,
	  connect_callback, connect_arg, src_ip and port.
	* common-src/stream.c (stream_client_addr): New function to open a
	  connection to a 'struct addrinfo'.
	* common-src/stream.h (stream_client_addr): Add prototype.

2014-04-23  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Interactivity/email.pm: Check permission of the
	  check-file.

2014-04-23  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Interactivity/email.pm: Do not call remove if
	  resend_delay is 0.

2014-04-23  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amcheck-device.pl: Fix output from tape scan.

2014-04-17  Jean-Louis Martineau <martineau@zmanda.com>
	* amar-src/amar.c (read_done): Call done_cb withthe error.
	* amar-src/amar.c (amar_read_cb): Call read_done on error.
	* amar-src/amar.h (amar_done_callback_t): Add error in prototype.
	* perl/Amanda/Archive.swg: (read_done_cb): Get error.

2014-04-16  Jean-Louis Martineau <martineau@zmanda.com>
	* amar-src/amar.c (amar_read_cb): Call amar_stop_read.
	* amar-src/amar.c (set_amar_read_cb): Call amar_start_read.

2014-04-15  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/conffile.c: Fix compiler warning.
	* config/amanda/syshacks.m4: Compile on s390x-8-linux-*

2014-04-10  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Tapelist.swg: Fix perl warning.

2014-04-10  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Changer/robot.pm: Fix.
	* perl/Amanda/Interactivity/email.pm: Try to fix memory leak.
	* perl/Amanda/ScanInventory.pm: Abort the scan on inventory error.

2014-04-10  Jean-Louis Martineau <martineau@zmanda.com>
	* amar-src/amar.c: Do not use newer glib function.

2014-04-07  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/Amanda_Taper_Scribe.pl (set_write_timestamp): Add method.
	* perl/Amanda/Taper/Scan.pm: Fix perl warning.

2014-04-07  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Tapelist.swg (lookup_by_barcode): New method to return a
	  tle from a barcode.

2014-04-07  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Changer/robot.pm (_get_state): Lookupo label in tapelist
	  file if it is not availbale in bc2lb.

2014-04-01  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Taper/Scan.pm: Do not se the same tape twice in the same
	  run.
	* perl/Amanda/Taper/Scribe.pm: Set taperscan write_timestamp.

2014-03-31  Jean-Louis Martineau <martineau@zmanda.com>
	* amar-src/amar.c (amar_read, set_amar_read_cb): Add a done_cb.
	* amar-src/amar.c (amar_set_error): New function to set an error.
	* amar-src/amar.h: New prototype.
	* amar-src/amarchiver.c: Use NULL done_cb.
	* amar-src/amar-test.c: Pass a NULL done_cb.
	* installcheck/Amanda_Archive.pl: Test set_read_cb with done_cb.
	* perl/Amanda/Archive.swg: Handle done_cb and error.
	* perl/Amanda/MainLoop.swg (run_until_empty): Remove method.

2014-03-28  Jean-Louis Martineau <martineau@zmanda.com>
	* amar-src/amar.c: Stop processing input file on stopped mode.

2014-03-28  Jean-Louis Martineau <martineau@zmanda.com>
	* amar-src/amar.c: Fix memory leak.

2014-03-28  Jean-Louis Martineau <martineau@zmanda.com>
	* amar-src/amar.c (amar_stop_read, amar_start_read): New function.
	* amar-src/amar.h (amar_stop_read, amar_start_read): Add prototype.
	* perl/Amanda/Archive.swg: Swig them.

2014-03-27  Jean-Louis Martineau <martineau@zmanda.com>
	* application-src/ampgsql.pl: Do not close STDIN and STDERR.

2014-03-27  Jean-Louis Martineau <martineau@zmanda.com>
	* amar-src/amar.c: Add read function that use the mainloop.
	* amar-src/amar.h: Add read function that use the mainloop.
	* amar-src/amarchiver.c: Use new event interface.
	* perl/Amanda/Archive.swg: Swig new event interface.
	* perl/Amanda/MainLoop.swg (run_until_empty): New method.

2014-03-25  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/conffile.c: Add CNF_REST_API_PORT
	* common-src/conffile.h: Add CNF_REST_API_PORT
	* perl/Amanda/Config.swg: Add CNF_REST_API_PORT
	* server-src/amanda-rest-server.pl: New script to start/stop the rest
	  server.
	* server-src/Makefile.am (sbin_SCRIPTS_PERL): Add amanda-rest-server.
	* man/xml-source/amanda-rest-server.8.xml: New man page.
	* man/Makefile.am (SERVER_MAN_PAGES): Add amanda-rest-server.8

2014-03-25  Jean-Louis Martineau <martineau@zmanda.com>
	* amar-src/amar.c (amar_file_size, amar_attr_size): New function to
	  return file and attribute size.
	* amar-src/amar.h (amar_file_size, amar_attr_size): Add prototype.
	* perl/Amanda/Archive.swg: Make them available to perl.
	* perl/Amanda/Archive.pod: Document them.
	* installcheck/Amanda_Archive.pl: Test the new method.

2014-03-24  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amtrmidx.c, server-src/planner.c: Fix memmory leak.

2014-03-24  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/amcheck.c: Warn if tapecycle <= runtapes.

2014-03-24  Jean-Louis Martineau <martineau@zmanda.com>
	* installcheck/taper.pl: Fix count of test.

2014-03-21  Jean-Louis Martineau <martineau@zmanda.com>
	* amar-src/amarchiver.c: Create parent directory on extraction.

2014-03-14  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/driver.c: Do not try to find holding space when no
	  holding disk are used.

2014-03-12  Jean-Louis Martineau <martineau@zmanda.com>
	* common-src/bsdtcp-security.c: Make a non blocking connection.

2014-03-12  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Taper/Scribe.pm: Log empty part.
	* server-src/amreport.pl: Fix.
	* installcheck/Amanda_Taper_Scribe.pl: Fix for Scribe change.
	* installcheck/taper.pl: Fix for Scribe change.

2014-03-11  Jean-Louis Martineau <martineau@zmanda.com>
	* amar-src/amar.h: Fix constant.
	* amar-src/amarchiver.c: Do not append attribute id (16) to filename
	  on extraction.
	* installcheck/Amanda_Archive.pl: Add check.
	* installcheck/amarchiver.pl: Add check.
	* perl/Amanda/Archive.swg: Document and export attribute id.

2014-03-05  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/diskflat-device.c: Check lseek result.

2014-03-05  Jean-Louis Martineau <martineau@zmanda.com>
	* perl/Amanda/Util.swg (setup_application): Call glib_init.

2014-03-04  Jean-Louis Martineau <martineau@zmanda.com>
	* server-src/diskfile.h (struct disk_s): Add orig_holdingdisk.
	* server-src/diskfile.c: Set orig_holdingdisk.
	* server-src/driver.c: Use orig_holdingdisk to report error.
	* server-src/planner.c: Improve message.

2014-03-03  Jean-Louis Martineau <martineau@zmanda.com>
	* device-src/Makefile.am: Add diskflat-device.c and diskflat-device.h
	* device-src/device.c: Call diskflat_device_register
	* device-src/diskflat-device.c: New diskflat device.
	* device-src/diskflat-device.h: New diskflat device header file.
	* device-src/vfs-device.c: Refactoring.
	* device-src/vfs-device.h: Refactoring.
	* installcheck/Amanda_Device.pl: Check the diskflat device.
	* man/xml-source/amanda-devices.7.xml: Document the diskflat device.

